2014-03-15  panacoran <panacoran@users.sourceforge.jp>

	.NET Framework 2.0が含まれているWindowsのバージョンの記述をVista以降に直す

	* bin/Release/Readme.txt: 上記の通り。
	* bin/Release/man/1/index.html: 同上。

2014-03-15  panacoran <panacoran@users.sourceforge.jp>

	NEWS.txtにリリース日を記入する

	* bin/Release/NEWS.txt: リリース日を記入。

2014-03-12  panacoran <panacoran@users.sourceforge.jp>

	Readme.txtを修正する

	* bin/Release/Readme.txt: 動作環境や.NET Framework 2.0のURLなどを修正。

2014-03-06  panacoran <panacoran@users.sourceforge.jp>

	#33401 tmpディレクトリが作られないのを直す

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DownloadAndExtract): tmpディレクトリを作る。

2014-03-05  panacoran <panacoran@users.sourceforge.jp>

	#31541 YobineをTOPIX100の呼値変更に対応させる

	* bin/Release/NEWS.txt: この変更に言及する。
	* bin/Release/lib/TIlib.pt: Yobineを変更する。
	* bin/Release/lib/TOPIX100.pt: 新規。IsTOPIX100を定義する。

2014-03-03  panacoran <panacoran@users.sourceforge.jp>

	NEWS.txtの更新

	* bin/Release/NEWS.txt: r490以降の変更に言及。

2014-03-03  panacoran <panacoran@users.sourceforge.jp>

	銘柄リスト周りの変更をマニュアルに反映させる

	* bin/Release/man/2/index.html: UIの説明の修正と3章の銘柄リストへのリンクを追加。
	* bin/Release/man/3/index.html: 銘柄リスト編集/入力ダイアログの変更を反映。上場廃止銘柄に関するUIの説明を追加。
	* bin/Release/man/3/img/execute.png: 差し替え。
	* bin/Release/man/3/img/history.png: 同上。
	* bin/Release/man/3/img/main.png: 同上。
	* bin/Release/man/3/img/summary.png: 同上。
	* bin/Release/man/3/img/editlist.png: 同上。
	* bin/Release/man/3/img/editlist_100.png: 同上。
	* bin/Release/man/3/img/newlist.png: 同上。
	* bin/Release/man/3/img/newlist_1000.png: 同上。
	* bin/Release/man/3/img/newlist_obs.png: 追加。
	* bin/Release/man/3/img/warning_obs.png: 同上。

2014-02-19  panacoran <panacoran@users.sourceforge.jp>

	銘柄リストをすべて削除したときの挙動を直す

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.BrandListConfig): 削除。
	(BrandListConfig.Load): 設定ファイルがない場合だけ「お気に入り」を作る。
	* Protra.Lib/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.buttonDelete_Click): 銘柄リストをすべて削除したときに銘柄リストの表示を消す。

2014-02-17  panacoran <panacoran@users.sourceforge.jp>

	メニューからMessageBoxを表示すると画面の左上隅に表示されるのを直す

	* Protra.Lib/CenteredDialogHelper.cs (CenteredDialogHelper.EnumWindows): MessageBoxの下のウィンドウが大きさ0の場合にさらに下のWindowを取得する。

2014-02-13  panacoran <panacoran@users.sourceforge.jp>

	起動するたびに空の「お気に入り」リストが増えるのを直す。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.BrandListConfig): 「お気に入り」を作るのをやめる。
	(BrandListConfig.Load): Listが空なら「お気に入り」を作る。

2014-02-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.BrandListConfig): 初期値として空の「お気に入り」リストを作る。

2014-02-11  panacoran <panacoran@users.sourceforge.jp>

	古い形式の設定ファイルのサポートを削除する。#33134
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.ReadOldConfig): 削除。
	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.ReadOldConfig): 削除。
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.ReadOldConfig): 削除。
	* Protra.Lib/Config/PtSimConfig.cs (PtSimConfig.ReadOldConfig): 削除。
	* Protra.Lib/Config/UpdateConfig.cs (UpdateConfig.ReadOldConfig): 削除。
	* Protra.Lib/ConfigFile.cs: 削除。
	* Protra.Lib/Db/: 削除。
	* Protra.Lib/Dialogs/ApplicationError.cs: 削除。
	* Protra.Lib/Dialogs/ApplicationError.resx: 削除。
	* Protra.Lib/Dialogs/OverwriteDialog.cs: System.Dataの参照を削除。
	* Protra.Lib/Protra.Lib.csproj: 不要な参照設定を削除。上記の削除を反映。
	* Protra/Protra.csproj: 不要な参照設定を削除。
	* Protra/PtSim.csproj: 同上。

2014-02-10  panacoran <panacoran@users.sourceforge.jp>

	MessageBoxとColorDialogを親フォームの中央に表示する。
	* Protra.Lib/CenteredDialogHelper.cs (CenteredDialogHelper): 新規。MessageBoxを親の中央に表示するためのクラス。
	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.Load): MessageBoxの表示を親の中央に。
	* Protra.Lib/Data/PriceData.cs: ReSharperによるインデントの変更。
	(PriceData.ConvertToCSV): MessageBoxの表示を親の中央に。
	(PriceData.ConvertFromCSV): 同上。
	* Protra.Lib/Dialogs/DataConvertDialog.cs (DataConvertDialog.buttonConvert_Click): 同上。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.buttonOk_Click): 同上。
	* Protra.Lib/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.buttonDelete_Click): 同上。
	* Protra.Lib/Protra.Lib.csproj: CenteredDialogHelper.csの追加。
	* Protra/Controls/ChartBox.cs (ChartBox.SetProgram): MessageBoxの表示を親の中央に。
	(ChartBox.OnPaint): 同上。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.buttonBackColor_Click): ColorDialogの表示を親の中央に。
	(OptionDialog.buttonForeColor_Click): 同上。
	* Protra/Dialogs/PriceUpdateDialog.cs: ReSharperによるアドバイスを反映させる。
	(PriceUpdateDialog.backgroundWorkerUpdate_RunWorkerCompleted): MessageBoxの表示を親の中央に。
	* Protra/MainForm.cs (MainForm.priceConvertToolStripMenuItem_Click): 同上。
	(MainForm.listAddtoolStripMenuItem_Click): 同上。
	(MainForm.listDelToolStripMenuItem_Click): 同上。
	* PtSim/MainForm.cs (MainForm.deleteLogToolStripMenuItem_Click): 同上。
	(MainForm.deleteLogAllToolStripMenuItem_Click): 同上。

2014-02-10  panacoran <panacoran@users.sourceforge.jp>

	オプションダイアログを作り直す。
	* Protra/Dialogs/OptionDialog.Designer.cs: 新規。デザイナーの生成したファイル。
	* Protra/Dialogs/OptionDialog.cs: コンポーネントの設定を取り除く。その他見かけ上の変更。
	* Protra/Dialogs/OptionDialog.resx: BOMの追加。
	* Protra/Protra.csproj: OptionDialog.Designer.csの追加。

2014-01-27  panacoran <panacoran@users.sourceforge.jp>

	#32053 上場廃止銘柄の処理を実装する。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.EnableObsoleteBrand): 新規。上場廃止銘柄を含むかどうかを取得または設定する。
	* Protra.Lib/Data/BrandData.cs (Market.Name): JASDAQを上に。
	(Market.Codes): 現存する市場のみを返す。
	(Market.AllCodes): 新規。すべての市場コード一覧を取得する。
	(Market.AllNames): 新規。すべての市場名一覧を取得する。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.Designer.cs (InitializeCompoent): イベントハンドラーを登録する。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.EditBrandListContentDialog): 市場名一覧の設定をSetComboBoxMarketに移す。
	(EditBrandListContentDialog.SetComboBoxMarket): 新規。上場廃止銘柄の設定に合わせて市場名一覧を設定する。
	(EditBrandListContentDialog.buttonOk_Click): 銘柄リスト中の上場廃止銘柄を処理する。
	(EditBrandListContentDialog.buttonCodeInput_Click): 上場廃止銘柄を避けて入力できるようにする。
	(EditBrandListContentDialog.checkBoxObsolete_CheckedChanged): 新規。SetComboBoxMarketを呼ぶ。
	* Protra.Lib/Dialogs/ObsoleteBrandDialog.Designer.cs: 新規。デザイナーの生成したファイル。
	* Protra.Lib/Dialogs/ObsoleteBrandDialog.cs: 新規。上場廃止銘柄の処理を問うダイアログ。

2014-01-27  panacoran <panacoran@users.sourceforge.jp>

	#32053の準備として銘柄編集のダイアログボックスを作り直す。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.EditableList): 新規。編集可能な銘柄リストを取得する。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.Designer.cs: 新規。デザイナーの生成したファイル。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.cs: コンポーネントの設定を取り除く。その他見かけ上の変更。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.resx: BOMの追加。
	* Protra.Lib/Dialogs/EditBrandListDialog.Designer.cs: 新規。デザイナーの生成したファイル。
	* Protra.Lib/Dialogs/EditBrandListDialog.cs: コンポーネントの設定を取り除く。その他見かけ上の変更。
	* Protra.Lib/Dialogs/EditBrandListDialog.resx: BOMの追加。
	* Protra.Lib/Protra.Lib.csproj: EditBrandListContentDialog.Designer.csとEditBrandListDialog.Designer.csの追加。

2014-01-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.comboBoxBrandList_SelectedIndexChanged): 銘柄リストの書き換えが見えるのを抑制する。

2014-01-20  panacoran <panacoran@users.sourceforge.jp>

	#32940を直すついでに銘柄リストの更新周りを見直す。
	* Protra/MainForm.cs (MainForm.MainForm): 前回選択されていた銘柄リストと証券コードを選択する方法を変える。
	(MainForm.BrandListInit): 更新前の選択状態の再現方法を変える。SuspendLayoutは効果がないのでやめる。
	(MainForm.SelectBrandList): 新規。指定された名前の銘柄リストと証券コードを選択する。
	(MainForm.comboBoxBrandList_SelectionChangeCommited): SuspendLayoutは効果がないのでやめる。
	(MainForm.listBoxBrandList_Leave): ListBoxがちらつくのを防ぐ。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): listBoxBrandList_Leaveを加える。
	* PtSim/MainForm.cs (MainForm.MainForm): 前回選択されていた銘柄リストを選択する方法を変える。
	(MainForm.BrandListInit): 更新前の選択状態の再現方法を変える。SuspendLayoutは効果がないのでやめる。
	(MainForm.SelectBrandList): 新規。指定された名前の銘柄リストを選択する。
	* PtSim/MainForm.Designer.cs (MainForm.InitializeComponent): ComboBoxをDropDownListに変更する。

2014-01-18  panacoran <panacoran@users.sourceforge.jp>

	存在しないチャートやシステムを開いたときにNullReferenceExceptionになるのを直す。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): Tokenがnullの場合は例外をそのまま投げる。

2013-10-02  panacoran <panacoran@users.sourceforge.jp>

	マニュアルの全面改定。BOMの削除。#23733
	* bin/Release/man/1/index.html: スペックをWindows XP以降にするなどの変更。
	* bin/Release/man/2/index.html: スクリーンショットの更新などの変更。
	* bin/Release/man/2/img/protra-show.png: スクリーンショットを更新。
	* bin/Release/man/3/index.html: システムの実行例をRSI SYSTEMにするなどの変更。
	* bin/Release/man/3/img/*.jpg: 削除。
	* bin/Release/man/3/img/editlist.png: 新規。スクリーンショット。
	* bin/Release/man/3/img/editlist_1000.png: 同上。
	* bin/Release/man/3/img/execute.png: 同上。
	* bin/Release/man/3/img/graph.png: 同上。
	* bin/Release/man/3/img/history.png: 同上。
	* bin/Release/man/3/img/main.png: 同上。
	* bin/Release/man/3/img/newlist.png: 同上。
	* bin/Release/man/3/img/newlist_1000.png: 同上。
	* bin/Release/man/3/img/summary.png: 同上。
	* bin/Release/man/4/index.html: @作用素の組み込み関数への作用を説明するなどの変更。
	* bin/Release/man/5/index.html: metaタグのcharsetをUTF-8に直す。座標系を表す図を追加し、組み込み関数の一覧を7章に移すなどの変更。
	* bin/Release/man/5/img/axis.png: 新規。座標系を示す図。
	* bin/Release/man/5/img/volume.png: 新規。チャートの例。
	* bin/Release/man/5/img/volume-indicator.png: 同上。
	* bin/Release/man/6/index.html: metaタグのcharsetをUTF-8に直す。銘柄を横断するシステムの説明を追加し、組み込み関数の一覧を7章に移すなどの変更。
	* bin/Release/man/7/index.html: 新規。組み込み関数を説明する。
	* bin/Release/man/8/index.html: metaタグのcharsetをUTF-8に直す。タグの付け方などの変更。
	* bin/Release/man/9/index.html: @作用素をint型@作用素に直すなどの変更。
	* bin/Release/man/index.html: 変更に対応させる。
	* bin/Release/man/style.css: デザインの全面的な見直し。

2013-10-02  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Performance.cs (Performance.AnalyzeLogs): 平均単価の計算に直前のポジションの絶対値を用いる。#32111

2013-10-02  panacoran <panacoran@users.sourceforge.jp>

	Visual Styleがサポートされていなくても進捗を表示する。#32055
	* PtSim/Controls/ProgressBarDirectRender.cs (ProgressBarDirectRender): ProgressBarを継承する。
	(ProgressBarDirectRender.Value): Visual Styleがサポートされていなかったら親クラスに委譲する。
	(ProgressBarDirectRender.OnPaint): Visual Styleがサポートされていなかったら親クラスに委譲する。

2013-09-23  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Controls/ProgressBarDirectRender.cs (ProgressBarDirectRender.Value): Visual Styleがサポートされていなかったら描画しない。#32055
	(ProgressBarDirectRender.OnPaint): 同上。

2013-09-15  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator): 見かけ上の変更。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator): 同上。
	(KdbComUpdator.ParseLine): ヘラクレスへの対応を復活させる。東証と大証統合後の市場名に対応する。#24665
	(KdbComUpdator.ParseField): staticにする。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator): 見かけ上の変更。
	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil): 同上。
	(PriceDataUpdator): 同上。
	(PriceDataUpdator.GetDescription): 大証と東証の統合に合わせて説明を簡略化する。
	(PriceDataUpdator.UpdatePrice): 重複上場銘柄の場合に銘柄データの優先市場を使わずに、単に出来高の多い市場のデータを使う。#32039

2013-08-26  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Controls/ProfitGraphBox.cs (ProfitGraphBox.DrawVirticalScale): 値の下限の計算を間違えていたのを直す。

2013-08-10  panacoran <panacoran@users.sourceforge.jp>

	PtSimで自動的にシステム一覧を更新する。#31870
	* PtSim/Controls/PtFileTreeView.cs (PtFileTreeView.PtFileTreeView): FileSystemWatcherにハンドラーを設定する。
	(PtFileTreeView.RootDirectory): FileSystemWatcherにディレクトリを設定する。
	(PtFileTreeView.FilesystemWatcherHandler): 新規。FileSystemWatcherのハンドラー。
	(PtFileTreeView.UpdateNodes): システム一覧を更新する。
	* PtSim/MainForm.Designer.cs (MainForm.InitializeComponent): KeyDownのイベントハンドラーを削除。
	* PtSim/MainForm.cs (MainForm.MainForm_KeyDown): 削除。

2013-07-26  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 解決した順に入れ替え。#9165とBreakout Plus.ptの追加に言及する。
	* bin/Release/system/Breakout Plus.pt: 新規。成績計算のテスト用に作ったポジション増減付きブレークアウトシステム。

2013-07-26  panacoran <panacoran@users.sourceforge.jp>

	必要資金と最大ポジションを計算する。#9165
	* PtSim/Controls/ProfitGraphBox.cs (ProfitGraphBox): CumultiveProfitのPricePairListへの変更に対応する。
	* PtSim/Performance.cs (Performance.Calculate): CalcProfitをAnalyzeLogsに変更。CalcDrowdownの呼び出しをAnalyzeLogsに移動する。
	(Performance.AnalyzeLogs): CalcProfitから改名。ポジションの金額の推移を計算する。CalcMaxPosition、CalcBudget、CalcDrowdownを実行する。
	(Performance.EvaluateTrade): 返値を削除。
	(Performance.CalcMaxPosition): 新規。最大ポジションを計算する。
	(Performance.CalcBudget): 新規。必要資金を計算する。
	(Performance.CalcDrowdown): CumultiveProfitのPricePairListへの改名に対応する。
	(Performance.PrintResult): 必要資金と最大ポジションの表示を追加する。
	* PtSim/PricePairList.cs (PricePairList): CumultiveProfitから改名。
	(PricePairList.BookAccumulatedList): 新規。簿価のみ積算したリストを返す。
	(PricePair.AddMarket(float, float)): 新規。floatで積を計算して桁あふれを防ぐ。
	(PricePair.AddBook(float, float)): 同上。
	
2013-07-25  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Controls/ProfitGraphBox.cs: (ProfitGraphBox.DrawVirticalScale): 最大と最小が等しいときに間隔が0にならないようにずらす。
	(ProfitGraphBox.TickRange): 1より小さな目盛りを作らない。
	* PtSim/Performance.cs (Performance.CalcProfit): ポジションが非常に大きいときに桁あふれするのを直す。
	
2013-07-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Protra.Lib.csproj: Utils.csの追加。
	* Protra.Lib/Utils.cs (Utils): 新規。ユーティリティ関数をを提供するクラス。
	* Protra/MainForm.cs (MainForm.ConfigWrite): 通常時以外はRestoreBoundsを保存する。#31726
	(MainForm.MainForm_Load): ウィンドウが画面内に収まらないときは位置を復元しない。#31456
	* PtSim/MainForm.cs: Protra/MainForm.csと同様の変更。
	
2013-07-17  panacoran <panacoran@users.sourceforge.jp>

	UtilsをCalendarにする。
	* Protra.Lib/Calendar.cs: 上記の通り。
	* Protra.Lib/Data/PriceData.cs (PriceData.GenerateWeeklyPrices): 同上。
	* Protra.Lib/Protra.Lib.csproj: 同上。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.DataSince): 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Start): 同上。
	(PriceDataUpdator.NextDate): 同上。
	
2013-07-09  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm_Load): 設定ファイルが空のときにNullReferenceExceptionになるバグを直す。
	* Protra/MainForm.designer.cs (InitializeComponent): まったくチャートを描けない大きさにならないように最小サイズを設定する。VS2012によるToolStripMenuItemの幅の変更。
	* Protra/MainForm.resx: VS2012によるバイナリエンコードの変更。
	
2013-07-08  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 1.6のニュースを入れて2.0から1.6の記述を削除。2.0のニュースを追加。
	
2013-07-08  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/ReturnStatementNode.cs (ReturnStatementNode.Execute): 式がない場合はnullを返す。#31677
	
2013-07-08  panacoran <panacoran@users.sourceforge.jp>

	PtSimで株価データがまったくないときだけエラーにする。#31425 #31643
	TextBoxに設定する文字列の改行コードを\r\nにする。#31679
	* Protra.Lib/Data/PriceData.cs (PriceData.MaxDate): priceディレクトリがないときにDateTime.MinValueを返す。
	(PriceData.ConvertToCSV): System.Textを削除。
	(PriceData.ConvertFromCSV): 同上。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.Invoke): 文字列の改行コードを\r\nにする。
	* PtSim/MainForm.cs (MainForm.backgroundWorkerExecute_RunWorkerCompleted): 同上。
	(MainForm.backgroundWorkerPerformance_RunWorkerCompleted): 同上。
	* PtSim/Performance.cs (Performance.Calculate): 取引がないときにNullPointerReferenceになるのを防ぐ。
	(Performance.CalcProfit): 株価データがまったくないときだけエラーにする。
	* PtSim/SystemExecutor.cs (SystemExecutor.LoopBrandAndDate): 同上。
	(SystemExecutor.LoopDateOnly): エラーメッセージから銘柄名を省く。
	
2013-07-06  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra/Controls/ChartPanel.cs (ChartPanel.InvalidateChartBoxes): Pricesがnullの場合を考慮する。
	(ChartPanel.SetScrollBar): 同上。

2013-07-03  panacoran <panacoran@users.sourceforge.jp>

	Yahoo!ファイナンスから株価データを取得可能にする。#30809
	Yahoo!ファイナンスからの株価更新を高速化する。#24689
	* Protra.Lib/Data/BrandData.cs (BrandData): IEnumerableを実装する。銘柄コード順にイテレートできるようにデータをSortedDictionaryで保持する。
	(BrandData.Count): 新規。銘柄データの数を取得する。
	(BrandData.GetEnumerator): 新規。
	(BrandData.IEnumerable.GetEnumerator): 新規。
	* Protra.Lib/Data/PriceData.cs (PriceData.Add): TryGetValueを使う。IOExceptionを黙殺しない。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.YahooFinanceUpdator): 削除。
	(YahooFinanceUpdator.UpdatePrice): 時刻を19時以降にする。マルチスレッド化する。過去の出来高がない日のデータを埋めるのをやめる。ParsePageの仕様変更に対応する。エラー時の例外を処理する。
	(YahooFinanceUpdator.DoFetchPrice): 新規。スレッドが実行するメソッド。
	(YahooFinanceUpdator.GetPage): 銘柄コードを文字列に。日経平均とTOPIXの銘柄コードの変更を行う。URLを変更する。リトライ回数を超えたら例外を投げる。
	(YahooFinanceUpdator.ParsePage): 証券コードと市場の取得をやめる。株価を取れないページの処理をきちんと行う。エラー時に例外を投げる。
	
2013-07-01  panacoran <panacoran@users.sourceforge.jp>

	成績グラフの横軸に日付を表示する。#26492 #31464
	* PtSim/Controls/ProfitGraphBox.cs (ProfitGraphBox): プライベートメンバーの名前変更と追加。
	(ProfitGraphBox.OnPaint): プライベートメンバーの名前変更に対応。_xscaleを計算する。DrawHorizontalScale()を呼ぶ。
	(ProfitGraphBox.DrawVirticalScale): メモリ刻みの計算にフォントの高さの4倍を使う。ラベルに円記号が付かないようにする。
	(ProfitGraphBox.DrawHorizontalScale): 新規。横軸を描画する。
	(ProfitGraphBox.DrawProfitLines): _xscaleを使う。
	
2013-06-30  panacoran <panacoran@users.sourceforge.jp>

	非常に小さな値が0と判定されないのを直す。#30936 #26290
	* Protra.Lib/FloatComparers.cs (FloatComparers.Compare(double, double)): epsilonと絶対誤差の比較も行う。
	(FloatComparers.Compare(float, float)): 同上。
	
2013-06-30  panacoran <panacoran@users.sourceforge.jp>

	PtSimの設定保存の強化。#31456 #31631
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.ChartMode): コメントの(廃止)を(廃止予定)に直す。
	* Protra.Lib/Config/PtSimConfig.cs (PtSimConfig.Size): 新しいプロパティ。
	(PtSimConfig.Location): 同上。
	(PtSimConfig.Maximized): 同上。
	(PtSimConfig.VirticalSplitterDistance): 同上。
	(PtSimConfig.TimeFrame): 同上。
	(PtSimConfig.SystemFile): 同上。
	(PtSimConfig.Upgrade): 新規。廃止予定のプロパティの値を新しいプロパティに移す。
	(PtSimConfig.Downgrade): 新規。新しいプロパティの値を廃止予定のプロパティに戻す。
	* PtSim/Controls/PtFileTreeView.cs (PtFileTreeView.RootDirectory): ツリー構築中の更新を止める。
	(PtFileTreeView.SelectedFile): 設定可能にする。
	(PtFileTreeView.SetNodes): サブディレクトリのノードも作る。キーを設定する。
	(PtFileTreeView.OnBeforeExpand): ツリーの追加をやめる。
	* PtSim/MainForm.Designer.cs (MainForm.InitializeComponent): Loadイベントのハンドラーを設定する。
	* PtSim/MainForm.cs (MainForm.MainForm): 週足のRadioButtonのCheckedを設定する。#31628
	(MainForm.MainForm_Load): ウィンドウの位置などを設定する。
	(MainForm.ConfigWrite): 増えた項目を保存する。
	
2013-06-30  panacoran <panacoran@users.sourceforge.jp>
	
	VS2012のデザイナーでPtSim/MainFormを作り直す。#31464
	* PtSim/AssemblyInfo.cs: PtSim/Properties/AssemblyInfo.csへ移動。
	* PtSim/Controls/ListViewEx.Designer.cs: 不要なので削除。
	* PtSim/Controls/ListViewEx.cs: 不要なusingを削除。Designer.csの削除に対応。
	* PtSim/Controls/ProgressBarDirectRender.cs (ProgressBarDirectRender): 新規。バーを直接描画するProgressBar。
	* PtSim/MainForm.Designer.cs b/PtSim/MainForm.Designer.cs: 新規。VS2012の生成したデザイナーファイル。
	* PtSim/MainForm.cs (MainForm): コンポーネントの操作をデザイナーファイルに移動。
	(MainForm.Main): VisualStyleを有効にする。
	(MainForm.MainForm): コンポーネント名の変更に対応する。
	(MainForm.ConfigWrite): 見かけ以上の変更。
	(MainForm.deleteLogToolStripMenuItem_Click): メソッド名の変更。メッセージを変更。
	(MainForm.deleteLogAllToolStripMenuItem_Click): 同上。
	(MainForm.brandListEditToolStripMenuItem_Click): メソッド名の変更。
	(MainForm.manualToolStripMenuItem_Click): 同上。
	(MainForm.versionToolStripMenuItem_Click): 同上。
	(MainForm.EnableFlags): 新規。Enabledなコンポーネントを指示する列挙体。
	(MainForm.SetEnabled): 新規。コンポーネントのEnabledをまとめて変更する。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): SetEnabledを使う。
	(MainForm.buttonExecute_Click): 同上。
	(MainForm.backgroundWorkerExecute_RunWorkerCompleted): メッセージの改行を変更。SetEnabledを使う。
	(MainForm.buttonPerformance_Click): SetEnabledを使う。
	(MainForm.backgroundWorkerPerformance_DoWork): 見かけ以上の変更。
	(MainForm.backgroundWorkerPerformance_RunWorkerCompleted): コンポーネント名の変更に対応する。SetEnabledを使う。
	(MainForm.buttonHistory_Click): 見かけ上の変更。
	(MainForm.copyToolStripMenuItem_Click): メソッド名の変更。テキストの生成を方法を簡潔に。
	* PtSim/MainForm.resx: VS2012の生成したリソースファイル。
	* PtSim/Properties/AssemblyInfo.cs: PtSim/AssemblyInfo.csから移動。
	* PtSim/PtSim.csproj: Controls/ProgressBarDirectRender.csとMainForm.Designer.csの追加。AssemblyInfo.csの移動。Controls/ListViewEx.Designer.csの削除。
	
2013-06-28  panacoran <panacoran@users.sourceforge.jp>

	マジックコメントでシステムの実行方法を指定する。#31605
	* Protra.Lib/Lang/Buffer.cs (Buffer.Line): 自動プロパティにする。
	(Buffer.Column): 同上。
	(Buffer.Buffer): マジックコメントを返すDictionaryをもらう。
	(Buffer.Next): 書き直し。最初の行のマジックコメントを解釈する。
	(Buffer.ReadLine): 自動プロパティに対応する。
	(Buffer.ParseMagicComment): マジックコメントを解釈する。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter): ScannerのMagicCommentをリソースに設定する。
	(Interpreter.GetMagicCommentValue): 新規。マジックコメントの値を取得する。
	* Protra.Lib/Lang/Resource.cs (Resource.MagicComment): 新規。マジックコメントのDictionaryを取得または設定する。
	* Protra.Lib/Lang/Scanner.cs (Scanner): 新規。マジックコメントのDictionaryを取得する。
	(Scanner.Scanner): BufferにマジックコメントのDictionaryを渡す。
	* PtSim/MainForm.cs (MainForm.LoopType): 削除。
	(MainForm.backgroundWorkerExecute_DoWork): LoopTypeの削除。
	* PtSim/SystemExecutor.cs (SystemExecutor.SystemExecutor): 同上。
	(SystemExecutor.Execute): マジックコメントでループ方法を決定する。
	* bin/Release/system/MA Cross with Cap.pt: マジックコメントでループ方法を指定。
	
2013-06-27  panacoran <panacoran@users.sourceforge.jp>

	AppendTextの実行とインタープリターの実行を並列化する。#31576
	* PtSim/MainForm.cs (MainForm.WrapInvoke): AppendTextをBeginInvokeで実行して次回の実行でEndInvokeする。
	(MainForm.backgroundWorkerExecute_ProgressChanged): 最後のBeginInvokeの後始末をする。
	
2013-06-26  panacoran <panacoran@users.sourceforge.jp>

	return/break/continueを最適化する。#31576
	式のノードの親クラスをExpressionNodeに。子ノードをExpressionNodeに。ExecuteをEvaluateに変更する。
	文のノードの親クラスをExecutableNodeに。Executeの返値をResult列挙体にしてreturn/break/continueの効果を伝搬させる。
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs (ArithmeticExpressionNode): 式のノードの変更。
	* Protra.Lib/Lang/ArithmeticTermNode.cs (ArithmeticTermNode): 同上。
	* Protra.Lib/Lang/ArrayNode.cs (ArrayNode): 同上。
	* Protra.Lib/Lang/AssignmentNode.cs (AssignmentNode): ExpressionNodeから改名。式のノードの変更。
	* Protra.Lib/Lang/BreakStatementNode.cs (BreakStatementNode): 文のノードの変更。
	(BreakStatementNode.Execute): Result.Breakを返す。Tokenをリソースに設定する。
	(BreakStatementExecutedException): 削除。
	* Protra.Lib/Lang/ComparisonNode.cs (ComparisonNode): 式のノードの変更。
	* Protra.Lib/Lang/ContinueStatementNode.cs (ContinueStatementNode): 文のノードの変更。
	(ContinueStatementNode.Execute): Result.Continueを返す。Tokenをリソースに設定する。
	(ContinueStatementExecutedException): 削除。
	* Protra.Lib/Lang/EmptyStatementNode.cs (EmptyStatementNode): 文のノードの変更。
	(EmptyStatementNode.Execute): Result.Normalを返す。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs (EquivalenceComparisonNode): 式のノードの変更。
	* Protra.Lib/Lang/ExecutableNode.cs (Result): 新規。文の実行結果を表す列挙体。
	(ExecutableNode): 新規。実行可能なノードを表すクラス。
	* Protra.Lib/Lang/ExpressionNode.cs (ExpressionNode): 中身をAssignmentNodeに移して式のノードの親クラスにする。
	(ExpressionNode.Execute): 実行されたらNotImplementedExceptionを投げる。
	* Protra.Lib/Lang/ExpressionStatementNode.cs (ExpressionStatementNode): 文のノードの変更。式を子ノードにする。
	(ExpressionStatementNode.Parse): 自分を返す。
	(ExpressionStatementNode.Execute): 子ノードを評価してResult.Normalを返す。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs (FunctionDefinitionNode): 文のノードの変更。本体をExecutableNodeのリストに変更。
	(FunctionDefinitionNode.Execute): Result.Normalを返す。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode): 式のノードの変更。
	(FunctionNode.Evaluate): 文がResult.Returnを返したら実行を中断してリソース中の返値を返す。continue/breakが実行されたらエラーにする。#31577 エラーのトークンをcontine/breakの位置にする。
	* Protra.Lib/Lang/IfStatementNode.cs (IfStatementNode): 文のノードの変更。
	(IfStatementNode.Execute): Result.Normal以外を返す文があったら実行を中断する。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter): 子をProgramNodeに。
	(Interpreter.Execute): 返値をなくす。
	* Protra.Lib/Lang/LiteralNode.cs (LiteralNode): 式のノードの変更。
	* Protra.Lib/Lang/LogicalExpressionNode.cs (LogicalExpressionNode): 同上。
	* Protra.Lib/Lang/LogicalTermNode.cs (LogicalTermNode): 同上。
	* Protra.Lib/Lang/Node.cs: 削除。
	* Protra.Lib/Lang/PrefixedExpressionNode.cs (PrefixedExpressionNode): 同上。
	* Protra.Lib/Lang/PrimaryNode.cs (PrimaryNode): 同上。
	* Protra.Lib/Lang/ProgramNode.cs (ProgramNode): 文のノードの変更。
	(ProgramNode.Execute): 文がResult.Returnを返したら実行を中断。break/continueのエラーのトークンをcontine/breakの位置にする。#31578
	* Protra.Lib/Lang/Resource.cs (Resource.ReturnValue): 新規。returnの返値を取得または設定する。
	(Resource.Token): 新規。return/break/continueに対応する字句を取得または設定する。#31578
	* Protra.Lib/Lang/ReturnStatementNode.cs (ReturnStatementNode): 文のノードの変更。
	(ReturnStatementNode.Execute): 返値を評価してリソースに設定する。Tokenをリソースに設定する。
	(ReturnStatementExecutedException): 削除。
	* Protra.Lib/Lang/StatementNode.cs (StatementNode): 文のノードの変更。
	(StatementNode.Execute): 実行されたらNotImplementedExceptionを投げる。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs (SuffixedExpressionNode): 式のノードの変更。
	* Protra.Lib/Lang/VariableNode.cs (VariableNode): 同上。
	* Protra.Lib/Lang/WhileStatementNode.cs (WhileStatementNode): 文のノードの変更。
	(WhileStatementNode.Execute): 文の実行結果に応じて適切に対応する。
	* Protra.Lib/Protra.Lib.csproj: AssignmentNode.cs、ExecutableNode.csの追加。Node.csの削除。
	
2013-06-26  panacoran <panacoran@users.sourceforge.jp>

	ScannerをNodeの静的プロパティを使わずにParseの引数で渡す。#31576
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs (ArithmeticExpressionNode.Parse): ScannerをParseの引数で渡す。
	* Protra.Lib/Lang/ArithmeticTermNode.cs (ArithmeticTermNode.Parse): 同上。
	* Protra.Lib/Lang/ArrayNode.cs (ArrayNode.Parse): 同上。
	* Protra.Lib/Lang/BreakStatementNode.cs (BreakStatementNode.Parse): 同上。
	* Protra.Lib/Lang/ComparisonNode.cs (ComparisonNode.Parse): 同上。
	* Protra.Lib/Lang/ContinueStatementNode.cs (ContinueStatementNode.Parse): 同上。
	* Protra.Lib/Lang/EmptyStatementNode.cs (EmptyStatementNode.Parse): 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs (EquivalenceComparisonNode.Parse): 同上。
	* Protra.Lib/Lang/ExpressionNode.cs (ExpressionNode.Parse): 同上。
	* Protra.Lib/Lang/ExpressionStatementNode.cs (ExpressionStatementNode.Parse): 同上。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs (FunctionDefinitionNode.Parse): 同上。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Parse): 同上。
	* Protra.Lib/Lang/IfStatementNode.cs (IfStatementNode.Parse): 同上。
	* Protra.Lib/Lang/LiteralNode.cs (LiteralNode.Parse): 同上。
	* Protra.Lib/Lang/LogicalExpressionNode.cs (LogicalExpressionNode.Parse): 同上。
	* Protra.Lib/Lang/LogicalTermNode.cs (LogicalTermNode.Parse): 同上。
	* Protra.Lib/Lang/PrefixedExpressionNode.cs (PrefixedExpressionNode.Parse): 同上。
	* Protra.Lib/Lang/PrimaryNode.cs (PrimaryNode.Parse): 同上。
	* Protra.Lib/Lang/ProgramNode.cs (ProgramNode.Parse): 同上。
	* Protra.Lib/Lang/ReturnStatementNode.cs (ReturnStatementNode.Parse): 同上。
	* Protra.Lib/Lang/StatementNode.cs (StatementNode.Parse): 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs (SuffixedExpressionNode.Parse): 同上。
	* Protra.Lib/Lang/VariableNode.cs (VariableNode.Parse): 同上。
	* Protra.Lib/Lang/WhileStatementNode.cs (WhileStatementNode.Parse): 同上。
	* Protra.Lib/Lang/Node.cs (Node.Parse): 同上。
	(Node.Scanner): 削除。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): ファイルをusingのDisposeで閉じる。ScannerをNode.Parseの引数に渡す。
	* Protra.Lib/Lang/Scanner.cs (Scanner): IDisposableを実装してDisposeでファイルを閉じる。
	* Protra.Lib/Lang/Buffer.cs (Buffer): 同上。
	
2013-06-26  panacoran <panacoran@users.sourceforge.jp>
	
	プログラムが複雑なわりに効果が低いので、仮引数とローカル変数を配列参照にする最適化をやめる。#31576
	* Protra.Lib/Lang/ExpressionNode.cs (ExpressionNode.Parse): 上記の通り。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs (FunctionDefinitionNode.Parse): 同上。
	(FunctionDefinitionNode.Execute): 同上。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 同上。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): 同上。
	* Protra.Lib/Lang/Node.cs (Node.Stack): 同上。
	* Protra.Lib/Lang/ProgramNode.cs (ProgramNode.Execute): 同上。
	* Protra.Lib/Lang/Resource.cs (Resource.Resource): 同上。
	(Resource.Stack): 同上。
	* Protra.Lib/Lang/VariableNode.cs (VariableNode.Parse): 同上。
	(VariableNode.Execute): 同上。
	(VariableNode.Assign): 同上。
	
2013-06-26  panacoran <panacoran@users.sourceforge.jp>

	前のコミットでサブディレクトリのシステムを実行できなくなったのを直す。
	* Protra.Lib/Data/GlobalData.cs (PathEncoder): 新規。\を含むファイル名をエンコードするクラス。
	(GlobalData.GlobalDataPath): ファイル名をエンコードする。
	* Protra.Lib/Data/LogData.cs (LogData.LogPath): ファイル名をエンコードする。
	
2013-06-26  panacoran <panacoran@users.sourceforge.jp>

	LogDataの最適化。#31576
	* Protra.Lib/Data/GlobalData.cs (GlobalData.GlobalDataPath): UrlEncodeをやめる。#27214
	(GlobalData.Delete): priceTypeをtimeFrameに直す。
	* Protra.Lib/Data/LogData.cs (Log.CompareTo): 日付が同じなら証券コードを比較する。
	(LogData): IDisposableを実装する。
	(LogData.LogData): 新規。実行履歴を読み込む。
	(LogData.LogPath): UrlEncodeをやめる。#27214
	(LogData.GetLog(string, TimeFrame, string): 削除。
	(LogData.GetLog(string)): 新規。実行履歴を取得する。
	(LogData.GetLog(string, TimeFrame, DateTime, DateTime): 削除。
	(LogData.GetLog(DateTime, DateTime): 新規。実行履歴を取得する。
	(LogData.Add(string, TimeFrame, Log)): 削除。
	(LogData.Add(Log)): 新規。実行履歴を追加する。同日の売買はfalseを返す。#31579
	(LogData.Remove(string)): 新規。指定された銘柄の実行履歴を削除する。
	(LogData.Clear): 新規。実行履歴を空にする。
	(LogData.Close): 新規。実行履歴を保存してファイルを閉じる。
	(LogData.Dispose()): 新規。リソースを開放する。
	(LogData.Dispose(bool)): 同上。
	(LogData.Delete(string, TimeFrame, string)): 削除。
	(LogData.Delete(string, TimeFrame)): priceTypeをtimeFrameに直す。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.LogData): 新規。LogDataのインスタンスを取得または設定する。
	(SimulateBuiltins.Invoke): BuyとSellで同日の売買をエラーにする。
	* PtSim/MainForm.cs (MainForm.buttonHistory_Click): LogDataの仕様変更に合わせる。
	* PtSim/Performance.cs (Performance.CalcProfit): 同上。
	* PtSim/SystemExecutor.cs (SystemExecutor.SystemExecutor): priceTypeをtimeFrameに直す。
	(SystemExecutor.LoopBrandAndDate): LogDataの仕様変更に合わせる。
	(SystemExecutor.LoopDateOnly): 同上。
	
2013-06-24  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Controls/ProfitGraphBox.cs (ProfitGraphBox.DrawProfitLines): 一番右まで描くとわかりにくいので2px空ける。
	
2013-06-23  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/system/MA Cross Doten.pt: 新規。ドテンの例。
	* bin/Release/system/MA Cross with Cap.pt: 新規。予算上限付きのシステム。日付のみのループの例。
	* bin/Release/system/MA Cross.pt: ライセンスの明示。若干の修正。
	
2013-06-23  panacoran <panacoran@users.sourceforge.jp>

	成績の計算を別のクラスに分離する。#31464
	ProfitGraphBoxを書き直す。#31464
	空売りの利率計算のミスを直す。#27126 ドテンに対応する。#3743
	* PtSim/Controls/ProfitGraphBox.cs (ProfitGraphBox): 書き直す。
	* PtSim/Controls/ProfitGraphBox.resx: 削除。
	* PtSim/CumultiveProfit.cs (CumultiveProfitList): 新規。時価と簿価の利益の集計値の日付順のリスト。
	(CumultiveProfit): 新規。時価と簿価の利益の集計値を持つクラス。
	* PtSim/MainForm.cs (MainForm.Performance): 削除。
	(MainForm.buttonPerformance_Click): RunWorkerAsyncの引数を変更する。
	(MainForm.backgroundWorkerPerformance_DoWork): PerformanceCalculatorを使う。
	(MainForm.backgroundWorkerPerformance_RunWorkerCompleted): 正常終了では何もしない。
	* PtSim/Performance.cs (Performance): 新規。システムの成績を計算するクラス。
	* PtSim/ProfitList.cs: 削除。
	* PtSim/PtSim.csproj: CumultiveProfit.csとPerformance.csの追加。ProfitList.csとControls\ProfitGraphBox.resxの削除。

2013-06-19  panacoran <panacoran@users.sourceforge.jp>

	r448で入ったスクロールバーを左端に移動するとScrollBar.Valueに-1が入るバグを直す。
	* Protra/Controls/ChartPanel.cs (ChartPanel.TimeFrame): SetScrollBarを呼ぶ。
	(ChartPanel.Code): 同上。
	(ChartPanel.DrawLastWeek): 同上。
	(ChartPanel.InvalidatePrices): 同上。
	(ChartPanel.InvalidateChartBoxes): スクロールのときにSetScrollBarを呼ぶ必要はないので分離する。
	(ChartPanel.SetScrollBar): Valueが一つ少なかったのを直す。
	(ChartPanel.hScrollBar_Scroll): つまらない最適化をやめる。
	
2013-06-18  panacoran <panacoran@users.sourceforge.jp>

	前のコミットで入った株価データがないときにNullReferenceExceptionになるバグを直す。
	* PtSim/SystemExecutor.cs (SystemExecutor.LoopBrandAndDate): 上記の通り。
	(SystemExecutor.LoopDateOnly): 同上。

2013-06-16  panacoran <panacoran@users.sourceforge.jp>
	
	システムの実行を別のクラスに分離する。#31464
	* ChangeLog.txt: 2013-06-04にこの記述が入っていたのを削除。
	* PtSim/MainForm.cs (MainForm.Execute): 削除。
	(MainForm.ExecuteEmpty): 削除。
	(MainForm.buttonExecute_Click): RunWorkerAsyncの引数を変更する。実際にシステムが中断するまでカーソルを変えてボタンを無効化する。#31556
	(MainForm.LoopType): 新規。ループの種類を返す。
	(MainForm.backgroundWorkerExecute_DoWork): SystemExecutorを使用する。
	(MainForm.backgroundWorkerExecute_RunWorkerCompleted): カーソルを元に戻す。
	(MainForm.WrapInvoke): 新規。AppendTextをInvokeでくるむ。
	* PtSim/PtSim.csproj: SystemExecutor.csを追加する。
	* PtSim/SystemExecutor.cs (LoopType): 新規。ループの種類を指定する列挙体。
	(SystemExecutor): 新規。トレーディングシステムを実行するクラス。

2013-06-16  panacoran <panacoran@users.sourceforge.jp>

	#31576
	* Protra.Lib/Data/BrandData.cs (BrandData.this[]): TryGetValueを使う。TryGetValueのほうが速い。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Prices): Brandを設定する。
	(BasicBuiltins.Brand): 呼ばれるたびにBrandDataを引かない。

2013-06-16  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.Invoke): 前のコミットでPrintとPrintLogがnull引数でエラーになっていたのを直す。

2013-06-14  panacoran <panacoran@users.sourceforge.jp>

	#31557
	* Protra.Lib/Lang/Builtins/CoreBuiltins.cs (CoreBuiltins.Invoke): 型検査をやめる。
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs (DrawBuiltins.Invoke): 同上。intをdoubleに変換できるようにConvert.ToDoubleを使う。
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs (MathBuiltins.Invoke): 同上。Random(1)がfloatを取れる仕様を維持する。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.Invoke): リファクタリング。引数がarrayのときにエラーにする。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 組み込み関数の引数の型エラーとnull引数のエラーをRuntimeExceptionにする。
	
2013-06-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Any CPUのときのProtra.Libのプラットフォームが誤ってx86だったのを直す。
	
2013-06-11  panacoran <panacoran@users.sourceforge.jp>

	#30936
	* Protra.Lib/FloatComparers.cs (FloatComparers): 新規。浮動小数点の比較を行うクラス。
	* Protra.Lib/Lang/Value.cs (Value.Value): 不要なthisを削除。
	(Value.IsFalse): FloatComparers.Equalで0.0と比較する。
	(Value.Equals): switch文を使って書き直し。浮動小数点の比較をFloatComparers.Equalで行う。
	(Value.CompareTo): 浮動小数点の比較をFloatComparers.Compareで行う。
	(Value.operator /): ゼロ除算のチェックを最初にする。FloatComparers.Equalで0.0と比較する。
	* Protra.Lib/Protra.Lib.csproj: Protra.Lib/FloatComparers.csを追加。
	
2013-06-08  panacoran <panacoran@users.sourceforge.jp>

	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs: 見かけ上の変更。
	(ArithmeticExpressionNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/ArithmeticTermNode.cs: 見かけ上の変更。
	(ArithmeticTermNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/ArrayNode.cs: 見かけ上の変更。
	* Protra.Lib/Lang/BreakStatementNode.cs: 同上。
	* Protra.Lib/Lang/Buffer.cs: 同上。
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs: 同上。
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs: 同上。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs: 著作権表示の変更のみ。
	* Protra.Lib/Lang/ComparisonNode.cs: 見かけ上の変更。
	(ComparisonNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/ContinueStatementNode.cs: 見かけ上の変更。
	* Protra.Lib/Lang/EmptyStatementNode.cs: 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs: 同上。
	(EquivalenceComparisonNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/ExpressionNode.cs: 見かけ上の変更。
	* Protra.Lib/Lang/ExpressionStatementNode.cs: 同上。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs: 同上。
	* Protra.Lib/Lang/FunctionNode.cs: 同上。
	(FunctionNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/FunctionType.cs: 見かけ上の変更。
	* Protra.Lib/Lang/IfStatementNode.cs: 同上。
	* Protra.Lib/Lang/Interpreter.cs: 同上。
	* Protra.Lib/Lang/LiteralNode.cs: 同上。
	* Protra.Lib/Lang/LogicalExpressionNode.cs: 同上。
	(LogicalExpressionNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/LogicalTermNode.cs: 見かけ上の変更。
	(LogicalTermNode.Execute): RuntimeExceptionのInnerExceptionを設定する。
	* Protra.Lib/Lang/Node.cs: 見かけ上の変更。
	* Protra.Lib/Lang/ParseException.cs: 同上。
	* Protra.Lib/Lang/PrefixedExpressionNode.cs: 同上。
	(PrefixedExpressionNode.Execute): RuntimeExceptionのInnerExceptionを設定する。キャッチしたRuntimeExceptionにTokenが設定されていたらそれを使う。#31527
	* Protra.Lib/Lang/PrimaryNode.cs: 見かけ上の変更。
	* Protra.Lib/Lang/ProgramNode.cs: 同上。
	* Protra.Lib/Lang/Resource.cs: 同上。
	* Protra.Lib/Lang/ReturnStatementNode.cs: 同上。
	* Protra.Lib/Lang/RuntimeException.cs: 同上。
	(RuntimeException.RuntimeException): InnerExceptionを設定可能にする。
	* Protra.Lib/Lang/Scanner.cs: 見かけ上の変更。
	* Protra.Lib/Lang/StatementNode.cs: 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs: 同上。
	* Protra.Lib/Lang/Token.cs: 同上。
	* Protra.Lib/Lang/Value.cs: 同上。
	* Protra.Lib/Lang/VariableNode.cs: 同上。
	* Protra.Lib/Lang/WhileStatementNode.cs: 同上。
	
2013-05-28  panacoran <panacoran@users.sourceforge.jp>

	#31464
	* Protra.Lib/Protra.Lib.csproj: PtFileTreeView関係のファイルを削除。
	* PtSim/Controls/CloseFolder.ico: Protra.Lib/Controls/CloseFold.icoから大きなアイコンを取り除いて改名。#31469
	* PtSim/Controls/OpenFolder.ico: 同上。
	* PtSim/Controls/Pt.ico: 同上。
	* PtSim/Controls/PtFileTreeView.Designer.cs: 新規。デザイナーの生成したファイル。
	* PtSim/Controls/PtFileTreeView.cs: Protra.Lib/Controlsから移動して書き直し。
	(PtFileTreeView.SelectedFile): SelectedReativeFileと同じ挙動にする。
	(PtFileTreeView.SelectedRelativeFile): 削除。
	(PtFileTreeView.SelectedDirectory): 使わないので削除。
	* PtSim/Controls/PtFileTreeView.resx: 新規。リソースファイル。
	* PtSim/MainForm.cs (MainForm): PtFileTreeViewの移動に対応する。SelectedRelativeFileをSelectedFileに変更。
	* PtSim/PtSim.csproj: PtFileTreeView関係のファイルを追加。
	
2013-05-28  panacoran <panacoran@users.sourceforge.jp>

	ProtraConfigにLocation、TimeFrame、Sizeを導入。#31456
	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.Upgrade): 新規。プロパティの移設に対応するため。
	(ConfigBase.Downgrade): 同上。
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.Size): 新規。WidthとHeightをまとめる。
	(ProtraConfig.Location): 新規。ウィンドウの位置を覚える。
	(ProtraConfig.PriceInfoHeight): 使っていないので削除。
	(ProtraConfig.TimeFrame): 新規。ChartModeからTimeFrameに移行する。
	(ProtraConfig.ProtraConfig): Locationのデフォルト値を設定する。
	(ProtraConfig.Upgrade): 新規。SizeとTimeFrameに値を移す。
	(ProtraConfig.Downgrade): 新規。Width、Height、ChartModeに値を戻す。
	(ProtraConfig.ReadOldConfig): バグ修正。ptopt.confがないと設定を引き継げない。ChartNumを引き継げない。
	* Protra/Controls/ChartPanel.cs (ChartPanel.GetConfig): TimeFrameに対応する。
	* Protra/MainForm.cs (MainForm.MainForm): 同上。
	(MainForm.ConfigWrite): Size、Locationに対応。
	(MainForm.MainForm_Load): 同上。
	
2013-05-26  panacoran <panacoran@users.sourceforge.jp>

	#31404
	* Protra/Controls/ChartBox.cs (ChartBox.Proportion): 新規。ChartPanelに占める高さの比率を取得または設定する。
	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartNum): 最初の不要なSplitterを作らない。Splitterの厚みを記録する。SplitterにSplitterMovedのイベントハンドラーを登録する。ChartBox.Proportionの初期値を設定する。
	(ChartPanel.BoxesHeight): 新規。ChartBoxの高さの合計。
	(ChartPanel.OnSizeChanged): Proportionを元にChartBoxの高さを設定する。
	(ChartPanel.splitter_SplitterMoved): 新規。ChartBox.Proprttionを変更する。
	
2013-05-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartBox.cs (ChartBox.OnPaint): 株価データが存在しないことを知らせる。#31425
	(ChartBox.CalcIndexFromX): Interpreterが設定されていないときに-1を返す。#31420
	* PtSim/MainForm.cs (MainForm.Execute): 株価データが存在しないことを知らせる。#31425
	(MainForm.ExecuteEmpty): 同上。

2013-05-24  panacoran <panacoran@users.sourceforge.jp>

	PriceDataクラスの仕様を変更。
	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Data/PriceData.cs (TimeFrame): 新規。株価データのタイムフレームを表す列挙体。
	(PriceList): 新規。株価データのリストとタイムフレームを保持するクラス。
	(PriceData.GetPrices): Pricesから改名。引数で日足と週足を選択可能に。株価データが存在しないときにnullを返す。
	(PriceData.GenerateWeeklyPrices): WeeklyPricesから改名。日足のデータを受け取って週足のデータを返す。
	(PriceData.ConvertToCSV): GetPricesを使う。
	* Protra.Lib/Data/GlobalData.cs (GlobalData.GlobalDataPath): TimeFrame列挙体に対応。
	* Protra.Lib/Data/LogData.cs (LogData): 同上。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins): PriceListクラスに対応。PriceData.GetPricesを使う。
	(BasicBuiltins.Mode): 削除。
	(BasicBuiltins.Invoke): 株価データが存在しないときnullを返す。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins): TimeFrame列挙体に対応。
	* Protra/Controls/ChartBox.cs (ChartBox): 同上。
	* Protra/Controls/ChartPanel.cs (ChartPanel): TimeFrame列挙体に対応。PriceListクラスに対応。
	(ChartPanel.Prices): PriceData.GetPricesを使う。
	* Protra/MainForm.cs (MainForm): TimeFrame列挙体に対応。
	* Protra/MainForm.Designer.cs (MainForm.InitializeComponent): ChartPanel.{ChartBackColor,ChartForeColor}を削除。
	* PtSim/MainForm.cs (MainForm): TimeFrame列挙体に対応。PriceListクラスに対応。
	(MainForm.Execute): PriceData.GetPricesを使う。
	(MainForm.ExecuteEmpty): 同上。
	(MainForm.Performance): 同上。
	(MainForm.TimeFrameName): 新規。TimeFrameの名前を返す。
	(MainForm.TimeFrame): 新規。TimeFrameの設定を返す。

2013-05-24  panacoran <panacoran@users.sourceforge.jp>

	ChartPanelとChartBoxを再設計。
	ReSharperによるアドバイスを反映させる。
	* Protra/Controls/ChartBox.cs (ChartBox.ChartMode): 新規。ChartPanelから取得する。
	(ChartBox.Prices): 同上。
	(ChartBox.RightIndex): 同上。
	(ChartBox.Program): ProgramFileをProgramに短縮。
	(ChartBox.Interpreter): 新規。現在の表示モードのインタープリターを取得または設定する。
	(ChartBox.ProgramMode): 新規。日足用と週足用のどちらのプログラムを使用するかを取得する。
	(ChartBox.SetProgram): 同上。
	(ChartBox.DailyProgram): 同上。
	(ChartBox.WeeklyProgram): 同上。
	(ChartBox.SetPrices): 削除。ChartBoxに株価データを持たせない。
	(ChartBox.RightIndex): 削除。
	(ChartBox.NeedScrollBar): 削除。
	(ChartBox.OnPaint): Interpreterを使う。
	(ChartBox.VirtualRendereing): 同上。
	(ChartBox.DrawVirticalAxis): 同上。
	(ChartBox.CalcInterval): 同上。
	(ChartBox.DrawHorizontalAxis): 同上。
	(ChartBox.DrawIndicatorNames): 同上。
	(ChartBox.DrawIndicatorValue): 同上。
	* Protra/Controls/ChartPanel.cs (ChartPanel.SetConfig): 新規。設定を反映させる。
	(ChartPanel.GetConfig): 新規。設定を取得する。
	(ChartPanel.ChartForeColor): getを削除。
	(ChartPanel.ChartBackColor): 同上。
	(ChartPanel.ChartMode): 株価データの取得を行わない。
	(ChartPanel.Code): SelectedCodeから改名。株価データを無効化する。
	(ChartPanel.UpdatePrices): 削除。
	(ChartPanel.DrawLastWeek): 週足の株価データを無効化する。
	(ChartPanel.Prices): 株価データの取得とRightIndexの設定を行う。
	(ChartPanel.PriceCache): 新規。
	(ChartPanel.RightIndex): 新規。チャートの右端のインデックスを取得または設定する。
	(ChartPanel.UseDifferentChart): getを削除。
	(ChartPanel.ChartBoxes): 削除。
	(ChartPanel.InvalidatePrices): 新規。株価データを無効化する。
	(ChartPanel.InvalidateChartBoxes): 新規。ChartBoxをInvalidateする。
	(ChartPanel.SetScrollBar): 新規。ScrollBarの設定をする。
	(ChartPanel.OnSizeChanged): _chartBoxesがnullの場合はない。SetScrollBarを使う。
	(ChartPanel.hScrollBar_Scroll): RightIndexの仕様変更に対応。
	* Protra/MainForm.cs (MainForm.ConfigWrite): ChartPanel.GetConfigを使う。
	(MainForm.ChartPanelInit): ChartPanel.SetConfigを使う。
	(MainForm.listBoxBrandList_SelectedIndexChanged): SelectedCodeをCodeに。
	(MainForm.menuItemSearchedBrand_Click): 同上。
	(MainForm.priceUpdateToolStripMenuItem_Click): UpdatePricesをInvalidatePricesに。
	(MainForm.priceDeleteToolStripMenuItem_Click): 同上。
	(MainForm.priceConvertToolStripMenuItem_Click): 同上。
	(MainForm.listAddtoolStripMenuItem_Click): SelectedCodeをCodeに。

2013-05-18  panacoran <panacoran@users.sourceforge.jp>

	Protra/MainForm.csの見直し。
	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Data/BrandData.cs: Copyright Noticeの更新。
	* Protra/MainForm.cs (MainForm.MainForm): ChartPanelInit()をLoadのイベントハンドラーに移動。
	(MainForm.ChartPanelInit): 最初にSetPriceInfoを設定。ChartBoxの高さを設定する。
	(MainForm.ConfigWrite): 最大化時の元のサイズをRestoreBounds.Sizeで取得。
	(MainForm.MainForm_Load): ChartPanelInit()を呼ぶ。
	(MainForm.MainForm_LocationChanged): 削除。RestoreBounds.Sizeがあるので不要。
	(MainForm.MainForm_SizeChanged): 同上。
	* Protra/MainForm.Designer.cs (MainForm.InitializeComponent): LocationChangedとSizeChangedを削除。
	
2013-05-14  panacoran <panacoran@users.sourceforge.jp>

	DirDataが存在しないときに例外で落ちないようにする。
	* Protra.Lib/Data/BrandData.cs (BrandData.BrandData): DirDataが存在しないときに作成する。
	
2013-05-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/FileChangeWatcher.cs (FileChangeWatcher): 新規。ファイルの変更を監視するクラス。r442で追加し忘れていた。
	
2013-03-09  panacoran <panacoran@users.sourceforge.jp>

	組み込み関数のリファクタリングと処理系のバグ修正。
	組み込み関数の名前空間をProtra.Lib.Lang.Builtinsに変更。
	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (PriceComparer): 新規。価格データの日付を比較する。
	(BasicBuiltins.Invoke): ほかの銘柄の値を返す関数の実装を修正。株価データの日付の比較にList(T).BinarySearchを使う。
	* Protra.Lib/Lang/Builtins/CoreBuiltins.cs (CoreBuiltins): 名前空間と同じクラス名は使えないのでBuiltinsから改名。
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs (MathBuiltins.Invoke): 浮動小数点のキャストを一か所にまとめる。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.Invoke): PrintLogをstring型@作用素に対応させる。#26490
	* Protra.Lib/Lang/Value.cs (Value.IsFalse): 浮動小数点のまるめ誤差に対応する。#30936
	(Value.Equals): 同上。
	(Value.CompareTo): 同上。
	(Value.operator /): 同上。
	(Value.operator %): 0の剰余をエラーにする。
	* Protra.Lib/Protra.Lib.csproj: Builtins.csをCoreBuiltins.csに改名。
	* PtSim/MainForm.cs (MainForm.AppendText): BeginInvokeをEndInvokeで同期させる。#26633
	
2013-03-04  panacoran <panacoran@users.sourceforge.jp>

	設定ファイルと銘柄データの読み込みと再読み込みの処理を見直す。
	ReSharperによるアドバイスを反映させる。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.BrandListInit ): 新規。銘柄リストの表示を初期化するデリゲートを取得または設定する。XmlSerializerでシリアライズしない。
	(BrandListConfig.Load): 銘柄リストのリロード時に、古いBrandListを再利用するのをやめる。リロード時にBrandListInitを呼ぶ。
	(BrandListConfig.ReadOldConfig): エラーなら「お気に入り」を追加しない。
	(ConfigBase.ConfigBase): FileChangeWatherオブジェクトを生成する。
	(ConfigBase.SetWatcher): 削除。FileChangeWatherに委譲する。
	(ConfigBase.watcher_Changed): 同上。
	(ConfigBase.Load): ファイルをFile.OpenTextで読む。再試行をやめる。エラー処理をやめる。
	(ConfigBase.Save): ファイルをFile.CreateTextで開く。エラーの際にExceptionのMessageをMessageBoxで表示する。
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.ReadOldConfig): 無視する例外の明示。
	* Protra.Lib/Config/PtSimConfig.cs: 著作権表示の挿入。
	(PtSimConfig.PtSimConfig): 削除。
	(PtSimConfig.ReadOldConfig): 無視する例外の明示。
	(BrandData.Updated): 削除。
	(BrandData.BrandListInit): 新規。銘柄リストの表示を更新するデリゲートを取得または設定する。
	(BrandData.SetWatcher): 削除。
	(BrandData.BrandData): FileChangeWatcherを使う。
	(BrandData.watcher_Created): 削除。
	(BrandData.Load): ファイルの読み込みと更新を分離する。エラーで終了するのをやめる。
	(BrandData.OpenIndex): 削除。
	(BrandData.Update): 新規。銘柄データを更新する。
	(BrandData.LoadAndUpdateBrandList): 新規。銘柄データを更新し、銘柄リストの表示を更新する。
	* Protra.Lib/Protra.Lib.csproj: Config\FileChangeWatcher.csの追加。
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator.DownloadUrl): プロパティに変更。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.DownloadUrl): プロパティに変更。
	(KdbComUpdator.GetMarketVolume): DownloadUtilの仕様変更に対応。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator): 不要なフィールドとメソッドを削除。
	(MujinzouUpdator.DownloadUrl): プロパティに変更。
	(MujinzouUpdator.ParseLine): コード順の並べ替えを指定する。
	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil.DownloadUtil): urlをコンストラクタで指定する。HttpWebRequestを生成する。プロキシとUserAgentを指定する。
	(DownloadUtil.Referer): 直接HttpWebRequestに設定する。
	(DownloadUtil.IfModifiedSince): 同上。
	(DownloadUtil.GetResponse): GetResponseの準備を削除。ProtocolErrorでNotModified以外は例外を投げる。WebException以外のエラーでnullを返す。
	(DownloadUtil.DownloadAndExtract): URLをHttpWebRequestから取る。
	(PriceDataUpdator.DownloadUrl): プロパティに変更。
	(PriceDataUpdator.Update): 銘柄データを更新中であることを表示する。BrandData.Updateで銘柄データを更新する。#30868
	(PriceDataUpdator.UpdatePrice): DownloadUtilの再利用をやめる。
	* Protra.sln: x86プラットフォームを追加。x86でビルドする。#30875
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog): 新しいデザイナーで作り直す。
	* Protra/Dialogs/PriceUpdateDialog.Designer.cs: 新規。デザイナーの生成したファイル。
	* Protra/Dialogs/PriceUpdateDialog.resx: BOMの挿入。
	* Protra/MainForm.cs (MainForm.MainForm): 前回選択されていた銘柄リストと銘柄の設定をBrandListInitにまかせる。BrandDataとBrandListConfigからBrandListInitを呼べるようにする。
	(MainForm.BrandListInit): 選択された銘柄リストをListBoxに反映させる。前回選択されていた銘柄を選択状態にする。
	(MainForm.comboBoxBrandList_SelectionChangeCommited): comboBoxBrandList_SelectedIndexChangedから変更。
	(MainForm.priceUpdateToolStripMenuItem_Click): 必要ならすでに呼ばれているのでBrandListInitを呼ばない。
	(MainForm.listDelToolStripMenuItem_Click): ListBoxから銘柄を削除するのにBrandオブジェクトではなくSelectedIndexの値を使う。#30811 MessageBoxにエラーアイコンを指定する。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): ComboBoxで選択したときのイベントをSelectedIndexChangedからSelectionChangeCommittedに。
	* Protra/Protra.csproj: Dialogs\PriceUpdateDialog.Designer.csを追加。
	* PtSim/MainForm.cs (MainForm.MainForm): BrandListConfigからBrandListInitを呼べるようにする。
	
2013-02-19  panacoran <panacoran@users.sourceforge.jp>

	#30810
	* Protra/MainForm.cs (MainForm.toolStripTextBox_KeyPress): エンターキーのイベントをキャンセル。
	
2013-02-18  panacoran <panacoran@users.sourceforge.jp>

	#24665
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.UpdatePrice): 新規。東証一部の出来高を読んでから株価データを更新する。
	(KdbComUpdator.DataSince): 500営業日前の日付を返す。
	(KdbComUpdator.GetMarketVolume): GetIndexVolumeから改名。
	(KdbComUpdator.ReadIndexData): 削除。
	(KdbComUpdator.Price): 新しいフォーマットに対応させる。データ形式に異常があったら例外を投げる。
	* Protra.Lib/Update/PriceDataUpdator.cs
	(PriceDataUpdator.GetDescription): 株価データダウンロードサイトの説明を修正。
	(PriceDataUpdator.UpdatePrice): ReadIndexDataの呼び出しを削除。
	(PriceDataUpdator.ReadIndexData): 削除。
	
2013-02-17  panacoran <panacoran@users.sourceforge.jp>

	#30800
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.MujinzouUpdator): 削除。
	(MujinzouUpdator.DownloadUrl): データのURLを直接生成する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Create): MujinzouUpdatorのコンストラクタの引数を削除。
	(PriceDataUpdator.GetDescription): 無尽蔵の説明を修正。 
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.InitializeComponent): 無尽蔵のデータのURLを入力するためのテキストボックスを削除。
	(OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): テキストボックスの有効と無効の切り替えを削除。
	(OptionDialog.buttonOk_Click): 無尽蔵のデータのURLの取得を削除。

2012-06-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil.DownloadUtil): 7z.dllか7z64.dllの場所をSevenZipExtractorに設定する。#26598
	
2012-02-09  panacoran <panacoran@users.sourceforge.jp>

	7z.dllの採用。#26598
	* bin/Release/7z.dll: 新規。7-Zip 9.20 32-bitに同梱されている7z.dll。
	* bin/Release/7z64.dll: 新規。同64-bitに同梱されている7z.dll。
	* bin/Release/gpl.txt: 削除。http://www.gnu.org/licenses/gpl-3.0.htmlを参照してもらう。
	* bin/Release/License.txt: 新規。Protraと同梱しているファイルのライセンスの説明。
	* bin/Release/man/1/index.html: UNLHA32.DLLのインストールを削除。
	* bin/Release/NEWS.txt: UNLHA32.DLLへの依存がなくなったことに言及。
	* bin/Release/Readme.txt: License.txtにライセンスの記述を移動。UNLHA32.DLLのインストールを削除。
	* bin/Release/SvenZipSharp.dll: 新規。SevenZipSharp 0.64。
	* Protra.Lib/Archiver/*: 削除。
	* Protra.Lib/Protra.Lib.csproj: SevenZipSharpへの参照を追加。Archiver/*の削除。
	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil.DownloadAndExtract): SevenZipSharpを使って書き直し。展開結果をMemoryStreamで返す。 
	* Protra.sln: プラットフォームがAny CPUでも動くようになったのでx86を削除。
	
2012-02-07  panacoran <panacoran@users.sourceforge.jp>

	index.txtをダウンロードする処理の修正。#27429
	* Protra.Lib/Data/BrandData.cs (BrandData.LastModified): 削除。
	(BrandData.Updated): 新規。index.txtが更新されたかどうかを取得または設定する。
	(BrandData.SetWatcher): イベントをChangedに変更。
	(BrandData.Load): コメントの修正。
	(BrandData.OpenIndex): index.txtの更新機能を持たせる。Updatedを設定する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): BrandData.Loadでindex.txtの更新を行う。index.txtの更新中に中断が押されたら終了する。
	(PriceDataUpdator.UpdateIndex): 削除。
	* Protra/MainForm.cs (MainForm.priceUpdateToolStripMenuItem_Click): BrandData.Updatedでindex.txtが更新されたかを確認する。
	
2012-01-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Protra.LibのアーキテクチャをAny CPUに。#27206
	
2011-11-22  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.backgroundWorkerUpdate_RunWorkerCompleted): 中断が押されても完了した場合に対応。#26579
	
2011-11-06  darai <darai@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/BasicBuiltins (Builtins.Invoke):
	他銘柄を参照する際に、特定日付のデータ漏れがあると動作しない不具合を修正。
	他銘柄のRightIndex算出式を修正。
	* Protra.Lib/Lang/Builtins/Builtins (Builtins.Invoke): 配列長を返す関数Lengthを追加。
	* Protra.Lib/Lang/Builtins/MathBuiltins (MathBuiltins.Invoke): 引数のキャスト位置を変更。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins (SimulateBuiltins.Invoke):
	他銘柄を対象にBuy、Sellを呼び出す機能を追加。#26569
	銘柄リストに含まれる銘柄コードの配列を返す関数CodeListを追加。#26570
	* Protra.Lib/Data/BrandData (BrandData.Contains): 新規。銘柄情報が存在するかどうかを判断する。
	* bin/Release/man/5/index.html: CodeList、Lengthの記載を追加。
	* bin/Release/man/6/index.html: CodeList、Lengthの記載を追加。Buy、Sellの記載を修正。
	
	実行対象を空データにするオプションを追加。#26571
	* PtSim/MainForm.cs (MainForm): 実行対象を空データにするオプションを追加。
	* PtSim/MainForm.cs (MainForm.Execute): 同上。
	* PtSim/MainForm.cs (MainForm.ExecuteEmpty): 同上。
	* PtSim/MainForm.resx: 同上。

	* bin/Release/system/LDS2.pt: 削除。

2011-10-19  darai <darai@users.sourceforge.jp>

	他銘柄を参照する機能を追加。#26490
	* Protra.Lib/Lang/ArithmeticExpressionNode (ArithmeticExpressionNode.Execute): string型@作用素に対応。
	* Protra.Lib/Lang/ArithmeticTermNode (ArithmeticTermNode.Execute): 同上。
	* Protra.Lib/Lang/ArrayNode (ArrayNode.Execute): 同上。
	* Protra.Lib/Lang/BreakStatementNode (BreakStatementNode.Execute): 同上。
	* Protra.Lib/Lang/ComparisonNode (ComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/ContinueStatementNode (ContinueStatementNode.Execute): 同上。
	* Protra.Lib/Lang/EmptyStatementNode (EmptyStatementNode.Execute): 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode (EquivalenceComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/ExpressionNode (ExpressionNode.Execute): 同上。 
	* Protra.Lib/Lang/ExpressionStatementNode (ExpressionStatementNode.Execute): 同上。
	* Protra.Lib/Lang/FunctionDefinitionNode (FunctionDefinitionNode.Execute): 同上。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 同上。
	* Protra.Lib/Lang/IfStatementNode (IfStatementNode.Execute): 同上。
	* Protra.Lib/Lang/Interpreter (Interpreter.Execute): 同上。
	* Protra.Lib/Lang/LiteralNode (LiteralNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalExpressionNode (LogicalExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalTermNode (LogicalTermNode.Execute): 同上。
	* Protra.Lib/Lang/Node (Node.Execute): 同上。
	* Protra.Lib/Lang/PrefixedExpressionNode (PrefixedExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/PrimaryNode (PrimaryNode.Execute): 同上。
	* Protra.Lib/Lang/ProgramNode (ProgramNode.Execute): 同上。
	* Protra.Lib/Lang/ReturnStatementNode (ReturnStatementNode.Execute): 同上。
	* Protra.Lib/Lang/StatementNode (StatementNode.Execute): 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode (SuffixedExpressionNode.Execute): 同上。
	(SuffixedExpressionNode.Assign): 同上。
	* Protra.Lib/Lang/VariableNode (VariableNode.Execute): 同上。
	(SuffixedExpressionNode.Assign): 同上。
	* Protra.Lib/Lang/WhileStatementNode (WhileStatementNode.Execute): 同上。
	* Protra.Lib/Lang/Builtins/BasicBuiltins (BasicBuiltins.Invoke): 同上。
	* Protra.Lib/Lang/Builtins/Builtins (Builtins.Invoke): 同上。
	* Protra.Lib/Lang/Builtins/DrawBuiltins (DrawBuiltins.Invoke): 同上。
	* Protra.Lib/Lang/Builtins/MathBuiltins (MathBuiltins.Invoke): 同上。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins (SimulateBuiltins.Invoke): 同上。
	* Protra/Controls/ChartBox.cs (ChartBox.VirtualRendereing): BasicBuiltins.Mode設定を追加。
	* PtSim/MainForm.cs (MainForm.Execute): SimulateBuiltinsを各銘柄の実行前に生成するように変更。
	* bin/Release/man/index.html: string型@作用素の記載を追加。
	* bin/Release/man/4/index.html: 同上。
	* bin/Release/man/5/index.html: 同上。
	* bin/Release/man/6/index.html: 同上。

2011-08-05  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Debugビルドのターゲットをx86にする。#19564
	
2011-08-04  panacoran <panacoran@users.sourceforge.jp>

	バージョン1.6固有の変更を移植。#24666
	* bin/Release/man/4/index.html: 円マークとバックスラッシュを併記する。文と式のパラグラフを分ける。
	* bin/Release/NEWS.txt: #24666に言及。
	* Protra.Lib/Config/BrandListConfig.cs: 不要なusingの削除。
	(BrandListConfig.BrandListConfig): 復活。
	(BrandListConfig.Load): 古いBrandListオブジェクトを再利用する。
	* Protra.Lib/Data/BrandData.cs (BrandData.OpenIndex): ファイルをMoveではなくCopyする。ウィルス対策ソフトのスキャンを待つのをやめる。#21267
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator.ParseLine): 各種指数を無視する。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.DownloadUrl): URLを変更。
	(KdbComUpdator.UpdatePrice): 削除。
	(KdbComUpdator.GetIndexVolume): 返値を削除。DownloadUtilの再利用をやめる。市場統計データのフォーマット変更に対応。
	(KdbComUpdator.ReadIndexData): 新規。指数のデータを読んで価格データを返す。
	(KdbComUpdator.ParseLine): 指数への対応を削除。市場名の変更に対応。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.ParseLine): 各種指数を無視する。データのミスに対応する。
	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil): responseStreamを削除。
	(DownloadUtil.DownloadUtil): proxyを設定する。
	(DownloadUtil.Url): 自動実装にする。
	(DownloadUtil.Referer): 同上。
	(DownloadUtil.IfModifiedSince): 同上。
	(DownloadUtil.SetProxy): 削除。
	(DownloadUtil.GetResponse): 上記の変更に合わせる。
	(DownloadUtil.DownloadAndExtract): 同上。responseStreamを使用しない。
	(PriceDataUpdator.DownloadUtil): 削除。
	(PriceDataUpdator.Start): 見かけ上の変更。
	(PriceDataUpdator.Create): DownloadUtilを作成しない。
	(PriceDataUpdator.UpdatePrice): 毎回DownloadUtilを作成する。usingでストリームを閉じる。株価を読む前にReadIndexDataを呼ぶ。NumRecordsの初期化位置の変更。
	(PriceDataUpdator.ReadIndexData): 新規。指数のデータを読んで価格データを返す(KdbComUpdator用)。デフォルトの実装は空。
	(PriceDataUpdator.UpdateIndex): DownloadUtilの再利用をやめる。
	(PriceDataUpdator.UpdateProgress): 進捗を正確に計算する。20秒以上経過したときに残り時間を更新する。
	(PriceDataUpdator.CalcLeftTime): ダウンロード時間を考慮して残り時間を計算する。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.GetPage): DownloadUtilの再利用をやめる。
	* PtSim/MainForm.cs (MainForm.SetForegroundWindow): 削除。
	(MainForm.Execute): 見かけ上の変更。
	
2011-03-24  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/6/index.html: 「表示する」を「処理中の」に直す。
	* bin/Release/Readme.txt: Programmableのつづりを直す。
	
2011-03-15  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil.GetResponse): User-agentを設定する。#24655
	* bin/Release/NEWS.txt: 2.0の予定の変更。#24655に触れる。
	
2011-01-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Utils.cs (Utils.IsHoliday): ハッピーマンデーの週にほかの休日がくることを考慮。敬老の日と秋分の日の間の国民の休日を判定。#24021
	
2010-12-05  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: 概要を「組み込みの」から「独自の」に戻す。特徴をチャートとトレーディングシステムで分ける。
	* bin/Release/Readme.txt: 同上。
	
2010-12-03  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: 言語が記述する対象をチャートの描画方法と売買ルールに変更。
	* bin/Release/man/4/index.html: 同上。
	* bin/Release/man/5/index.html: 同上。
	* bin/Release/Readme.txt: 同上。
	* bin/Release/man/6/index.html: 読点を挿入。
	
2010-12-01  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/Readme.txt: Programmableからsoftwareまでが遠いのでsystemを削除。
	
2010-12-01  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: 特徴と動作環境を修正。
	* bin/Release/Readme.txt: 同上。
	
2010-11-29  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/2/img/protra-ini.png: 削除。
	* bin/Release/man/2/img/protra-show.png: 更新。
	* bin/Release/man/2/index.html: 初期画面を削除。銘柄の選択の説明を詳しくする。[]を削除。
	* bin/Release/man/style.css: p.noiのpaddingを削除。p.clearのpaddingをmarginにマージ。pre.cとdiv.iに上下に0.5emのマージン。olのマージンを設定。
	
2010-11-29  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: UTF-8に変換。
	* bin/Release/man/2/index.html: 同上。
	* bin/Release/man/3/index.html: 同上。
	* bin/Release/man/4/index.html: 同上。
	* bin/Release/man/5/index.html: 同上。
	* bin/Release/man/6/index.html: 同上。
	* bin/Release/man/7/index.html: 同上。
	* bin/Release/man/8/index.html: 同上。
	* bin/Release/man/index.html: 同上。
	
2010-11-29  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: システムトレードソフトであることを明記。「簡単」の記述を削除。
	* bin/Release/Readme.txt: 同上。
	
2010-11-29  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Dialogs/InputDateDialog.cs (InputDateDialog.InitializeComponent): レイアウトの修正。
	* Protra/MainForm.cs (MainForm.priceDeleteToolStripMenuItem_Click): ダイアログボックスを再利用する。
	(MainForm.priceConvertToolStripMenuItem_Click): 初めて呼ばれたときにダイアログボックスを生成する。
	
2010-11-29  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (PriceData.Add): やはりファイルを閉じるか選択可能にする。
	(PriceData.ConvertFromCSV): ファイルを閉じずにAdd。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.UpdatePrice): 終了条件を修正。最終日にファイルを閉じるようにAddを修正。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): 同上。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.GetDescription): 無尽蔵の説明に「どれか一つ」を追加。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (PriceData.Add): ファイルを開きっぱなしにする。毎回BinaryReaderとBinaryWriterを生成する。
	(PriceData.MaxDateByCode): 毎回BinaryReaderを生成する。
	(PriceData.Delete): 同上。
	(PriceData.ConvertFromCSV): Addの変更に対応。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator): private変数をプロパティに変更。
	(PriceDataUpdator.IncrementDays): 削除。
	(PriceDataUpdator.DecrementTotalDays): 削除。
	(PriceDataUpdator.Start): プロパティへの変更に対応。
	(PriceDataUpdator.ShouldContinue): 削除。
	(PriceDataUpdator.IsEndDate): 削除。
	(PriceDataUpdator.NextDate): プロパティへの変更に対応。
	(PriceDataUpdator.UpdatePrice): 同上。Addの変更に対応。
	(PriceDataUpdator.UpdateProgress): プロパティへの変更に対応。日付が進んでいたら進捗を更新。
	(PriceDataUpdator.CalcLeftTime): プロパティへの変更に対応。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): 同上。Addの変更に対応。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	ファイルのヘッダの修正。
	* Protra.Lib/Data/BrandData.cs: Copyrightのあとにスペースを挿入。
	* Protra.Lib/Data/GlobalData.cs: ライセンス記述の追加。
	* Protra.Lib/Data/LogData.cs: 同上。
	* Protra.Lib/Data/PriceData.cs: 同上。
	* Protra.Lib/Dialogs/DataConvertDialog.cs: 同上。
	* Protra.Lib/Dialogs/DataConvertDialog.Designer.cs: 同上。
	* Protra.Lib/Dialogs/OverwriteDialog.cs: 同上。
	* Protra.Lib/Dialogs/OverwriteDialog.Designer.cs: 同上。
	* Protra.Lib/Global.cs: Copyright Noticeの更新。
	* Protra/MainForm.designer.cs: ライセンス記述の追加。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	OverwriteDialogのデザインの誤りの修正。
	* Protra.Lib/Dialogs/OverwriteDialog.cs (OverwriteDialog.File): メッセージの変更。
	* Protra.Lib/Dialogs/OverwriteDialog.Designer.cs (OverwriteDialog.InitializeComponent): 上書きをはい(&Y)に、すべて上書きに(&A)を追加、いいえに(&N)を追加。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	標準的な構成にこだわりすぎて逆にわかりにくくなってしまったので直す。#4304
	* Protra/MainForm.cs (MainForm.priceUpdateToolStripMenuItem_Click): updateToolStripMenuItem_Clickから改名。
	(MainForm.priceUpdateToolStripButton_Click): updateToolStripButton_Clickから改名。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): ファイルメニューから株価データの更新/削除/変換を削除。更新/削除/変換を持つ株価データメニューを追加。編集メニューを銘柄リストに変更して、銘柄リストに追加/から削除を追加/削除に変更。
	
2010-11-28  panacoran <panacoran@users.sourceforge.jp>

	株価データをCSV形式と相互に変換する機能を追加する。#23741
	* Protra.Lib/Data/PriceData.cs (PriceData.Delete): CollectFilesを使う。
	(PriceData.ConvertToCSV): 新規。株価データをCVS形式に変換する。
	(PriceData.ConvertFromCSV): 新規。CVS形式を株価データに変換する。
	(PriceData.CollectFiles): 新規。指定した拡張子のファイルを株価データのディレクトリから探す。
	* Protra.Lib/Dialogs/DataConvertDialog.cs (DataConvertDialog): 新規。株価データの変換を指示するダイアログボックス。
	* Protra.Lib/Dialogs/DataConvertDialog.Designer.cs (DataConvertDialog): 同上。
	* Protra.Lib/Dialogs/DataConvertDialog.resx: 新規。DataConvertDialogのリソースファイル。
	* Protra.Lib/Dialogs/OverwriteDialog.cs (OverwriteDialog): 新規。ファイルの上書きについて質問するダイアログボックス。
	* Protra.Lib/Dialogs/OverwriteDialog.Designer.cs (OverwriteDialog): 同上。
	* Protra.Lib/Dialogs/OverwriteDialog.resx: 新規。OverwriteDialogのリソースファイル。
	* Protra.Lib/Protra.Lib.csproj: ファイルの追加。
	* Protra/MainForm.cs (MainForm.priceDeleteToolStripMenuItem_Click): varの使用。thisの削除。
	(MainForm.priceConvertToolStripMenuItem_Click): 新規。「株価データの変換」がクリックされたときの処理。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): メニューアイテム「株価データを変換」を追加。
	
2010-11-25  panacoran <panacoran@users.sourceforge.jp>

	マニュアルの改訂#23733 #21504
	* bin/Release/1/index.html: マークアップの修正。.NET Framework 2.0以上を2.0に修正。ハードディスクの要求を1GBに減らす。インストールの説明を追加。開発メンバー募集を削除。
	* bin/Release/man/2/img/protra-ini.png: 追加。起動直後のスクリーンショット。
	* bin/Release/man/2/img/protra-show.png: 追加。チャートを表示しているスクリーンショット。
	* bin/Release/man/2/img/ptss.png: 削除。
	* bin/Release/man/2/index.html: マークアップの修正。起動からチャートの表示までを説明。お気に入りの操作方法の変更を反映。初期株価データのインストールを前提に株価データ更新の説明を変更。
	* bin/Release/man/3/index.html: マークアップの修正。トレーディングシステムの説明の見直し。PtSimの使い方の説明の見直し。
	* bin/Release/man/4/index.html: マークアップの修正。全面的に説明を見直して説明不足の点を補強。
	* bin/Release/man/5/index.html: マークアップの修正。全面的に説明を見直し。n個前をn営業日前に修正。組み込み関数Indicatorの使い方の説明を追加。
	* bin/Release/man/6/index.html: マークアップの修正。全面的に説明を見直し。トレードの説明を補強。ドテンができないことを説明。
	* bin/Release/man/7/index.html: マークアップの修正。テクニカル派のポータルサイトのURLを変更。
	* bin/Release/man/8/index.html: マークアップの修正。説明を若干見直し。プログラム例のコメントを#に。
	* bin/Release/man/index.html: マークアップの修正。目次に本文の変更を反映。関連リンクからプロジェクトページを削除。
	* bin/Release/man/style.css: マークアップの修正にともなうスタイルの修正。
	* bin/Release/Readme.txt: Wiki記法でマークアップ。インストールの説明を追加。
	
2010-11-21  panacoran <panacoran@users.sourceforge.jp>
	
	#23712
	* Protra/Controls/ChartBox.cs (ChartBox.OnPaint): Invalidateされたときは右端の値を表示する。
	(ChartBox.DrawVirticalAxis): 空行を削除。
	(ChartBox.DrawIndicatorValue): OnPaintから呼ばれたときはGraphicsオブジェクトを再利用し、それ以外は自分で生成して削除する。
	* Protra/Controls/ChartPanel.cs (ChartPanel.hScrollBar_Scroll): 右端の株価を表示する。
	
2010-11-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/GlobalData.cs (GlobalData.GlobalDataPath): システムのパス名から拡張子を削除してUrlEncodeする。#22300
	(GlobalData.DeleteAll): ディレクトリの存在を確認せずに消して例外をキャッチする。#22266
	* Protra.Lib/Data/LogData.cs (LogData.LogPath): システムのパス名から拡張子を削除してUrlEncodeする。#22300
	(LogData.DeleteAll): ディレクトリの存在を確認せずに消して例外をキャッチする。#22266
	
2010-10-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/GlobalData.cs (GlobalData.GlobalDataPath): システムのパス名をそのままUrlEncodeする。#22300
	* Protra.Lib/Data/LogData.cs (LogData.LogPath): 同上。
	
2010-10-17  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/GlobalData.cs (GlobalData.DeleteAll): ディレクトリの存在を確認してから消す。#22266
	* Protra.Lib/Data/LogData.cs (LogData.DeleteAll): 同上。
	
2010-10-16  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/app.config: Visual Studio 2010形式へ。
	* Protra.Lib/Protra.Lib.csproj: 同上。
	* Protra.sln: 同上。
	* Protra/app.config: 同上。
	* Protra/Properties/Resources.Designer.cs: 同上。
	* Protra/Protra.csproj: 同上。
	* PtSim/app.config: 同上。
	* PtSim/PtSim.csproj: 同上。
	
2010-05-06  panacoran <panacoran@users.sourceforge.jp>

	クロスカーソルの実装を削除。#12465
	* bin/Release/NEWS.txt: クロスカーソルの言及を削除。
	* Protra/Controls/ChartBox.cs (ChartBox): マージンをprivateに。
	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartNum): MouseUpのイベントハンドラを削除。
	(ChartPanel.chartBox_MouseDown): クロスカーソルの実装を削除。
	(ChartPanel.chartBox_MouseUp): 削除。
	(ChartPanel.chartBox_MouseMove): クロスカーソルの実装を削除。
	
2010-05-03  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: クロスカーソルの実装に言及。
	
2010-05-03  panacoran <panacoran@users.sourceforge.jp>

	クロスカーソルの実装。#12465
	* Protra/Controls/ChartBox.cs (ChartBox): マージンをpublicに。
	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartNum): ChartBoxにMouseUpのイベントハンドラを登録する。
	(ChartPanel.chartBox_MouseDown): 左ボタンが押されたらクロスカーソルを描画する。
	(ChartPanel.chartBox_MouseUp): 新規。左ボタンが放されたらクロスカーソルの描画をやめる。
	(ChartPanel.chartBox_MouseMove): 左ボタンが押されていたら、前のクロスカーソルを消して、マウスポインタがチャートの範囲内なら新しいクロスカーソルを描画する。
	
2010-05-02  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 株式分割が反映されないことがあるバグが直っていることに言及。
	
2010-05-02  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartNum): ChartBoxの高さの計算でSplitterの幅を考慮する。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.InitializeComponent): ダイアログを親ウィンドウの真ん中に表示する。
	* Protra/MainForm.cs (MainForm.ChartPanelInit): ChartBoxの高さの設定を削除。#21595
	(MainForm.MainForm_Load): ChartBoxの高さを設定する。#21594
	
2010-05-01  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Invoke): 市場コードを返す関数Marketを実装。#21569
	* bin/Release/NEWS.txt: 上記に言及。
	
2010-04-27  panacoran <panacoran@users.sourceforge.jp>

	#24667
	* bin/Release/NEWS.txt: 重複起動したときの振る舞いの変更に言及。
	* Protra/PtSim.cs (MainForm.Main): 重複起動したときに最少化していたら復元する。
	
2010-04-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.ChartPanelInit): 高さを復元する。
	
2010-04-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.Main): 外見をXP以降のスタイルにする。
	
2010-04-23  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: Codeの返値が文字列になったことを明記。#21454
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Invoke): Codeの返値を文字列に戻す。#21454
	
2010-04-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.designer.cs: (MainForm.InitializeComponent): 横幅を1ピクセル縮める。銘柄リストのリストボックスのDockをFillに。
	
2010-04-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.watcher_Changed): handlerがnullでないときだけ呼ぶ。
	
2010-04-20  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.UpdatePrice): ダウンロード中の中断でもファイルをすべて閉じる。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.buttonStop_Click): 処理中の場合は処理の中断を指示したあと、「中断しています...」と表示してダイアログを閉じない。
	(PriceUpdateDialog.backgroundWorkerUpdate_RunWorkerCompleted): 中断したら、「中断しました。」と表示してダイアログを閉じられるようにする。
	
2010-04-20  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Dialogs/InputDateDialog.cs (InputDateDialog.InitializeComponent): 親ウィンドウの中央に表示する。タスクバーに載せない。
	* Protra.Lib/Dialogs/InputDateDialog.resx: 書式のバージョンアップ。
	
2010-04-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (PriceData.Add): データを追加したあとファイルをクローズするか引き続き使用するかを選択可能にする。
	(PriceData.CloseAll): 新規。ファイルをすべて閉じる。
	(PricdData.Delete): 削除すべきデータが存在しないときに中断せずに継続する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Start): endDateを最も最近の市場が開いている日に設定する。
	(PriceDataUpdator.ShouldContinue): XMLコメントの修正。
	(PriceDataUpdator.IsEndDate): 新規。終了日かどうかを返す。
	(PriceDataUpdator.UpdatePrice): ファイルを開いたまま処理して、最終日にファイルを閉じる。中断された場合にはファイルをすべて閉じる。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): 同上。
	
2010-04-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): 「ファイル（&F)」を「ファイル(&F)」に。
	
2010-04-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Invoke): Codeの返値をintに。#21454
	
2010-04-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): 価格データの中でもっとも大きな日付を更新する。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): 「銘柄リストの編集(&E)」を「銘柄リスト(&E)...」に。「オプション(&O)」に「...」を加える。
	
2010-04-16  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.List): XMLコメントの修正。
	* Protra.Lib/Data/BrandData.cs (BrandData.SetWatcher): 新規。index.txtの作成を監視する設定をする。
	(BrandData.watcher_Created): 新規。作成されたときのイベントハンドラ。
	(BrandData.Load): イベントハンドラが呼ばれないようにする。
	* Protra/MainForm.cs (MainForm.MainForm): 銘柄データが更新されたら、表示している銘柄リストを更新する設定をする。
	
2010-04-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.Load): SetDefaultBrandListで銘柄リストを挿入する。
	(BrandListConfig.SetDefaultBrandList): 新規。株価指数、日経平均構成銘柄、売買代金上位500位の銘柄リストを挿入する。すでに存在する場合には作り直す。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.UpdateIndex): index.txtが更新されたらBrandListConfig.SetDefaultBrandListを呼ぶ。
	* Protra/MainForm.cs (MainForm.BrandListInit): 選択されている銘柄を再現する。
	(MainForm.updateToolStripMenuItem_Click): 銘柄リストの更新をBrandListInitで行う。
	(MainForm.listDelToolStripMenuItem_Click): 削除した次の銘柄を選択する。
	
2010-04-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Mainform.cs (MainForm.updateToolStripMenuItem_Click): 銘柄データが更新されていたら、表示されている銘柄リストを作り直す。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 銘柄リストの新機能に言及。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartBox.cs (ChartBox.OnPaint): 「銘柄を選択してください。」を先に表示。
	(ChartBox.DrawVirtualAxsis): 指標の最大値と最小値を保存。
	(ChartBox.DrawIndicatorValue): 縦軸の範囲ではなく指標の値の範囲で書式を決める。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/data/protra.mdb: 削除。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/Readme.txt: エンコーディングをUTF-8に変更。特徴からmdbファイルを削除。ハードディスクの要求を1GBに下げる。FAQの記述を削除。プロジェクトのページへのリンクを一つ削除。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 最近の変更について言及。変更点を新しい順に並べ直す。)と#の間にスペースを入れる。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/chart/Trend Indicators/Smoothed ROC/Smoothed ROC(13-21).pt: 指標の表示名を縮める。
	* bin/Release/lib/TIlib.pt (SROC_next): 計算式を直す。#21367
	* Protra/Controls/ChartBox.cs (ChartBox.DrawIndicatorValue): 数値の書式が誤っていたのを直す。最大値と最小値の範囲で書式を変える。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.Load): 日経平均の銘柄リスト名を日経平均構成銘柄に。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartBox.cs (ChartBox.OnLoad): 新規。Double Bufferingを有効にする。
	
2010-04-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartPanel.cs (ChartPanel.OnSizeChanged): HScrollBarの値を正しく設定する。
	
2010-04-09  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartBox.cs (ChartBox.DrawIndicatorNames): 表示領域を固定。
	(ChartBox.DrawIndicatorValue): 表示領域を固定。幅を7桁に減らす。
	(ChartBox.OnMouseDown): 削除。
	(ChartBox.OnMouseUp): 削除。
	(ChartBox.OnMouseMove): 削除。
	
2010-04-09  panacoran <panacoran@users.sourceforge.jp>

	#24667
	* Protra.Lib/Protra.Lib.csproj: Win32API.csの追加。
	* Protra.Lib/Win32API.cs (Win32API): 新規。Win32APIを実行するクラス。
	* Protra/MainForm.cs (MainForm.Main): 二重起動を防ぐ。
	
2010-04-09  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartPanel.cs (ChartPanel.chartBox_MouseMove): インデックスが変わったときにだけ価格情報と指標の値を描画する。
	
2010-04-08  panacoran <panacoran@users.sourceforge.jp>

	価格情報の表示をUpdatePricesとchartBox_MouseMoveの2箇所に集約。
	Protraで表示している銘柄リストと証券コードを保存する。
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig): 証券コードと銘柄リスト名を保存可能に。
	* Protra/Controls/ChartPanel.cs (ChartPanel.SetPriceInfo): 引数を価格オブジェクトに。
	(ChartPanel.UpdatePrices): 価格情報を表示する。
	(ChartPanel.chartBox_MouseMove): SetPriceInfoの引数を価格オブジェクトに。
	* Protra/MainForm.cs (MainForm.MainForm): 前回選択されていた銘柄リストと証券コードを選択。
	(MainForm.ChartPanelInit): 保存されていた証券コードを選択し、価格情報を表示。
	(MainForm.ConfigWrite): 銘柄リスト名と証券コードを保存。
	(MainForm.listBoxBrandList_SelectedIndexChanged): 銘柄情報だけを表示。
	(MainForm.SetBrandInfo): 新規。銘柄情報を表示。
	(MainForm.SetPriceInfo): 銘柄情報の表示を分離。引数を価格オブジェクトに。
	(MainForm.searchToolStripButton_Click): コンテキストメニューのMenuItemのタグを銘柄オブジェクトに。
	(MainForm.menuItemSearchedBrand_Click): タグが銘柄オブジェクトに。銘柄情報だけを表示。
	(MainForm.updateToolStripMenuItem_Click): SetPriceInfoの呼び出しを削除。
	(MainForm.priceDeleteToolStripMenuItem_Click): 同上。
	(MainForm.optionToolStripMenuItem_Click): 同上。
	* PtSim/MainForm.cs (MainForm.ConfigWrite): Protra.Lib.Configを削除。
	
2010-04-08  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.Load): エラーにIOExceptionのメッセージを表示。設定ファイルが読み込めない場合と壊れている場合を区別。
	* Protra.Lib/Data/BrandData.cs (BrandData.OpenIndex): IOExceptionの場合にはIOExceptionを投げる。
	* Protra.Lib/Dialogs/ApplicationError.cs (ApplicationError.InitializeComponent): キャプションを「エラー」に。
	
2010-04-07  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Controls/ChartPanel.cs (ChartPanel.chartBox_MouseMove): 価格データが設定されていないときはSetPriceInfoを呼ばない。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): レイアウトの修正。
	
2010-04-07  panacoran <panacoran@users.sourceforge.jp>

	PtSimとProtraで同じ設定ファイルを読み書きできるようにする。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.BrandListConfig): 削除。
	(BrandListConfig.watcher_Changed): 削除。
	(BrandListConfig.Load): Listの初期化。
	* Protra.Lib/Config/ConfigBase.cs (ConfigBase.ConfigBase): FileSystemWatcherの設定をメソッドに分離。
	(ConfigBase.SetWatcher): 新規。ファイルの変更を監視する設定をする。
	(ConfigBase.watcher_Changed): ハンドラを呼ぶ。
	(ConfigBase.Load): ほかのプロセスがファイルを書き込み中に呼んでも平気にする。
	(ConfigBase.Save): 書き込み中にほかのプロセスが読めないようにする。
	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.ProtraConfig): ConfigBaseのコンストラクタを呼ばない。
	* Protra.Lib/Config/PtSimConfig.cs (PtSimConfig.ProtraConfig): 同上。
	* Protra.Lib/Config/UpdateConfig.cs (UpdateConfig.UpdateConfig): 同上。
	* Protra.Lib/Data/BrandData.cs (BrandData.OpenIndex): ロジックを単純化する。
	* Protra/MainForm.cs (MainForm.MainForm): SetWatcherを呼ぶ。
	(MainForm.BrandListInit): 更新にも使えるようにする。
	(MainForm.listEditToolStripMenuItem_Click): BrandListInitを使う。
	* PtSim/MainForm.cs (MainForm.MainForm): 同上。SetWatcherを呼ぶ。
	(MainForm.menuItemBrandListEdit_Click): 同上。
	(MainForm.BrandListInit): 新規。ComboBoxに銘柄リストを設定する。
	
2010-04-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.Save): 最初の3つを削除するのは保存するときだけ。
	* Protra.Lib/Dialogs/EditBrandListContentDialog.{cs,resx}: PtSim/Dialogsから移動。
	* Protra.Lib/Dialogs/EditBrandListDialog.{cs,resx}: 同上。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Invoke): 例外は遅いので添え字の範囲を検査する。
	* Protra.Lib/Protra.Lib.csproj: 上記の移動にともなう変更。
	* Protra/Controls/ChartBox.cs (ChartBox.OnPaint): チャートが表示されていないときと銘柄が選択されていないときでメッセージを変える。
	(ChartBox.OnMouseUp): XMLコメントを書く。
	(ChartBox.OnMouseMove): 同上。
	* Protra/MainForm.cs (MainForm.BrandListInit): comboBoxListNameをcomboBoxBrandListに改名。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): 同上。
	(MainForm.OptionToolStripMenuItem_Click): 銘柄が選択されていないときは株価情報を表示しない。
	(MainForm.listEditToolStripMenuItem_Click): 新規。銘柄リストを編集する。
	(MainForm.listAddtoolStripMenuItem_Click): 新規。選択されている銘柄を銘柄リストに追加する。
	(MainForm.listDelToolStripMenuItem_Click): 新規。選択されている銘柄を銘柄リストから削除する。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): comboBoxListNameをcomboBoxBrandListに改名。レイアウトの変更。
	* PtSim/Dialogs/EditBrandListContentDialog.{cs,resx}: Protra.Lib/Dialogsへ移動。
	* PtSim/Dialogs/EditBrandListDialog.{cs,resx}: 同上。
	* PtSim/MainForm.cs: using Protra.Lib.Dialogsを追加。
	* PtSim/PtSim.csproj: 上記の移動にともなう変更。
	
2010-04-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.ptSimToolStripButton_Click): 新規。PtSimを起動するメニューアイテムをクリックする。
	* Protra/MainForm.designer.cs (MainForm.InitializeComponent): PtSimボタンのクリックイベントにハンドラを割り当てる。
	
2010-04-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.Save): コメントの間違いを訂正。まだ銘柄リストが挿入されていないときは削除しない。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.InitializeComponent): レイアウト修正。ラベルから「内容入力形式」を削除。
	* PtSim/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.EditBrandListDialog): 挿入した銘柄リストを編集対象からはずす。
	(EditBrandListDialog.InitializeComponent): 銘柄リスト名をソートしない。
	(EditBrandListDialog.buttonEdit_Click): 編集したリストの位置を変えない。
	* PtSim/MainForm.cs (MainForm.MainForm): 銘柄データを読んでから、銘柄リストの設定を読む。「お気に入り」も加える。実行モードの設定を反映させる。
	(MainForm.InitializeComponent): 銘柄リスト名をソートしない。
	(MainForm.menuItemBrandListEdit_Click): 「お気に入り」も加える。
	
2010-04-04  panacoran <panacoran@users.sourceforge.jp>

	指標の値を見られるようにする。#4243
	ユーザインターフェイスの再設計。#4304
	銘柄リストに株価指数、日経平均、売買代金上位500位を加える。
	* bin/Release/chart/*: Indicator関数の挿入。指標名が長すぎるものは縮める。プラスとマイナスがある指標を分ける。
	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.Load): 株価指数、日経平均、売買代金上位500位の銘柄リストを挿入する。
	* (BrandListConfig.Save): 挿入した銘柄リストを削除してから保存する。
	* Protra.Lib/Data/BrandData.cs (Market): 新規。市場コードを市場名に変換するクラス。
	(Brand.MarketName): プロパティにする。Marketクラスを利用する。
	(BrandData.Markets): 削除。
	(BrandData.MarketNames): 削除。
	(BrandData.Nikkei225): 新規。日経平均採用銘柄を返す。
	(BrandData.A500): 新規。売買代金上位500位の銘柄を返す。
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs (DrawBuiltins.X): 自動実装にする。
	(Drawbuiltins.Dx): 同上。
	(Drawbuiltins.MinY): 同上。
	(Drawbuiltins.MaxY): 同上。
	(Drawbuiltins.Indicators): 新規。指標の値を持つ辞書の配列を取得または設定する。
	(Drawbuiltins.Drawbuiltins): Indicatorsに辞書を6つ設定する。
	(Drawbuiltins.Invoke): Indicator関数を実装する。
	* Protra/AssemblyInfo.cs): 移動。
	* Protra/Controls/BrandTreeView.cs: 削除。
	* Protra/Controls/BrandTreeView.resx: 削除。
	* Protra/Controls/ChartBox.cs (ChartBox.ChartBox): 削除。
	(ChartBox.Dispose): 削除。
	(ChartBox.InitializeComponent): 削除。
	(chartBox.OnPaint): ChartBox_Paintから改名。チャートが指定されていないときにメッセージを表示。処理を複数のメソッドに分割。
	(ChartBox.CalcFromX): 新規。マウスポインタのX座標から価格データのインデックスを計算する。
	(ChartBox.DrawIndicatorValue): 新規。指標の値を描画する。
	(ChartBox.OnSizeChanged): ChartBox_SizeChangedから改名。
	(ChartBox.OnMouseDown): 新規。指標の描画領域の移動をサポートする。
	(ChartBox.OnMouseUp): 同上。
	(ChartBox.OnMouseMove): 同上。
	* Protra/Controls/ChartBox.resx: 削除。
	* Protra/Controls/ChartPanel.cs (ChartPanel): UserControlのサブクラスにする。
	(ChartPanel.ChartNum): ChartBoxの数の変更中はSuspendLayoutする。MouseMoveのイベントハンドラを仕込む。
	(ChartPanel.ForeColor): chartBoxesを準備する前に呼ばれたら何もしない。
	(ChartPanel.BackColor): 同上。
	(ChartPanel.SetPriceInfo): 新規。MainForm.SetPriceInfoを呼ぶためのデリゲート。
	(ChartPanel.ContextMenuStrip): ContextMenuから改名。2.0のコンポーネントを使う。
	(ChartPanel.CreateContextMenuItemChartBox): 2.0のコンポーネントを使う。
	(ChartPanel.chartBox_MouseMove): 新規。ChartBox上のMouseMoveイベントを処理する。
	* Protra/MainForm.cs (MainForm.MainFrom): 2.0のコンポーネントを使って実装し直し。
	* Protra/MainForm.resx: 同上。
	* Protra/MainForm.designer.cs: 追加。デザイナが編集する内容が書かれる。
	* Protra/PriceUpdate.ico: PriceUpload.icoから改名。
	* Protra/Properties/Resources.Designer.cs: 新規。プロジェクトに共通の型指定されたリソース。
	* Protra/Properties/Resources.Designer.resx: 新規。プロジェクトに共通のリソース。
	* Protra/Protra.csproj: アイコンを削除。AssemblyInfo.csをPropertiesに移動。BrandTreeView.csを削除。Properties/*を追加。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.EditBrandListContentDialog): 市場名一覧をMarketクラスから得る。
	(EditBrandListContentDialog.buttonCodeRange_Click): 市場コード一覧をMarketクラスから得る。
	(EditBrandListDialog.listBoxBrandList_SelectedIndexChanged): MaketNameがプロパティに。
	
2010-04-01  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/BrandData.cs (BrandData.OpenIndex): 最終更新時刻を現地時刻にする。ウィルス対策ソフトによるindex.txtのスキャンを待つ。#21267
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DownloadUtil): 自動実装にする。
	(PriceDataUpdator.Date): 同上。
	(PriceDataUpdator.UpdatePrice): IfModifiedSinceをMinValueに設定する。
	(PriceDataUpdator.UpdateIndex): IfModifiedSinceを1時間遅くする。ここでスキャンを待つのをやめる。#21267
	
2010-04-01  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (Price.Read): XMLコメントを直す。
	(Price.Write): 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.UpdateIndex): index.txtをダウンロードしたら0.5秒待つ。#21267
	
2010-03-30  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (Price.Split): 新規。分割比率を適用する。
	(PriceData.Prices): 分割比率を適用する。
	
2010-03-30  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (Price.Read): 最適化をPriceDataに移す。
	(Price.Write): 同上。
	(PriceData.Prices): ファイル全体を一度に読む。
	(PriceData.Add): レコード単位で読み書きする。
	(PriceDate.MaxDateByCode): レコード単位で読む。
	(PriceDate.Delete): レコード単位で読む。シーク回数を減らす。
	
2010-03-30  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 最近の変更について言及。チケットのURLを変更。
	
2010-03-30  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/PriceData.cs (Price.RecordSize): 新規。レコードサイズ。
	(Price.Read): MemoryStreamを使ってまとめて読む。EOFでEndOfStreamExceptionを投げる。
	(Price.Write): MemoryStreamを使ってまとめて書く。
	(PriceData.Prices): ReadとWriteの引数がFileStreamに変わったのに合わせる。
	(PriceData.Add): 同上。
	(PriceData.MaxDateByCode): 同上。
	(PriceData.Delete): 同上。
	
2010-03-29  panacoran <panacoran@users.sourceforge.jp>

	価格データの形式を変更する。#20987
	* Protra.Lib/AssemblyInfo.cs: バージョン番号を2.0.*に。
	* Protra.Lib/Config/BrandListConfig.cs (Load): 新規。読み込んだ後、5桁の銘柄IDを証券コードに変換する。
	(ReadOldConfig): 証券コードで銘柄リストを作る。
	* Protra.Lib/Config/PtSimConfig.cs (ReadOldConfig): Dbであることを明示。
	* Protra.Lib/Data/BrandData.cs (Brand.Flags): Flagで演算できるのでintからFlagに。
	(Brand.MarketName): 新規。市場コードを市場名に変換する。
	(Brand.CompareTo): 証券コードでBrandオブジェクト比較する。
	(Brand.ToString): 新規。お気に入りで表示できる形式にする。
	(BrandData.Markets): 新規。市場コード一覧を取得する。
	(BrandData.MarketNames): 新規。市場名一覧を取得する。
	(BrandData.this[]): 引数を証券コードに。見つからない場合に不明を表すBrandオブジェクトを返す。
	(BrandData.Load): 日経平均とTOPIXの市場コードをT1に。ホールディングスをＨＤに省略。
	(BrandData.Search): 新規。名前で銘柄を探す。
	* Protra.Lib/Data/GlobalData.cs (GlobalData.Save): 証券コードを使う。
	(GlobalData.Load): 同上。
	(GlobalData.Delete): 同上。ディレクトリが存在しない場合に対応。
	* Protra.Lib/Data/LogData.cs (LogData.GetLog): 証券コードを使う。
	(LogDadta.Delete): 同上。ディレクトリが存在しない場合に対応。
	* Protra.Lib/Data/PriceData.cs (Price): 新規。株価データを表すクラス。
	(PriceData): 株価データを操作するクラス。
	* Protra.Lib/Db/Brand.cs (Brand.NewId): もういらないので削除。
	* Protra.Lib/Db/Price.cs: 削除。
	* Protra.Lib/Db/System.cs: 削除。
	* Protra.Lib/Db/SystemLog.cs: 削除。
	* Protra.Lib/Global.cs (Global.DirPrice): 新規。株価データを保存するディレクトリ。
	* Protra.Lib/Global.cs (Global.DirGlobalData): global_dataからglobalに。
	* Protra.Lib/Global.cs (Global.DirLog): system_logからlogに。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Prices): 自動実装にする。
	(BasicBuiltins.Index): 同上。
	(BasicBuiltins.RightIndex): 同上。
	(Brand): BrandDataから銘柄データを取得。
	(BasicBuiltins.Invoke): 自動実装に合わせる。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (SimulateBuiltins.Invoke): 証券コードを使う。
	* Protra.Lib/Protra.Lib.csproj: Data/PriceData.csを追加。Db/{Price,System,SystemLog}.csを削除。
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator.UpdatePrice): 削除。
	(KabukaJohoUpdator.IsDataAvailable): 新規。新しいデータが置かれる時刻に達しているか。
	(KabukaJohoUpdator.DownloadUrl: 新規。データのURLを取得する。
	(KabukaJohoUpdator.ParseLine): 銘柄名の取得をやめる。トークンを絶対値で指す。市場コードをindex.txtに合わせる。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.IsDataAvailable): 新規。新しいデータが置かれる時刻に達しているか。
	(KdbComUpdator.DownloadUrl): 新規。データのURLを取得する。
	(KdbComUpdator.UpdatePrice): 市場統計を読み込んでから価格更新を実行する。
	(KdbComUpdator.ParseLine): 銘柄名の取得をやめる。トークンを絶対値で指す。市場コードをindex.txtに合わせる。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.UpdatePrice): 削除。
	(MujinzouUpdator.IsDataAvailable): 新規。新しいデータが置かれる時刻に達しているか。
	(MujinzouUpdator.DownloadUrl: 新規。データのURLを取得する。
	(MujinzouUpdator.ParseLine): 銘柄名の取得をやめる。市場コードをindex.txtに合わせる。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceData): 削除。
	(DownloadUtil.DownloadAndExtract): 拡張子がlzhでなければ解凍しない。
	(PriceDataUpdator.StartDownload): 削除。
	(PriceDataUpdator.EndDownload): 削除。
	(PriceDataUpdator.GetDescription): 説明を修正。
	(PriceDataUpdator.UpdatePrice): 実装をサブクラスから引き上げる。PriceDataクラスを使う。
	(PriceDataUpdator.UpdateProgress): 直接進捗を計算する。100%を超えた場合は100%にする。使っていないイベントの引数を削除。
	(PriceDataUpdator.Progress): 削除。
	(PriceDataUpdator.CalcLeftTime): ダウンロード時間の計測をやめて計算を簡素化。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): データが置かれる時間を17時に。PriceDataクラスを使う。
	(YahooFinanceUpdator.ParseLine): 名前の取得をやめる。市場コードをindex.txtに合わせる。
	(YahooFinanceUpdator.IsDataAvailable): 新規。他のクラスと実装が異なるので使わない。
	(YahooFinanceUpdator.DownloadUrl): 同上。
	(YahooFinanceUpdator.ParseLine): 同上。
	* Protra/AssemblyInfo.cs: バージョンを2.0.*に。
	* Protra/Controls/BrandTreeView.cs (BrandTreeView.Initialize): 市場名の一覧をBrandDataから得る。証券コードの範囲による銘柄の検索を自分で行う。
	(BrandTreeView.OnBeforeExpand): 証券コードの範囲による銘柄の検索を自分で行う。
	(BrandTreeView.SelectedCode): SelectedBrandから改名。証券コードを返す。市場は無視。
	* Protra/Controls/ChartBox.cs (ChartBox): List<Price>に合わせる。
	* Protra/Controls/ChartPanel.cs (ChartPanel): List<Price>に合わせる。
	(ChartPanel.SelectedCode): SelectedBrandから改名。証券コードで扱う。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog_Load): PriceDataクラスを使う。
	* Protra/MainForm.cs (MainForm.FavoriteBrandInit): ありえない条件判定を削除。お気に入りの要素にData.Brandを使う。
	(MainForm.SetListViewPriceInfo): List<Price>に合わせる。
	(MainForm.menuItemPriceDelete_Click): PriceDataクラスを使う。
	(MainForm.menuItemAddFavoriteBrand_Click): SelectedCodeに合わせる。
	(MainForm.menuItemAddFavoriteBrand_SelectedIndexChanged): 同上。
	(MainForm.buttonSearch_Click): 文字列を証券コードとして検索して、見付からなければ銘柄名として検索する。MenuItemのTagを証券コードに。
	(MainForm.menuItemSearchedBrand_Click): Tagが証券コード。
	* PtSim/AssemblyInfo.cs: バージョンを2.0.*に。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.SelectedList): 証券コードのみのリストに。
	(EditBrandListContentDialog.EditBrandListContentDialog): BrandDataクラスを使う。
	(EditBrandListContentDialog.InitializeComponent): 書式の説明を短くして、その下にコード範囲の選択欄を移動する。
	(EditBrandListContentDialog.buttonOk_Click): 市場コードに関する処理を削除。
	(EditBrandListContentDialog.buttonCodeRange_Click): 証券コードの範囲による銘柄の検索を自分で行う。
	* EditBrandListContentDialog.resx: labelInfo.Textの値を削除。
	* PtSim/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.InitializeComponent): ダイアログボックスの大きさを可変にして、リストの大きさが変わるようにする。 
	(EditBrandListDialog.listBoxBrandList_SelectedIndexChanged): BrandDataクラスを使う。
	* PtSim/Dialogs/EditBrandListDialog.resx: Visual Studio 2008にともなう修正。
	* PtSim/MainForm.cs (MainForm.Execute): WeeklyPricesに最後の週足が不要であることを指示。List<Price>に合わせる。KeyNotFoundExceptionのハンドルをやめる。BrandDataクラスを使う。
	(MainForm.Performance): 同上。
	(MainForm.buttonHistory_Click): BrandDataクラスを使う。
	
2010-03-26  panacoran <panacoran@users.sourceforge.jp>

	システムとシステムの実行履歴をmdbから追い出す。#20987
	* Protra.Lib/Controls/SimulateTextBox.cs: 削除。
	* Protra.Lib/Controls/SimulateTextBox.resx: 削除。
	* Protra.Lib/Data/GlobalData.cs (GlobalData): 新規。グローバル変数のデータを操作するクラス。
	* Protra.Lib/Data/LogData.cs (Log): 新規。システムの実行履歴を表すクラス。
	(LogData): 新規。システムの実行履歴を操作するクラス。
	* Protra.Lib/Global (Global): DirGlobalDataとDiaLogを追加。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs (AppendTextDelegate): publicに。
	(SimulateBuiltins): 同上。TradingSystemの情報をSystemとModeに格納する。
	(SimulateBuiltins.AppendText): 自動実装に変更。
	(SimulateBuiltins.Invoke): XMLコメントを付ける。SystemLogTableではなくLogDataを用いる。BuyとSelの実装を共通化する。
	* Protra.Lib/Protra.Lib.csproj: System.Web参照の追加。Controls\SimulateTextBox.csとControls\SimulateTextBox.resxの削除。Data\GlobalData.csとData\LogData.csの追加。
	* PtSim/MainForm.cs (MainForm): SimulateTextBoxを普通のTextBoxで置き換える。
	(MainForm.Execute): オブジェクトの配列でもらう引数をシステムのファイル名、実行モード、銘柄リストに変更。SimulateTextBoxのロジックを移植。
	(MainForm.AppendText): 新規。スレッドをまたいでTextBox.AppendTextを呼ぶ。
	(MainForm.Performance): Executeと同様に引数を変更。SystemLogTableではなくLogDataを用いる。0株の売買を無視する。
	(MainForm.menuItemLogDelete_Click): TradingSystemの代わりにシステムのファイル名と実行モードを直接扱う。削除をLogDataとGlobalDataで行う。
	(MainForm.menuItemLogAllDelete_Click): 削除をLogDataとGlobalDataで行う。
	(MainForm.buttonExecute_Click): TradingSystemの代わりにシステムのファイル名と実行モードを直接扱う。銘柄レコードの配列の変わりに銘柄リストを使う。thisの削除。Executeに渡す引数の変更。
	(MainForm.backgroundWorkerExecute_RunWorkerCompleted): SimulateTextBoxではなくTextBoxにメッセージを出力する。thisの削除。
	(MainForm.buttonPerformance_Click): buttonExecute_Clickと同様の変更。
	(MainForm.GetSelectedSystem): 削除。
	(MainForm.GetSelectedBrands): 削除。
	(MainForm.buttonHistory_Click): buttonExecute_Clickと同様の変更。SystemLogTableではなくLogDataを用いる。

2010-03-25  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 最近の変更について言及。

2010-03-25  panacoran <panacoran@users.sourceforge.jp>

	組み込み関数Unitを使いやすくする。#20400
	* bin/Release/lib/TIlib.pt (Unit2): 新規。不明な場合は推測の単元株数を返す。
	* bin/Release/system/Channel Breakout.pt (Number): Unit2を使う。
	* bin/Release/system/LDS2.pt (Number): 同上。
	* bin/Release/system/MA Cross.pt (Number): 同上。
	* bin/Release/system/RSI SYSTEM.pt (Number): 同上。
	* PtSim/MainForm.cs (MainForm.Performance): 0株の売買を無視する。

2010-03-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.UpdateIndex): 使い終わったIfModifiedSinceを戻す。
	
2010-03-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/BrandData.cs (BrandData.Load): 読み終えたindex.txtを閉じる。

2010-03-24  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.MainForm): データ更新に関する設定を読み込むのを忘れていた。
	(MainForm.Execute): 実行モードをトレーディングシステムから取得する。
	(MainForm.Performance): 同上。

2010-03-23  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): 分割比率の情報がない場合は無視する。
	
2010-03-22  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs (BrandListConfig.ReadOldConfig): データベースがない場合は無視する。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): 分割比率をデータベースではなく銘柄データから取る。
	* Protra.Lib/Db/Connection.cs (Connection.ThrowException): 例外の制御をプログラム全体で行えるようにする。
	* Protra.Lib/Db/Split.cs: 削除。

2010-03-21  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/5/index.html: 組み込み関数Unitの説明を追加。#20400
	* bin/Release/man/6/index.html: 同上。
	
2010-03-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Data/BrandData.cs (BrandData.this[]): 新形式のIDも扱えるようにする。
	* Protra.Lib/Data/BrandData.cs (BrandData.Load): 日経平均とTOPIXのエントリを加える。
	* Protra.Lib/Db/Price.cs (Price.PriceList): 引数を銘柄レコードに。
	* Protra.Lib/Db/Price.cs (Price.WeeklyPriceList): 同上。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.Invoke): 組み込み関数Unitを追加。#20400
	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartMode): PriceListとWeeklyPriceListの引数の変更に対応。
	(ChartPanel.UpdatePrices): 同上。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.EditBrandListContentDialog): 設定を引数でもらうのをやめる。
	(EditBrandListContentDialog.buttonOk_Click): 設定をGlobalEnvから取る。
	* PtSim/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.EditBrandListDialog): 設定を引数でもらうのをやめる。
	(EditBrandListDialog.buttonAdd_Click): EditBrandListContentDialogに設定を渡すのをやめる。
	(EditBrandListDialog.buttonEdit_Click): 同上。
	(EditBrandListDialog.buttonDelete_Click): GlobalEnvの設定を編集する。
	* PtSim/MainForm.cs (MainForm.MainForm): GlobalEnvに設定を読み込む。履歴の開始日の設定とシステム一覧の初期化を忘れていた。
	(MainForm.ConfigWrite): GlobalEnvのインスタンスを利用する。
	(MainForm.Execute): PriceListとWeeklyPriceListの引数の変更に対応。
	(MainForm.Performance): PriceListとWeeklyPriceListの引数の変更に対応。
	(MainForm.menuItemBrandListEdit_Click): GlobalEnvの設定を反映させる。

2010-03-21  panacoran <panacoran@users.sourceforge.jp>

	設定ファイルの内容を引数で受け渡すのをやめる。
	index.txtを読み込めるようにする。#20400
	* Protra.Lib/Db/Price.cs (Price.PriceList): 分割比率をデータベースではなく銘柄データから取る。
	* Protra.Lib/Global.cs (Global): コメントの修正。
	(GlobalEnv): 新規。アプリケーション全体で参照されるデータを提供するクラス。
	* Protra.Lib/Option.cs: 削除。
	* Protra.Lib/Protra.Lib.csproj: Protra.Lib/Option.csを削除。Data/BrandData.csを追加。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Create): 設定をGlobalEnvから取る。
	(PriceDataUpdator.Update): index.txtと価格情報を更新して進捗を100%にする具象メソッドに。#20400
	(PriceDataUpdator.UpdatePrice): 新規。価格情報を更新する抽象メソッド。
	(PriceDataUpdator.UpdateSplit): 削除。
	(PriceDataUpdator.ReadOmegaChartSplitData): 削除。
	(PriceDataUpdator.UpdateIndex): 新規。index.txtを更新する。#20400
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator.UpdatePrice): Updateからリネーム。UpdateSplitDataとReportProgressの呼び出しを削除。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.UpdatePrice): 同上。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.UpdatePrice): 同上。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.UpdatePrice): 同上。開始する日付の設定が間違えていた。。URLが正しくない場合の例外をExceptionからApplicationExceptionに。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.ProtraConfig): 削除。
	(OptionDialog.UpdateConfig): 削除。
	(OptionDialog.OptionDialog): GlobalEnvから設定を取る。
	(OptionDialog.buttonOk_Click): GlobalEnvに設定を反映させる。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog): 引数で設定を受け渡すのをやめる。
	* Protra/MainForm.cs (MainForm.MainForm): GlobalEnvに設定を格納する。
	(MainForm.ChartPanelInit): GlobalEnvの設定を反映させる。
	(MainForm.FavoriteBrandInit): 同上。
	(MainForm.ConfigWrite): GlobalEnvのインスタンスを利用する。
	(MainForm.MainForm_Load): GlobalEnvの設定を反映させる。
	(MainForm.menuItemPriceUpdate_Click): PriceUpdateDialogに設定を渡すのをやめる。
	(MainForm.menuItemAddFavoriteBrand_Click): GlobalEnvの銘柄リストの設定を編集する。
	(MainForm.menuItemOption_Click): OptionDialogに設定を渡すのをやめる。GlobalEnvの設定をChartPanelに反映させる。。
	(MainForm.listBoxFavoriteBrand_KeyDown): GlobalEnvの銘柄リストの設定を編集する。

2010-03-20  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/BrandListConfig.cs: 空行を削除。

2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/ProtraConfig.cs (ProtraConfig.ReadOldConfig): 古い設定ファイルからChartFileとWeeklyChartFileを読めるようにする。#20988

2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: エンコーディングをUTF-8に変更。#20988 #20399に言及。

2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	* ChangeLog.txt: エンコーディングをUTF-8に変更。#21138
	* Protra.Lib/Archiver/IExtracter.cs: 同上
	* Protra.Lib/Archiver/LhaExtracter.cs: 同上
	* Protra.Lib/AssemblyInfo.cs: 同上
	* Protra.Lib/ConfigFile.cs: 同上
	* Protra.Lib/Controls/PtFileTreeView.cs: 同上
	* Protra.Lib/Controls/SimulateTextBox.cs: 同上
	* Protra.Lib/Db/Brand.cs: 同上
	* Protra.Lib/Db/BrandList.cs: 同上
	* Protra.Lib/Db/Connection.cs: 同上
	* Protra.Lib/Db/Market.cs: 同上
	* Protra.Lib/Db/Price.cs: 同上
	* Protra.Lib/Db/protra.sql: 同上
	* Protra.Lib/Db/Split.cs: 同上
	* Protra.Lib/Db/System.cs: 同上
	* Protra.Lib/Db/SystemLog.cs: 同上
	* Protra.Lib/Dialogs/ApplicationError.cs: 同上
	* Protra.Lib/Dialogs/InputDateDialog.cs: 同上
	* Protra.Lib/Global.cs: 同上
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs: 同上
	* Protra.Lib/Lang/ArithmeticTermNode.cs: 同上
	* Protra.Lib/Lang/ArrayNode.cs: 同上
	* Protra.Lib/Lang/BNF.txt: 同上
	* Protra.Lib/Lang/BreakStatementNode.cs: 同上
	* Protra.Lib/Lang/Buffer.cs: 同上
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs: 同上
	* Protra.Lib/Lang/Builtins/Builtins.cs: 同上
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs: 同上
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs: 同上
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs: 同上
	* Protra.Lib/Lang/ComparisonNode.cs: 同上
	* Protra.Lib/Lang/ContinueStatementNode.cs: 同上
	* Protra.Lib/Lang/EmptyStatementNode.cs: 同上
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs: 同上
	* Protra.Lib/Lang/ExpressionNode.cs: 同上
	* Protra.Lib/Lang/ExpressionStatementNode.cs: 同上
	* Protra.Lib/Lang/FunctionDefinitionNode.cs: 同上
	* Protra.Lib/Lang/FunctionNode.cs: 同上
	* Protra.Lib/Lang/FunctionType.cs: 同上
	* Protra.Lib/Lang/IfStatementNode.cs: 同上
	* Protra.Lib/Lang/Interpreter.cs: 同上
	* Protra.Lib/Lang/LiteralNode.cs: 同上
	* Protra.Lib/Lang/LogicalExpressionNode.cs: 同上
	* Protra.Lib/Lang/LogicalTermNode.cs: 同上
	* Protra.Lib/Lang/Node.cs: 同上
	* Protra.Lib/Lang/ParseException.cs: 同上
	* Protra.Lib/Lang/PrefixedExpressionNode.cs: 同上
	* Protra.Lib/Lang/PrimaryNode.cs: 同上
	* Protra.Lib/Lang/ProgramNode.cs: 同上
	* Protra.Lib/Lang/Resource.cs: 同上
	* Protra.Lib/Lang/ReturnStatementNode.cs: 同上
	* Protra.Lib/Lang/RuntimeException.cs: 同上
	* Protra.Lib/Lang/Scanner.cs: 同上
	* Protra.Lib/Lang/StatementNode.cs: 同上
	* Protra.Lib/Lang/SuffixedExpressionNode.cs: 同上
	* Protra.Lib/Lang/Token.cs: 同上
	* Protra.Lib/Lang/Value.cs: 同上
	* Protra.Lib/Lang/VariableNode.cs: 同上
	* Protra.Lib/Lang/WhileStatementNode.cs: 同上
	* Protra.Lib/Option.cs: 同上
	* Protra.Lib/Update/KabukaJohoUpdator.cs: 同上
	* Protra.Lib/Update/KdbComUpdator.cs: 同上
	* Protra.Lib/Update/MujinzouUpdator.cs: 同上
	* Protra.Lib/Update/PriceDataUpdator.cs: 同上
	* Protra.Lib/Update/YahooFinanceUpdator.cs: 同上
	* Protra.Lib/Utils.cs: 同上
	* Protra/AssemblyInfo.cs: 同上
	* Protra/Controls/BrandTreeView.cs: 同上
	* Protra/Controls/ChartBox.cs: 同上
	* Protra/Controls/ChartPanel.cs: 同上
	* Protra/Dialogs/OptionDialog.cs: 同上
	* Protra/Dialogs/PriceUpdateDialog.cs: 同上
	* Protra/Dialogs/VersionDialog.cs: 同上
	* Protra/MainForm.cs: 同上
	* PtSim/AssemblyInfo.cs: 同上
	* PtSim/Controls/ListViewEx.cs: 同上
	* PtSim/Controls/ProfitGraphBox.cs: 同上
	* PtSim/Dialogs/EditBrandListContentDialog.cs: 同上
	* PtSim/Dialogs/EditBrandListDialog.cs: 同上
	* PtSim/Dialogs/VersionDialog.cs: 同上
	* PtSim/MainForm.cs: 同上
	* PtSim/ProfitList.cs: 同上
	* Utils/ImportSplitData/AssemblyInfo.cs: 同上
	* Utils/ImportSplitData/Main.cs: 同上

2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/2/index.html: 無尽蔵について記述。#20399 Yahoo!ファイナンスのURLを更新。
	
2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	データソースとして無尽蔵をサポート。#20399
	* Protra.Lib/Protra.Lib.csproj: 定数MUJINZOUを削除。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.BackslashEscape): 新規。文字列をバックスラッシュでエスケープする。
	(MujinzouUpdator.MujinzouUpdator): オプションで指定されたURLを引数で受け取り、解析してURLのテンプレートを作成する。
	(MujinzouUpdator.Update): テンプレートを元にURLを作成する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.PriceDataSource): MUJINZOUの条件を外す。
	(PriceDataUpdator.Create): MUJINZOUの条件を外す。MujinzouUpdatorの引数にURLを渡す。
	(PriceDataUpdator.DataSourceNames): MUJINZOUの条件を外す。
	(PriceDataUpdator.GetDescription): MUJINZOUの条件を外す。無尽蔵の説明を修正。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog): 無尽蔵のデータのURLを入力するTextBoxとLabelを追加。
	(OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): 無尽蔵が選択されたときにURLの入力欄を有効に、それ以外で無効にする。
	(OptionDialog.buttonOk_Click): データソースに関する設定に無尽蔵のURLを渡す。
	
2010-03-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Config/PtSimConfig.cs (PtSimConfig.PtSimConfig): XMLコメントを付ける。
	* Protra/MainForm.cs (MainForm.menuItemOption_Click): 価格情報の表示も更新する。

2010-03-18  panacoran <panacoran@users.sourceforge.jp>

	設定ファイルをXML形式にする。#20988
	* Protra.Lib/Config/ConfigBase.cs (ConfigBase): 新規。設定ファイルを読み書きするクラスの親クラス。
	* Protra.Lib/Conf/BrandListConfig.cs (BrandList): 新規。銘柄リストを格納するクラス。
	(BrandListConfig): 新規。銘柄リストの設定を読み書きするクラス。
	* Protra.Lib/Conf/ProtraConfig.cs (ChartConfig): 新規。チャートの設定を格納するクラス。
	(ProtraConfig): 新規。Protraの設定を読み書きするクラス。
	* Protra.Lib/Conf/PtSimConfig.cs (PtSimConfig): 新規。PtSimの設定を読み書きするクラス。
	* Protra.Lib/Conf/UpdateConfig.cs (UpdateConfig): 新規。データ更新に関する設定を読み書きするクラス。
	* Protra.Lib/Db/Brand.cs: Copyright Noticeの更新。
	(Brand.NewId): 新規。下一桁に市場コード、上4桁が証券コードのIDを返すプロパティ。
	(Brand.ToString): お気に入りの表示に使える形式に変更。
	(BrandTable.GetRecordByNewId): 新規。新形式のIDの示すレコードを取得する。
	* Protra.Lib/Protra.Lib.csproj: Config/{BrandListConfig,ConfigBase,ProtraConfig,UpdateConfig}.csの追加。
	* Protra.Lib/Update/PriceDataUpdator.cs: usingの整列。
	(PriceDataUpdator.Create): 引数をUpdateConfigに。
	* Protra/Controls/ChartPanel.cs: Copyright Noticeの更新。
	(ChartPanel.ChartForeColor)(ChartPanel.ChartBackColor): 設定ファイルに保存するために値を取れるようにする。#20988
	(ChartPanel.CreateContextMenuChartBox): MenuItemWithObjectの代わりにMenuItemのTagを使う。
	(ChartPanel.menuItemChartFile_Click): Tagから値を取る。
	* Protra/Dialogs/OptionDialog.cs: Copyright Noticeの更新。usingの整列。
	(OptionDialog): optionメンバを削除。
	(OptionDialog.ProtraConfig): 新規。Protraの設定を設定する。
	(OptionDialog.UpdateConfig): 新規。データソースの設定を設定する。
	(OptionDialog.OptionDialog): option引数とその内容の設定を削除。
	(OptionDialog.Option): 削除。
	(OptionDialog.buttonOk_Click): optionではなくprotraConfigとupdateConfigに設定を設定する。
	(OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged)(OptionDialog.buttonChartBackColor_Click)(OptionDialog.tonChartForeColor_Click): varとusingを使う。
	(OptionDialog.buttonOk_Click): Protraの設定とデータソースの設定を更新する。
	* Protra/Dialogs/PriceUpdateDialog.cs: usingの整理。
	(PriceUpdateDialog): OptionからUpdateConfigへ。
	* Protra/MainForm.cs: usingの整理。
	(MainForm): protraConfig, updateConfig, listConfigメンバの新設。optionメンバの削除。
	(MainForm.MainForm): 設定ファイルのロード。設定ファイルの内容の反映。
	(MainForm.ChartPanelInit): 新規。チャートパネルを初期化する。
	(MainForm.FavoriteBrandInit): 新規。お気に入りを初期化する。
	(MainForm.EnvRead): 削除。
	(MainForm.EnvWrite): 削除。
	(MainForm.ConfigWrite): 新規。設定を保存する。
	(MainForm.MainForm_Load): 設定ファイルの内容に基づいてレイアウトを設定する。
	(MainForm.MainForm_FormClosing): ConfigWriteを実行する。
	(MainForm.menuItemPriceUpdate_Click): PriceUpdateDialogにUpdateConfigを渡す。
	(MainForm.menuItemAddFavoriteBrand_Click): お気に入りに銘柄を追加してbrandlist.xmlを保存する。
	(MainForm.menuItemOption_Click): OptionDialogで設定ファイルを編集して、編集した内容に基づきChartPanelを更新する。
	(MainForm.listBoxFavoriteBrand_KeyDown): お気に入りから銘柄を削除してbrandlist.xmlを保存する。
	(MainForm.buttonSearch_Click): MenuItemのTabを参照する。
	(MainForm.menuItemSearchedBrand_Click): 同上。定義の位置を後方へ移動。
	* Protra/Protra.csproj: Controls/MenuItemWithObject.cs, FavoriteBrandItem.csを削除。
	* PtSim/Dialogs/EditBrandListContentDialog.cs: Copyright Noticeの更新。usingの整理。
	(EditBrandListContentDialog.SelectedList): 新規。選択されている銘柄リストを取得または設定する。
	(EditBrandListContentDialog.EditBrandListContentDialog): 銘柄リストの設定を引数で受け取る。新規銘柄リストで初期化する。市場一覧を直書きする。
	(EditBrandListContentDialog.BrandList): 削除。
	(EditBrandListContentDialog.buttonOk_Click): 銘柄リスト名の重複を許さない。MarketIdを使わない。新しいIDを銘柄リストに登録する。brandlist.xmlを保存する。
	PtSim/Dialogs/EditBrandListDialog.cs: Copyright Noticeの更新。usingの整理。
	(EditBrandListDialog.EditBrandListDialog): 銘柄リストの設定を引数で受け取る。お気に入り以外の銘柄リストを選択肢に設定する。 BrandListItemの代わりにConf.BrandListを使う。
	(EditBrandListDialog.EditBrandListDialog_Load): 削除。
	(EditBrandListDialog.buttonAdd_Click): varとusingを使う。自明なthisの削除。BrandListをSelectedListに。
	(EditBrandListDialog.buttonEdit_Click): 同上。
	(EditBrandListDialog.buttonRemove_Click): 同上。銘柄リストの設定を編集してbrandlist.xmlを保存する。
	(EditBrandListDialog.listBoxBrandList_SelectedIndexChanged): ListViewへの値の設定にListViewItemCollectionを使う。
	(EditBrandListDialog.BrandListItem): 削除。
	* PtSim/MainForm.cs (MainForm): ptsimConfig, listConfigメンバの追加。
	(MainForm.MainForm): 設定ファイルのロード。お気に入り以外の銘柄リストを選択肢に設定。
	(MainForm.EnvRead): 削除。
	(MainForm.EnvWrite): 削除。
	(MainForm.ConfigWrite): 新規。設定を保存する。
	(MainForm.MainForm_Load): 削除。
	(MainForm.MainForm_FormClosing): 設定ファイルの保存。
	(MainForm.menuItemBrandListEdit_Click): varとusingを使う。お気に入り以外の銘柄リストを選択肢に設定し直し、選択状態を復旧させる。
	(MainForm.buttonExecute_Click): 自明なthisの削除。
	(MainForm.buttonPerformance_Click): 同上。
	(MainForm.buttonHistory_Click): 同上。
	(MainForm.GetSelectedBrands): 新しいIDの銘柄リストから、データベースのBrandレコードの配列を返す。

2010-03-14  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/1/index.html: 特徴にProtra言語を入れる。CPUの要求を下げる。.NET Framework 2.0を2.0以上に。無尽蔵の記述を削除。
	* bin/Release/Readme.txt: 同上。
	
2010-03-07  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: リリース日の記入
	* Protra.Lib/AssemblyInfo.cs: バージョンを1.5に上げる。
	* Protra/AssemblyInfo.cs: 同上。
	* PtSim/AssemblyInfo.cs: 同上。
	
2010-03-07  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Controls/ListViewEx.cs: XMLコメントを記入。
	
2010-03-07  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DataSince): 古いXMLコメントの修正。

2010-03-07  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt: Copyright Noticeの修正。Yobineのバグ修正。#21005
	* bin/Release/NEWS.txt: 上記の変更に言及。

2010-03-06  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: Wikiの形式に合わせる。チケットを#nのみに。チケットに関する言及を先頭に。
	
2010-03-06  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 設定ファイルのエラーを表示する変更に言及。

2010-03-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/KabukaJohoUpdator.cs: Copyright Noticeの更新。
	* Protra.Lib/Update/MujinzouUpdator.cs: 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs: 同上。
	* Protra.Lib/Update/YahooFinanceUpdator.cs: 同上。
	* Protra/Dialogs/PriceUpdateDialog.cs: 同上。

2010-03-06  panacoran <panacoran@users.sourceforge.jp>

	PriceUpdateDialogがoptionを保持しなくてもよくなるリファクタリング。
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator.DataSince): インスタンスメソッドに。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.DataSince): 同上。
	* Protra.Lib/Update/MujinzouUpdator.cs (MujinzouUpdator.DataSince): 同上。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.DataSince): 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.GetDataSince): 削除。
	(PriceDataUpdator.DataSince): 新規。抽象メソッド。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog): optionメンバを削除。
	(PriceUpdateDialog.PriceUpdateDialog_Load): 日付をupdatorからもらう。

2010-03-06  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/ConfigFile.cs: Protra.Lib.Config名前空間を削除。
	* Protra.Lib/Db/Connection.cs (Connection.ShowOleDbError): データベースのエラーであることをメッセージに入れる。エラーダイアログのモードをFatalに設定する。
	* Protra.Lib/Dialogs/ApplicationError.cs (ApplicationError.InitializeComponent): 幅広く使えるようにするためにデザインの見直し。ボタンは「無視」をデフォルトに。Copyright Noticeの更新。
	* Protra.Lib/Dialogs/ApplicationError.resx: Visual Studio 2008にともなう修正。
	* Protra.Lib/Option.cs (Option.Load): 設定ファイルのエラーを表示する。[bug #19152]の再発防止策。
	* Protra/MainForm.cs (MainForm.EnvRead): 同上。
	* PtSim/MainForm.cs (MainForm.EnvRead): 同上。

2010-03-05  panacoran <panacoran@users.sourceforge.jp>

	[FRE #20988]
	* Protra/MainForm.cs (MainForm.ConfigWrite): 削除。
	* Protra/MainForm.cs (MainForm.MainForm_FormClosing): ConfigWriteの呼び出しを削除。
	* PtSim/MainForm.cs (MainForm.ConfigWrite): 削除。
	* PtSim/MainForm.cs (MainForm.MainForm_FormClosing): ConfigWriteの呼び出しを削除。
	
2010-02-28  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 変更点を列挙。トラッキングをチケットに修正。
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs: Copyright Noticeの更新。
	* Protra.Lib/Lang/FunctionNode.cs: 同上。
	* Protra.Lib/Lang/Interpreter.cs: 同上。
	* Protra.Lib/Lang/Resource.cs: 同上。

2010-01-24  panacoran <panacoran@users.sourceforge.jp>

	[Protra-users 119]
	* Protra.Lib/app.config: 新規。.NET Frameworkのバージョンを指定するapp.configファイル。
	* Protra/app.config: 同上。
	* PtSim/app.config: 同上。
	
2010-01-23  panacoran <panacoran@users.sourceforge.jp>

	[FRE #10498]
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs (MathBuiltins): staticにRandomクラスのインスタンスを生成。
	(MathBuiltins.Invoke): 組み込み関数Randomを実装。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 組み込み関数で起きる例外をすべてRuntimeExceptionでくるむ。
	* bin/Release/man/5/index.html: Random関数の説明を追加。
	* bin/Release/man/6/index.html: 同上。

2010-01-22  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): Resourceクラス内のインスタンスの生成をResourceクラスに移動。
	* Protra.Lib/Lang/Resource.cs (Resource): メンバ変数をプライベートにしてインスタンスの生成を追加。
	(Resource.Stack): 新規。スタックフレームを取得する。
	(Resource.FunctionTable): 新規。関数のテーブルを取得する。
	(Resouece.GlobalVariableTable): 新規。グローバル変数のテーブルを取得または設定する。
	(Resouece.Builtins): 新規。組み込み関数の実装を取得または設定する。

2010-01-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs: Copyright Noticeの更新。
	* Protra.Lib/Update/KdbComUpdator.cs: 同上。
	* Protra/MainForm.cs: 同上。
	
2010-01-21  panacoran <panacoran@users.sourceforge.jp>

	[bug #20363]
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.Update): URLからパラメータを削除。
	(KdbComUpdator.ParseLine): 業種を飛ばす。

2010-01-17  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/Readme.txt: 改行をCRLFに。Copyright Noticeの追加。
	* Protra/Dialogs/VersionDialog.cs: Visual Studio .NET 2008形式への変更。
	* Protra/Dialogs/VersionDialog.resx: 同上。Copyright Noticeの追加。
	
2010-01-17  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 修正したバグを列挙。
	
2010-01-17  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.EnvRead): ChartFileが設定されていない場合に、お気に入りの読み込みがスキップされないようにする。[bug #19152] 設定の読み込みでエラーが出たらダイアログを表示する。

2010-01-15  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (DMI_next): +DMと-DMの移動平均が両方0のときはDXを100%に。[bug #19479]
	(DMI_dm): 価格がないときはnullを返す。

2010-01-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs: 座標の操作をリファクタリング。負の高さでも描画可能にする。[bug #18635]

2010-01-13  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.sln: 32bit(x86)を指定してビルドできるようにする。[bug #19564]
	* Protra.Lib/Protra.Lib.csproj: 同上。.NET Frameworkのバージョンを2.0に下げる。
	* Protra/Protra.csproj: 同上。
	* PtSim/PtSim.csproj: 同上。
	
2010-01-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Visual C# Express 2008に移行。
	* Protra.Lib/Protra.Lib.csproj: 同上。
	* Protra/Protra.csproj: 同上。
	* PtSim/PtSim.csproj: 同上。

2008-09-21  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 1.4のリリース日を記入。

2008-09-14  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/*/index.html: 重複している.を削除。
	* bin/Release/man/4/index.html: panacoranの著作権表示を追加。
	
2008-09-07  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.YahooFinanceUpdator): Yahoo!ファイナンスの変更に対応。

2008-08-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.Update): k-db.comの仕様変更に対応。[bug #13392]
	(KdbComUpdator.GetIndexVolume): 同上。
	* bin/Release/NEWS.txt: 上記の変更について記述。

2008-08-25  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: ささいな修正。

2008-08-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm): activeChartBoxを削除。
	* Protra/Controls/ChartPanel.cs (ChartPanel.ChartNum): デザイナが初期化をしないようにデフォルト値を指定。
	(ChartPanel.ChartMode): 同上。chartBoxesがnullの場合に対応。
	(ChartPanel.SelectedBrand): デフォルト値を指定。
	(ChartPanel.UpdatePrices): chartBoxesがnullの場合に対応。
	(ChartPanel.DrawLastWeek): デフォルト値を指定。

2008-08-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.ConfigWrite): use-proxyをoriginal-proxyに。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.InitializeComponent): プロキシサーバをIEの設定を使用するか、独自の設定を使用するかの選択にする。データソースを説明するラベルにpaddingを入れる。
	(OptionDialog.buttonOk_Click): 独自の設定を使用するときにoption.UseProxyをtrue。
	(OptionDialog.checkBoxUseProxy_CheckedChanged): 削除。
	(OptionDialog.buttonChartBackColor_Click): ColorDialogのカスタムカラーセットにデフォルトの背景色を設定。
	(OptionDialog.radioButtonOriginalProxy_CheckedChanged): 新規。ラベルとテキストボックスのEnabledを切り替える。
	* bin/Release/NEWS.txt: 上記の変更について記述。

2008-08-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: マクロの変更について記述。

2008-08-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 週足の横軸の目盛の幅について記述。
	
2008-08-18  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 先の変更について記述。

2008-08-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.MainForm): チャートパネルを初期化する。
	(MainForm.EnvRead): ChartBoxに日足、週足それぞれのプログラムファイルを設定。
	(MainForm.EnvWrite): ChartBoxから日足、週足それぞれのプログラムファイルを取得して書き込む。
	(MainForm.ConfigWrite): 同上。
	(MainForm.InitChartBox): 削除。
	(MainForm.SetSelectedBrand): 削除。
	(MainForm.SetChartBoxPrices): 削除。
	(MainForm.CreateContextMenuChartBox): ChartPanelへ移動。
	(MainForm.CreateContextMenuItemChartBox): ChartPanelへ移動。
	(MainForm.MainForm_Load): InitChartBoxの呼び出しとチャートパネルの初期化を削除。
	(MainForm.chartBox_MouseDown): ChartPanelへ移動。
	(MainForm.menuItemChartFile_Click): ChartPanelへ移動。
	(MainForm.menuItemSearchedBrand_Click): ChartPanelでChartBoxに銘柄を設定。
	(MainForm.menuItemPriceUpdate_Click): ChartPanel.UpdatePricesを実行。
	(MainForm.menuItemPriceDelete_Click): ChartPanel.UpdatePricesを実行。
	(MainForm.menuItemDailyChart_Click): プログラムの切り替えをChartPanelにまかせる。
	(MainForm.menuItemWeeklyChart_Click): 同上。
	(MainForm.menuItemAddFavoriteBrand_Click): 選択されている銘柄をChartPanelから取得する。
	(MainForm.menuItemOption_Click): 変更内容をChartPanelに渡す。
	(MainForm.treeViewBrand_AfterSelect): ChartPanel.SelectedBrandでChartBoxに銘柄を設定。
	(MainForm.listBoxFavoriteBrand_SelectedIndexChanged): 同上。
	(MainForm.panelChart_SizeChanged): ChartPanelに移動。
	(MainForm.hScrollBarChart_Scroll): ChartPanelに移動。
	* Protra/Protra.csproj: Controls/ChartPanel.csを追加。
	* Protra/Controls/ChartBox.cs (ChartBox.ChartMode): 新規。表示モードを設定する。
	(ChartBox.UseDifferentChart): 新規。日足と週足で異なるチャートを使用するかを設定する。
	(ChartBox.SetProgramFile): 新規。プログラムファイル名を設定する。
	(ChartBox.ProgramFile): 新規。現在の表示モードに応じてプログラムファイルを設定する。
	(ChartBox.DailyProgramFile): 新規。日足用のプログラムファイル名を設定する。
	(ChartBox.WeeklyProgramFile): 新規。週足用のプログラムファイル名を設定する。
	(ChartBox.Dx): 削除。
	(ChartBox.MonthInterval): 削除。
	(ChartBox.SetPrices): 新規。Priceの配列を設定する。
	(ChartBox.RightMode): 現在の表示モードの右端のインデックスを取得あるいは設定する。
	(ChartBox.NeedScrollBar): 新規。スクロールバーが必要かどうかを取得する。
	(ChartBox.ChartBox_Paint): 表示モードに応じて描画する。
	* Protra/Controls/ChartPanel.cs (ChartPanel): 新規。複数のChartBoxを管理するクラス。
	(ChartPanel.ChartNum): ChartBoxの数を取得または設定する。
	(ChartPanel.HScrollBar): MainFormのHScrollBarを設定する。
	(ChartPanel.ChartForeColor): ChartBoxの前景色を設定する。
	(ChartPanel.ChartBackColor): ChartBoxの背景色を設定する。
	(ChartPanel.ChartMode): ChartBoxの表示モードを取得または設定する。
	(ChartPanel.SelectedBrand): ChartBoxで表示する銘柄を取得または設定する。
	(ChartPanel.UpdatePrices): 価格リストを更新する。
	(ChartPanel.Prices): 現在の表示モードの価格リストを取得する。
	(ChartPanel.DrawLastWeek): 終わっていない週の週足を描画するかを取得あるいは設定する。
	(ChartPanel.UseDifferentChart): 日足と週足で異なるチャートを使用するかを設定する。
	(ChartPanel.ChartBoxes): ChartBoxの配列を取得する。
	(ChartPanel.OnSizeChanged): パネルの大きさが変化したときの処理。
	(ChartPanel.hScrollBar_Scroll): MainFormから移動。
	(ChartPanel.CreateContextMenuChartBox): 同上。
	(ChartPanel.CreateContextMenuItemChartBox): 同上。
	(ChartPanel.chartBox_MouseDown): 同上。
	(ChartPanel.menuItemChartFile_Click): 同上。

2008-08-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Protra.csproj: Controls/ChartBox.{cs,resx}追加。
	* Protra/Controls/ChartBox.{cs,resx}: Protra.Lib/Controlsから移動。
	* Protra.Lib/Protra.Lib.csproj: Controls/ChartBox.{cs,resx}削除。
	* Protra.Lib/Controls/ChartBox.{cs,resx}: Protra/Controlsへ移動。
	
2008-08-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.ConfigWrite): chart-configをchart-listに。chartをchart-listの子要素にする。fileをdaily-fileに。
	
2008-08-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.InitChartBoxes): ChartBoxの作成をループ内にまとめる。
	(MainForm.menuItemWeeklyChart_Click): 週足のチャートが未設定のときは日足のを使う。横軸の目盛を4半期に。
	(MainForm.menuItemOption_Click): チャートの数が変更されたときは、ChartBoxを全部作り直さずに再利用する。
	* Protra.Lib/Controls/ChartBox.cs (ChartBox.InitializeComponent): Visual C# 2005にともなう変更。
	* Protra.Lib/Controls/ChartBox.resx: 同上。

2008-08-09  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.ConfigWrite): 新規。XML形式の設定ファイルを書き込む。
	(MainForm.MainForm_FormClosing): ConfigWriteを呼ぶ。
	* Protra.Lib/ConfigFile.cs (ConfigFile): ジェネリックコレクションを使う。
	* Protra.Lib/Db/Brand.cs (BrandTable.GetRecord): 大きすぎる銘柄IDやコードに対してnullを返す。
	* PtSim/MainForm.cs (MainForm.ConfigWrite): 新規。XML形式の設定ファイルを書き込む。
	(MainForm.MainForm_FormClosing): ConfigWriteを呼ぶ。

2008-08-08  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/chart/*: #includeをrequireに置換。
	* bin/Release/lib/*: //を#に置換。
	* bin/Release/system/*: #includeをrequireに置換。//を#に置換。
	
2008-08-08  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 「飛ぶ」を「抜ける」に変更。
	* bin/Release/lib/TIlib.pt (Ichimoku_repairCandle): 始値と終値が同じときの線の長さが1ピクセル長い。

2008-08-01  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #13189]について記述。
	
2008-08-01  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (HLBand_new): HLバンドは前日から数えるので1日ずらすのが正しい。
	* bin/Release/NEWS.txt: 修正したバグからこの変更を除く。
	
2008-08-01  panacoran <panacoran@users.sourceforge.jp>

	[FRE #13189]
	* Protra.Lib/Controls/ChartBox.cs: 横軸の間隔を8に。
	* bin/Release/lib/TIlib.pt (Candle_draw): ロウソク足に隙間を開ける。
	* bin/Release/lib/TIlib.pt (Ichimoku_repairCandle): 同上。
	
2008-07-28  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/index.html: 「4.1 プログラムの構成」を追加。
	* bin/Release/man/4/index.html: 「初心者でも分かりやすいように」の記述を削除。「プログラムの構成」を追加。

2008-07-28  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 見やすくした。

2008-07-28  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (Yobine): 呼値の変更に対応。
	* bin/Release/NEWS.txt: 上記の変更について記述。

2008-07-28  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Price.cs (PriceTable.MaxDateById): 新規。指定した銘柄IDのレコードの日付のうち最も新しいものを返す。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.Update): 出来高のない日のレコードを補う。
	* bin/Release/NEWS.txt: 上記の変更について記述。k-db.comに関する変更の記述をより詳しく。

2008-07-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.DataSince): 返す日付の時刻を0時0分に。
	(KdbComUpdator.Update): 日経平均とTOPIXの出来高に東証1部の出来高を設定。
	(KdbComUpdator.GetIndexVolume): 新規。東証1部の出来高を読み込む。
	* bin/Release/NEWS.txt: 最近行った変更について記述。

2008-07-06  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (HighLow_new): さかのぼる日数の増加を2倍に戻す。

2008-07-06  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (HighLow_new): さかのぼる日数の増加を1日ずつにする。計算し直す際にカウンタを初期化する。[bug #12470]
	(HLBand_new): HighLow_newで1日ずらしていたのをやめる。

2008-07-02  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.YahooFinanceUpdator): (が入っている銘柄名に対応。
	(YahooFinanceUpdator.ParsePage): (株)を削除する。ホールディングスをＨＤと略すのをやめる。

2008-07-02  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator.ParseLine): ヘラクレスの区分が分かれたのに対応。
	
2008-04-30  panacoran <panacoran@users.sourceforge.jp>

	[bug #12431]
	* Protra.Lib/Lang/Buffer.cs (Buffer.Close): 新規。読んでいるファイルをクローズする。
	* Protra.Lib/Lang/Scanner.cs (Scanner.Close): 新規。Bufferの読んでいるファイルをクローズする。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): 構文解析が終了したらファイルをクローズする。
	
2008-04-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/ChartBox.cs (ChartBox.ChartBox_Paint): エラーメッセージをMessageBoxで表示する。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): エラーの行番号を:で区切る形に戻す。
	(Interpreter.Execute): 同上。

2008-04-20  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/VariableNode.cs (VariableNode.Parse): RuntimeExceptionではなくParseException。[bug #12377]
	
2008-04-20  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #6487]に言及。

2008-04-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator.YahooFinanceUpdator): 日経平均とTOPIXの表示の変更に対応。
	(YahooFinanceUpdator.ParsePage): 同上。
	(YahooFinanceUpdator.GetPage): ConnectFailureも再試行の対象に。

2008-04-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Protra.Lib.csproj: 条件付きコンパイルシンボルMUJINZOUを定義。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.PriceDataSource): Mujinzouを条件付きで追加。
	(PriceDataUpdator.Create): Muzinzouを条件付きで生成。
	(PriceDataUpdator.DataSourceNames): Muzinzouを条件付きで追加。
	(PriceDataUpdator.GetDescription): 無尽蔵の説明を条件付きで追加。
	(PriceDataUpdator.GetDataSince): Mujinzouの場合を条件付きで追加。

2008-04-18  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/PrefixedExpressionNode.cs (PrefixedExpressionNode.Parse): 字句が演算子でない場合にはSuffixedExpression。
	(PrefixedExpressionNode.Execute): Valueクラスの演算子で発生したRuntimeExceptionにTokenを設定する。[bug #12331]

2008-04-17  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 組み込み関数で発生するNullReferenceExceptionをRuntimeExceptionに変換する。[bug #12331]

2008-03-31  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/ExpressionNode.cs (ExpressionNode.Parse): ローカル変数を記号表に登録する。正しい代入かを検査する。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs (FunctionDefinitionNode.Parse): 引数とローカル変数用の記号表を用意する。引数を記号表に登録する。
	(FunctionDefinitionNode.ArgumentNames): 削除。
	(FunctionDefinitionNode.FrameSize): 新規。スタックフレームの大きさを取得する。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Execute): 引数とローカル変数にスタックフレームを使う。
	* Protra.Lib/Lang/Interpreter.cs (Interpreter.Interpreter): 関数の外のローカル変数の記号表を用意する。ローカル変数のDictionaryをValueの配列に。
	* Protra.Lib/Lang/Node.cs (Node.LvtStack): 新規。ローカル変数の記号表のスタックを取得する。
	* Protra.Lib/Lang/ProgramNode.cs (ProgramNode.Execute): 関数の外のローカル変数のスタックフレームを確保する。
	* Protra.Lib/Lang/Resource.cs (Resource): ローカル変数のテーブルをValueの配列に置き換える。
	* Protra.Lib/Lang/VariableNode.cs (VariableNode.Parse): 記号表にないローカル変数はエラーに。変数のスタックフレームの位置を記録。
	(VariableNode.Execute): ローカル変数の未定義の検査はParseに。スタックフレームに保存されたローカル変数の値を返す。
	(VariableNode.Assign): ローカル変数の値をスタックフレームに保存する。
	
2008-03-30  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Buffer.cs: 行の折り返しに\を使用可能に。
	* bin/Release/NEWS.txt: 字句解析器の仕様変更に言及。
	
2008-03-28  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #12211]に言及。

2008-03-28  panacoran <panacoran@users.sourceforge.jp>

	* Protra/AssemblyInfo.cs: バージョンを1.4に。
	* PtSim/AssemblyInfo.cs: バージョンを1.4に。
	* bin/Release/NEWS.txt: Protra言語の処理系に。

2008-03-28  panacoran <panacoran@users.sourceforge.jp>

	[bug #12212]
	* PtSim/MainForm.cs (MainForm.~MainForm): 削除。
	(MainForm.MainForm_FormClosing): 新規。環境設定ファイルの書き込みをデストラクタから移動。

2008-03-28  panacoran <panacoran@users.sourceforge.jp>

	[FRE #12211]
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): 組み込み関数の実行環境にRightIndexの値を設定する。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs (BasicBuiltins.RightIndex): 新規。右端のインデックスを設定する。
	(BasicBuiltins.Invoke): 組み込み関数RightIndexを実装する。
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs (DrawBuiltins.RightIndex): 削除。
	(DrawBuiltins.Invoke): 組み込み関数RightIndexを削除。

2008-03-27  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 処理系の高速化に言及。
	* Protra.Lib/Protra.Lib.csproj: 後述するファイルの追加と削除。
	
	* Protra.Lib/Controls/ChartBox.cs (ChartBox): 組み込み関数の実装をChartBuiltinsクラスに移動。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox): UseLogを削除して必ずログを使用する。組み込み関数の実装をSimulateBuiltinsクラスに移動。
	(SimulateTextBox.LoadGlobalCache): ログに互換性がなくなるのですべて削除する。
	
	* Protra.Lib/Lang/Node.cs (Node): 字句解析器をクラスで共有。字句をContextTokenからTokenに。
	(Node.Parse): 返値を単純化した構文木に。
	(Node.Simplify): 削除。
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs: Nodeクラスの変更を反映。ArrayListをListに変更。以下同様の変更。
	* Protra.Lib/Lang/ArithmeticTermNode.cs: 同上。
	* Protra.Lib/Lang/ArrayNode.cs: 同上。
	* Protra.Lib/Lang/BreakStatementNode.cs: 同上。
	* Protra.Lib/Lang/ComparisonNode.cs: 同上。
	* Protra.Lib/Lang/ContinueStatementNode.cs: 同上。
	* Protra.Lib/Lang/EmptyStatementNode.cs: 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs: 同上。
	* Protra.Lib/Lang/ExpressionNode.cs: 同上。
	(ExpressionNode.Parse): 左辺値の処理をExecuteに移す。
	(ExpressionNode.Execute): 代入の処理をVariableクラスとSuffixedExpressionNodeクラスに移動。
	* Protra.Lib/Lang/ExpressionStatementNode.cs: 同上。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs: 同上。
	* Protra.Lib/Lang/FunctionNode.cs: 同上。
	(FunctionNode.Execute): 組み込み関数の実行をBuiltinクラスのサブクラスに。
	* Protra.Lib/Lang/IfStatementNode.cs: 同上。
	* Protra.Lib/Lang/LiteralNode.cs: 同上。
	(LiteralNode.Parse): 数値への変換は字句解析器で行う。
	* Protra.Lib/Lang/LogicalExpressionNode.cs: 同上。
	(LogicalExpressionNode.Execute): Value.operator|を使わずに評価する。
	* Protra.Lib/Lang/LogicalTermNode.cs: 同上。
	(LogicalTermNode.Execute): Value.operator&を使わずに評価する。
	* Protra.Lib/Lang/PrefixedExpressionNode.cs: 同上。
	(PrefixedExpressionNode.Parse): 型キャストの判別にScan.Peekによる先読みを使う。
	* Protra.Lib/Lang/PrimaryNode.cs: 同上。
	(PrimaryNode.Parse): 字句の判別は字句解析器で行う。
	* Protra.Lib/Lang/ProgramNode.cs: 同上。
	* Protra.Lib/Lang/ReturnStatementNode.cs: 同上。
	* Protra.Lib/Lang/StatementNode.cs: 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs: 同上。
	(SuffixedExpressionNode.Assign): 新規。代入を処理する。
	* Protra.Lib/Lang/VariableNode.cs: 同上。
	(VariableNode.Assign): 新規。代入を処理する。
	* Protra.Lib/Lang/WhileStatementNode.cs: 同上。
	
	* Protra.Lib/Lang/Buffer.cs: 新規。
	(Position): ファイルの読み込み位置を記録する構造体。
	(Buffer): 空白のスキップと#include/require文の処理を行う行バッファ
	* Protra.Lib/Lang/Scanner.cs: 新規。
	(Scanner): 字句解析を行うクラス。
	* Protra.Lib/Lang/Token.cs: 新規。
	(TokenType): 字句の種類を表す列挙型。
	(Token): 字句を表すクラス。
	* Protra.Lib/Lang/Builtins/Builtins.cs: 新規。
	(Builtins): 組み込み関数を処理するクラスの親クラス。
	* Protra.Lib/Lang/Builtins/BasicBuiltins.cs: 新規。
	(BasicBuiltins): 基本的な組み込み関数を実行するクラス。
	* Protra.Lib/Lang/Builtins/DrawBuiltins.cs: 新規。
	(DrawFunctionRecord): 描画系の組み込み関数の実行を記録する構造体。
	(DrawBuiltins): 描画を行う組み込み関数を実行するクラス。
	* Protra.Lib/Lang/Builtins/MathBuiltins.cs: 新規。
	(MathBuiltins): 数学関係の組み込み関数を実行するクラス。
	* Protra.Lib/Lang/Builtins/SimulateBuiltins.cs: 新規。
	(SimulateBuiltins): シミュレーション関連の組み込み関数を処理するクラス。
	
	* Protra.Lib/Lang/Interpreter.cs: InterpreterFacadeから改名。
	(Interpreter): Stack, FunctionTable, GlobalVariableTableのクラスをGenericsに。
	* Protra.Lib/Lang/ParseException.cs (ParseException): 字句をContextTokenからTokenに。
	* Protra.Lib/Lang/RuntimeException.cs (RuntimeException): 同上。
	* Protra.Lib/Lang/Resource.cs (Resource): StackArea, VariableTable, FunctionTableをGenericsに。ExecuterFactoryを削除。コンストラクタを削除。BasicBuiltinsのインスタンスを保持するフィールドBuiltinsを追加。
	* Protra.Lib/Lang/Value.cs (Value.Equals): 文字列の比較を正しく行う。数値の比較を直接行う。
	(Value.operator|): 削除。
	(Value.operator&): 削除。
	* PtSim/MainForm.cs (MainForm.InitializeComponent): SimulateTextBoxへのUseLogの設定を削除。
	
	* Protra.Lib/Lang/Context.cs: 削除。
	* Protra.Lib/Lang/ContextToken.cs: 削除。
	* Protra.Lib/Lang/FunctionTable.cs: 削除。
	* Protra.Lib/Lang/IExecuter.cs: 削除。
	* Protra.Lib/Lang/IExecuterFactory.cs: 削除。
	* Protra.Lib/Lang/InterpreterFacade.cs: 削除。
	* Protra.Lib/Lang/StackArea.cs: 削除。
	* Protra.Lib/Lang/VariableTable.cs: 削除。
	* Protra.Lib/Lang/Executer/DelegateExecuter.cs: 削除。
	* Protra.Lib/Lang/Executer/ExecuterFactoryUnion.cs: 削除。
	* Protra.Lib/Lang/Executer/MathExecuterFactory.cs: 削除。

2008-03-22  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [SRE/FRE/bug #n]の説明を変更。
	
2008-03-20  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.Execute): システムをイベントの引数でもらってSimulateTextBoxに設定する。
	(MainForm.buttonExecute_Click): システムの設定をBackgroundWorkerに回す。

2008-03-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 1.3のリリース日を変更。最初に「全体的な変更」を挿入。「追加した機能」を「変更あるいは追加した機能」に。機能やバグの順序を時系列順に直す。[SRE/FRE/bug #n]の説明を追加。

2008-03-19  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Dialogs/EditBrandListContentDialog.cs: (EditBrandListContentDialog.InitializeComponent): 市場コードに関する説明をEditBrandListContentDialog.resxに。
	* PtSim/Dialogs/EditBrandListContentDialog.resx: Jasdaqに合わせて市場名の数字を半角に。

2008-03-17  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Option.cs (Option.Load): Mujinzouが来たときに捕獲すべき例外を間違えていた。
	* bin/Release/NEWS.txt: 1.3のリリース日を明記。
	株価データソースの追加の元になった[FRE #11669]を明記。

2008-03-12  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 浮動小数点のゼロ除算について言及。[bug #6466]
	* bin/Release/lib/TIlib.pt: 著作権表示を他と合わせる。
	* bin/Release/system/MA Cross.pt: 同上。
	* bin/Release/system/Channel Breakout.pt: 同上。HighLowの仕様変更にともなう変更。

2008-03-12  panacoran <panacoran@users.sourceforge.jp>

	無尽蔵をデータソースから削除する。
	* Protra.Lib/Option.cs (Option.Load): MujinzouでParseが失敗する場合に備える。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataSource): Mujinzouを削除。
	(PriceDataUpdator.Create): Mujinzouの場合を削除。
	(PriceDataUpdator.DataSourceNames): 無尽蔵を削除。
	(PriceDataUpdator.GetDescription): 無尽蔵の説明を削除。
	(PriceDataUpdator.GetDataSince): Mujinzouの場合を削除。
	* bin/Release/man/2/index.html: 無尽蔵を削除。

2008-02-28  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Context.cs: ライセンス記述を他と合わせる。

2008-02-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/OptionDialog.cs (OptionDialog.InitializeComponent): データソースを選択するコンボボックスの横幅を広げる。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DataSourceNames): DLサイトをダウローダサイトに戻す。

2008-02-25  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/Readme.txt: 著作権表示を追加。

2008-02-24  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/Readme.txt: 動作環境を修正。
	* bin/Release/man/1/index.html: 同上。

2008-02-19  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/OptionDialog.cs (OptionDialog.InitializeComponent): データソースの情報を表示するラベルのサイズと、データソースを選択するコンボボックスの横幅を詰める。
	* Protra/Dialogs/VersionDialog.cs: 著作権表示を追加。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DataSourceNames): ダウローダサイトをDLサイトに略す。
	(PriceDataUpdator.GetDescription): 無尽蔵を一月末で終了に。
	* PtSim/Dialogs/VersionDialog.cs:  著作権表示を追加。
	
2008-02-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.menuItemPriceDelete_Click): 株価データ削除中にマウスカーソルをWaitCursorに。InputDateDialogの消失跡を描画してから削除に入る。

2008-02-10  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/VersionDialog.cs (VersionDialog.InitializeComponent): Copyright Noticeの修正。
	* bin/Release/man/1/index.html: 同上。
	* bin/Release/man/2/index.html: 同上。

2008-02-09  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 株価データソースの追加に言及。

2008-02-09  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/index.html: 3.5と3.6を入れ替える。
	* bin/Release/man/1/index.html: 二つの段落をつなげる。
	* bin/Release/man/2/index.html: 全面的に修正。スクリーンショットをPNGに。
	* bin/Release/man/2/img/ptss.jpg: 削除。
	* bin/Release/man/2/img/ptss.png: 新規。スクリーンショット。
	* bin/Release/man/3/index.html: 3.5と3.6を入れ替える。

2008-02-09  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/data/user.mdb: 削除。
	* bin/Release/data/protra.mdb: 数字を半角に。
	
2008-02-08  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog_Load): ifの後ろにスペースを入れた。
	* Protra.Lib/Update/PriceDataUpdator.cs (DownloadUtil.GetResponse): 404などのプロトコルエラーで例外が発生しないようにする。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Start): begin > endの際にdateがDateTime.MinValueになるのを防ぐ。[bug #11834]

2008-02-03  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Option.cs: Option.csをProtra.Libへ移動。
	* Protra/Protra.csproj:  同上。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.OptionDialog): データソースの一覧をPriceDataUpdatorから取得して設定。
	(OptionDialog.InitializeComponent): データソースの一覧の設定をやめる。
	(OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): データソースの説明をPriceDataUpdatorから取得して設定。
	* Protra/Dialogs/OptionDialog.resx: Visual C# 2005の形式に移行。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog): PriceDataUpdator.Createにoptionを渡す。
	(PriceUpdateDialog.PriceUpdateDialog_Load): データが存在しない場合の最初の日付をPriceDataUpdatorから取得。
	* Protra.Lib/Option.cs: Protraから移動。
	* Protra.Lib/Protra.Lib.csproj: *DataStream.csを削除して*Updator.csを追加。
	* Protra.Lib/Db/Market.cs (MarketId): 店頭をJasdaqに。
	* Protra.Lib/Db/protra.sql: 同上。
	* Protra.Lib/Update/KabukaJohoDataStream.cs: 削除。
	* Protra.Lib/Update/KabukaJohoMNameStream.cs: 削除。
	* Protra.Lib/Update/KabukaJohoUpdator.cs (KabukaJohoUpdator): 新規。株価情報を利用して株価データの更新を行うクラス。
	* Protra.Lib/Update/KdbComUpdator.cs (KdbComUpdator): 新規。株価データダウンロードサイトを利用して株価データの更新を行うクラス。
	* Protra.Lib/Update/MujinzouAdjustDataStream.cs: 削除。
	* Protra.Lib/Update/MujinzouDataStream.cs: 削除。
	* Protra.Lib/Update/MujinzouUpdator.cs: 新規。無尽蔵を利用して株価データの更新を行うクラス。
	* Protra.Lib/Update/OmegaChartIndexStream.cs: 削除。
	* Protra.Lib/Update/PriceDataStream.cs: 削除。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataSource): 株価データダウンロードサイトとYahoo!ファイナンスを追加。
	(DownloadUtil): 新規。HTTPによるファイルのダウンロードと圧縮されたファイルの展開を行うクラス。
	(PriceDataUpdator): 株価情報の更新に関するユーティリティを提供する抽象クラス。
	* Protra.Lib/Update/YahooFinanceUpdator.cs (YahooFinanceUpdator): 新規。Yahoo!ファイナンスを利用して株価データを更新するクラス。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.InitializeComponent): 店頭をJasdaqに。
	* bin/Release/Readme.txt: Windows98をWindows 98に。.NET Framework 2.0のURLを直接ダウンロードできるところに。UNLHA32.DLLの同梱をやめるのでダウンロード先を示す。
	* bin/Release/UNLHA32.DLL: 削除。
	* bin/Release/data/protra.mdb: 店頭をJasdaqに。
	* bin/Release/man/1/index.html: Readme.txtと同様の変更。
	* bin/Release/man/2/index.html: データソースの追加と各データソースへのリンクを追加。感謝の記述を削除。
	
2008-02-03  panacoran <panacoran@users.sourceforge.jp>

	[bug #11773]
	* Protra/MainForm.cs (MainForm.~MainForm): 削除。
	(MainForm.MainForm_FormClosing): 新規。環境設定ファイルの書き込みをデストラクタから移動。

2008-01-18  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/index.html: 7章と8章の追加とオフィシャルサイトのURLの変更。
	* bin/Release/man/7/index.html: 新規。チャート一覧。
	* bin/Release/man/8/index.html: 新規。TIlibの解説。

2008-01-17  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/chart/Momentum Indicators/%Difference/{MA,EMA}*.pt: Trend Indicatorsから移動。
	* bin/Release/chart/Trend Indicators/%Difference/{MA,EMA}*.pt: 削除。

2008-01-15  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.Performance): 計算結果をprofitGraphBoxに設定するのを忘れてた。

2008-01-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs: 著作権表示の更新。
	* Protra/Dialogs/PriceUpdateDialog.cs: 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs: 同上。
	
2008-01-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.menuItemPriceUpdate_Click): PriceDataUpdatorクラスに触るのをやめる。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog): PriceDataUpdatorを作成。
	(PriceUpdateDialog.InitializeComponent): BackgroundWorkerを追加。
	(PriceUpdateDialog.PriceUpdate): 削除。
	(PriceUpdateDialog.PriceUpdateDialog_Load): PriceDataSourceはオプションからもらう。BackgroundWorkerで処理を実行。
	(PriceUpdateDialog.backgroundWorkerUpdate_DoWork): 新規。処理を実行する。
	(PriceUpdateDialog.backgroundWorkerUpdate_ProgressChanged): 新規。更新状況を表示。
	(PriceUpdateDialog.backgroundWorkerUpdate_RunWorkerCompleted): 新規。終了したときの処理。
	(PriceUpdateDialog.buttonStop_Click): BackgroundWorkerで処理を中断。
	* Protra/Dialogs/PriceUpdateDialog.resx: Visual C# 2005に移行したことにともなう変更。BackgroundWorkerの追加。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.DataSource): 削除。
	(PriceDataUpdator.ProxyInfo): 削除。
	(PriceDataUpdator.UpdateProgress): 削除。
	(PriceDataUpdator.PriceDataUpdator): コンストラクタでPriceDataSourceとProxyInfoを渡す。
	(PriceDataUpdator.Update): BackgroundWorkerへの対応。
	(PriceDataUpdator.ReadOmegaChartSplitData): 同上
	(PriceDataUpdator.ReadMujinzouAdjustData): 同上
	(PriceDataUpdator.CalcAndUpdateProgress): 同上
	
2008-01-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs: (MainForm.~MainForm): 環境設定ファイルの書き込みをデストラクタに移動。

2008-01-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/SimulateTextBox.cs: 著作権表示の更新。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.AppendText): .NET Framework 2.0のTextBox.AppendTextには32kBで切れるバグはないので削除。

2008-01-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): BackgroundWorkerに対応する。
	* PtSim/MainForm.cs (MainForm.InitializeComponent): BackgroundWorkerを追加。
	(MainForm.Execute): コントローラに触る部分をBackgroundWorkerのイベントハンドラに移動。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): BackgroundWorkerのIsBusyで何か実行中かを調べる。
	(MainForm.buttonExecute_Click): コントローラを触ってから実行。実行と中断をBackgroundWorkerにまかせる。
	(MainForm.backgroundWorkerExecute_DoWork): 新規。実際に実行する。
	(MainForm.backgroundWorkerExecute_ProgressChanged): 新規。ProgressBarに進捗を表示。
	(MainForm.backgroundWorkerExecute_RunWorkerCompleted): 新規。終了したときの処理。
	* PtSim/MainForm.resx: 特に意味的な変更はない。

2008-01-11  panacoran <panacoran@users.sourceforge.jp>
	
	* PtSim/Controls/ListViewEx.cs (ListViewEx): ライセンス記述を追加。
	* PtSim/Controls/ListViewEx.Designer.cs (ListViewEx): 同上。
	
2008-01-11  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.~MainForm): 環境設定ファイルの書き込みをデストラクタに移動。
	(MainForm.InitializeComponent): BackgroundWorkerを追加。
	(MainForm.Performance): コントローラに触る部分をBackgroundWorkerのイベントハンドラに移動。計算結果を一つの文字列にして返す。
	(MainForm.buttonPerformance_Click): コントローラを触ってから計算。計算の実行と中断をBackgroundWorkerにまかせる。
	(MainForm.backgroundWorkerPerformance_DoWork): 新規。実際に計算を実行する。
	(MainForm.backgroundWorkerPerformance_ProgressChanged): 新規。ProgressBarに進捗を表示。
	(MainForm.backgroundWorkerPerformance_RunWorkerCompleted): 新規。計算が終了したときの処理。
	* PtSim/MainForm.resx: BackgroundWorkerの追加。

2008-01-11  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.InitializeComponent): 成績計算のサマリーの背景を白に。

2008-01-11  panacoran <panacoran@users.sourceforge.jp>

	[bug #11583]
	* PtSim/Controls/ListViewEx.cs (ListViewEx): 新規。アイテムのBackColorが正しく描画されるListView。
	* PtSim/Controls/ListViewEx.Designer.cs (ListViewEx): 同上。
	* PtSim/MainForm.cs (MainForm): ListViewの代わりにListViewExを使う。
	(MainForm.buttonHistory_Click): Visibleを使った回避策は完全でないのでやめる。ArrayListを使うのをやめる。
	
2008-01-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Protra.proj: Visual C# Express 2005へ移行したことにともなう変更。
	* Protra/MainForm.cs: 同上。
	* PtSim/PtSim.csproj: 同上。
	* PtSim/MainForm.cs: 同上。
	* PtSim/MainForm.resx: 同上。

2008-01-02  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: .NET Framework 2.0に移行したことに言及。
	* bin/Release/Readme.txt: 同上。Copyright Noticeを修正。

2008-01-02  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs: Copyright Noticeの修正。
	* PtSim/Dialogs/VersionDialog.cs: 同上。

2008-01-01  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.buttonHistory_Click): listViewHistoryのVisibleを一度falseにしてからアイテムを追加。[bug #11583]
	
2007-12-29  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Visual C# Express 2005移行。Utils/ImportSplitDataを削除。
	* Protra/MainForm.cs: 同上。
	* Protra/MainForm.resx: 同上。
	* Protra/Protra.csproj: 同上。
	* Protra.Lib/Protra.Lib.csproj: 同上。
	* PtSim/PtSim.csproj: 同上。
	* Utils/ImportSplitData/ImportSplitData.csproj: 同上。

2007-12-27  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Dialogs/VersionDialog.cs (VersionDialog.InitializeComponent): lavelVersionの横幅を増やす。
	* Protra/Dialogs/VersionDialog.resx: 特に意味的な変更はない。

2007-12-27  panacoran <panacoran@users.sourceforge.jp>

	* Copyright Noticeの追加とGPLv3への移行。
	* Protra/AssemblyInfo.cs: バージョンを1.3に。
	* Protra/Dialogs/VersionDialog.cs (VersionDialog.VersionDialog): lavelVersionにバージョン番号を表示。
	(VersionDialog.InitializeComponent): 著作権者を列挙し、無保証を明示。
	* Protra/Dialogs/VersionDialog.resx: 上記変更に伴う変更。
	* Protra.Lib/AssemblyInfo.cs: バージョンを1.3に。
	* PtSim/AssemblyInfo.cs: バージョンを1.3に。
	* PtSim/Dialogs/VersionDialog.cs (VersionDialog.VersionDialog): lavelVersionにバージョン番号を表示。
	(VersionDialog.InitializeComponent): 著作権者を列挙し、無保証を明示。
	* PtSim/Dialogs/VersionDialog.resx: 上記変更に伴う変更。
	* bin/Release/Readme.txt: FAQのURLを変更。GNU/GPLをGNU General Public Licenseに。1分を数分に。
	* bin/Release/lib/TIlib.pt: GPLv3の適用。イテレータをnextメソッドに変更。
	* bin/Release/man/1/index.html: Readme.txtと同様の変更。
	* bin/Release/man/5/index.html: Code関数の説明を追加。

2007-12-26  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 進捗を100%にして終る。
	
2007-12-26  panacoran <panacoran@users.sourceforge.jp>

	[bug #10092]
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdate): ラベルの変更にBeginInvokeを使う。
	(PriceUpdateDialog.ChangeLabel): 新規。ラベルを変更する。

2007-12-25  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Price.cs (Price.Delete): 意味的な変更はない。
	* Protra.Lib/Db/Split.cs (Split.Delete): 新規。全データを削除。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 正確でないindex.txtから作られたSplitテーブルの内容を削除。
	
2007-12-16  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.textBoxCode_Enter): Enterイベントは発生しないので削除。
	(MainForm.textBoxCode_KeyPress): Enterキーが押されたら検索。

2007-12-16  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (HighLow_next): 記録している高値と安値の有効期間が同時に尽きた場合に対処。[bug #11503]

2007-12-16  panacoran <panacoran@users.sourceforge.jp>
	
	* bin/Release/lib/TIlib.pt (HighLow_new): 最初の値が求まるまで日数を次々とさかのぼる。[bug #11503]
	
2007-12-15  panacoran <panacoran@users.sourceforge.jp>

	[FRE #6141][FRE #11526]
	* Protra/MainForm.cs (MainForm.InitializeComponent): 市場を指定するコンボボックスとそのラベルを削除。
	(MainForm.InitComboBoxMarket): 削除。
	(MainForm.MainForm_Load): InitComboBoxMarketの呼び出しを削除。
	(MainForm.buttonSearch_Click): 市場を指定せずに検索して、得られた結果に市場名を付けてコンテキストメニューで選択可能に。
	* Protra/MainForm.resx: 市場を指定するコンボボックスとそのラベルを削除。
	* Protra.Lib/Db/Brand.cs (Brand.CompareTo): 新規。銘柄コードの順に並ぶようにする。
	(BrandTable.GetRecords(int)): foreachで市場を回るようにする。
	(BrandTable.GetRecords(string)): BrandTable.GetRecords(MarketId, string))から市場の指定を削除。全市場から検索する。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.InitializeComponent): 市場コードを指定しない場合の説明を変更。
	(EditBrandListContentDialog.buttonOk_Click): 市場コードの指定がない場合には最も小さな市場コードをもつものを選ぶ。HashTableのAddではなくインデクサを使う。
	* PtSim/Dialogs/EditBrandListContentDialog.resx: 特に意味的な変更はない。
	* bin/Release/NEWS.txt: [FRE #6141]に言及。

2007-12-15  panacoran <panacoran@users.sourceforge.jp>

	[bug #9940]
	* Protra.Lib/Db/Split.cs (Split.Conn): テーブルを作り直すときのエラーを表示するようにする。
	* Protra.Lib/Update/OmegaChartIndexStream.cs (OmegaChartIndexStream.ComposeUrl): index.txtを本家ではなくprotra.sourceforge.jpから取得する。

2007-12-14  panacoran <panacoran@users.sourceforge.jp>

	[bug #6280]
	* Protra/MainForm.cs (MainForm.menuItemSearchedBrand_Click): 銘柄リストとお気に入りの選択を解除。
	(MainForm.treeViewBrand_AfterSelect): お気に入りの選択を解除。
	(MainForm.listBoxFavoriteBrand_SelectedIndexChanged): 銘柄リストの選択を解除。
	(MainForm.buttonSearch_Click): 銘柄リストとお気に入りの選択を解除。

2007-12-14  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #4255]に[bug #9940]を追加して無尽蔵の記述を削除。(TIlib)を句点の後に移す。[bug #10284]より本質的な[bug #10110]に言及する。

2007-12-13  panacoran <panacoran@users.sourceforge.jp>

	[bug #11503]
	* bin/Release/lib/TIlib.pt (HighLow_new, HighLow_next): データが不足している期間の値を0ではなくnullにする。出来高のない日がエラーにならないようにする。
	(HLBand_new, HLBand_next): HighLow_highとHighLow_lowがnullの場合に対応する。
	(IchimokuMedian_new, IchimokuMedian_next): 同上。

2007-12-10  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm): EnvReadとEnvWriteでconfigFileを共有しない。[bug #8433]
	(MainForm.listBoxFavoriteBrand_KeyDown): 全部indexで処理する。

2007-12-10  panacoran <panacoran@users.sourceforge.jp>

	[bug #11503]
	* bin/Release/chart/Trend Indicators/HLBand/HLBand(40).pt: ColorをColorsに。
	* bin/Release/lib/TIlib.pt (HLBand_new): HighLowの計算を前日からにする。

2007-12-06  panacoran <panacoran@users.sourceforge.jp>

	[bug #9940]
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdate): 株式分割データを更新する場合があるので、株価データを読まなかったときにメッセージを変えるのをやめる。
	* Protra.Lib/Protra.Lib.csproj: Db/Adjust.csを削除。Update/MujinzouAdjustDataXLSStream.csを削除。Update/OmegaChartIndexStream.csを追加。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): AdjustをSplitに戻す。
	* protra.sql: Adjustテーブルを削除。SplitテーブルをAdjustテーブルと同じスキーマに。
	* Protra.Lib/Db/Adjust.cs: 削除。
	* Protra.Lib/Db/Price.cs (Price.Split): AdjustをSplitにして値を調整値ではなく分割比率で扱う。
	(PriceTable.PriceList): AdjustをSplitに戻す。
	* Protra.Lib/Db/Split.cs (Split.Split): 銘柄IDではなく銘柄コードを、調整値ではなく分割比率を保持する。
	(Split.Code):  BrandIdをCodeに。
	(Split.Ratio): AdjustをRatioに。
	(Split.ToRatio): 上記変更に対応。
	(Split.ToString): 同上。
	(SplitTable.Conn): Splitテーブルが古かったら削除して作り直す。
	(SplitTable.GetRecords): 銘柄IDではなく銘柄コードを指定する。
	(SplitTable.Add): Splitテーブルの変更に対応。重複データへの対応をやめる。
	Protra.Lib/Update/MujinzouAdjustDataStream.cs: 2007年より前の調整係数データへの対応をやめて、MujinzouAdjustDataXLSStreamの内容を移す。
	(MujinzouAdjustDataStream.Read): 調整値を分割比率に変換する。
	Protra.Lib/Update/MujinzouAdjustDataXLSStream.cs: 削除。
	Protra.Lib/Update/OmegaChartIndexStream.cs (OmegaChartIndexStream): 新規。OmegaChartのindex.txtから株式分割データを読み込むクラス。
	Protra.Lib/Update/PriceDataStream.cs: 適宜XMLコメントを追加。
	(PriceData.Split): PriceData.Adjustから変更。
	(PriceData.ExtractFile): 拡張子がlzhでなければ展開しない。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.NumDays): 削除。
	(PriceDataUpdator.Update): 株価データを読んだ後にOmegaChartのデータから株式分割データを読む。無尽蔵の分割調整データは最後に2007年以降だけまとめて読む。
	(PriceDataUpdator.ReadOmegaChartSplitData): 新規。OmegaChartのindex.txtから株式分割データを読む。最初は6000件を超えるので進行状況を表示。
	(PriceDataUpdator.ReadMujinzouAdjustData): 2007年以降の形式だけを読む。更新されたデータだけを追加。
	(PriceDataUpdator.CalcAndUpdateProgress): 更新頻度を半分に。

2007-12-04  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Adjust.cs (Adjust.Conn): IndexOfで見つからなかった場合の返値は-1。

2007-12-03  panacoran <panacoran@users.sourceforge.jp>

	[bug #9940]
	銘柄IDを持つSplitテーブルから銘柄コードを持つAdjustテーブルへの移行と、無尽蔵の2007年以降の調整係数の読み込みに対応。
	* Protra.Lib/Protra.Lib.csproj: Db/Adjust.csとUpdate/MujinzouAdjustDataXLSStream.csを追加。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Run): SplitTableをAdjustTableに変更。
	* Protra.Lib/Db/Adjust.cs (Adjust): 新規。Adjustテーブルのレコードを表すクラス。
	(AdjustTable): 新規。Adjustテーブルを表すクラス。
	* Protra.Lib/Db/Connection.cs (Connection.ThrowException): 新規。例外を投げるかどうかを設定するプロパティ。
	(Connection.ShowOleDbError): 例外を投げる場合には投げる。原因の記述に改行を付加する。
	(Connection.*): 上の変更に対応。
	(Connection.Execute(string, bool)): 削除。
	(Price.PriceList): SplitTableをAdjustTableに変更。 
	* Protra.Lib/Db/protra.sql: SplitテーブルをAdjustテーブルに変更。
	* Protra.Lib/Update/MujinzouAdjustDataStream.cs (MujinzouAdjustDataStream.ComposeUrl): 無尽蔵のURLの変更に対応。
	(MujinzouAdjustDataStream.ParseLine): 名前と市場IDの取得をやめる。
	* Protra.Lib/Update/MujinzouAdjustDataXLSStream.cs (MujinzouAdjustDataXLSStream): 新規。無尽蔵の2007年以降の調整係数データを読むためのクラス。
	* Protra.Lib/Update/PriceDataStream.cs (PriceDataStream): dataFileをprotectedにClose()をvirtualに変更。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 株価データに調整係数が含まれなくなったことに対応。無尽蔵の調整係数のデータの読み込みをプライベートメソッドに分離。
	(PriceDataUpdator.ReadMujinzouAdjustData): 新規。無尽蔵の調整係数のデータを読み込む。

2007-11-25  panacoran <panacoran@users.sourceforge.jp>

	[bug #8391]
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): 各データソースの注を変更。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 株価情報のデータに含まれている各種指数を除外。

2007-11-25  panacoran <panacoran@users.sourceforge.jp>
	
	[bug #8391]
	* Protra.Lib/Update/KabukaJohoDataStream.cs (KabukaJohoDataStream.ParseLine): 上場廃止で問答無用にエラーにするのをやめる。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 銘柄名がない株価情報のデータはデータベースから補う。
	
2007-11-01  panacoran <panacoran@users.sourceforge.jp>

	[bug #8391]
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): 株価情報の注を変更。
	* Protra.Lib/Protra.Lib.csproj: KabukaJohoMNameStream.csを追加。
	* Protra.Lib/Update/KabukaJohoDataStream.cs (KabukaJohoDataStream.ReadMName): 新規。銘柄名データを読み込む。
	(KabukaJohoDataStream.ComposeUrl): URLの変更に対応。
	(KabukaJohoDataStream.Open): 株価データを読む前に銘柄名データを読む。
	(KabukaJohoDataStream.ParseLine): 2006年以降のデータ形式に対応。
	* Protra.Lib/Update/KabukaJohoMNameStream.cs (KabukaJohoMNameStream): 新規。銘柄名データを読むためのクラス。
	* Protra.Lib/Update/PriceDataStream.cs (PriceData): PriceDataUpdator.csから移動。
	(PriceDataStream.Open): サブクラスでオーバーライド可能にする。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceData): PriceDataStream.csへ移動。

2007-08-15  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: システム一覧を更新可能にしたことに言及。
	
2007-08-15  panacoran <panacoran@users.sourceforge.jp>

	[bug #10092]
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox): AppendTextをBeginInvokeで呼ぶためのデリゲートを用意。
	(SimulateTextBox.SimulateTextBox): 同上。
	(SimulateTextBox.Simulate): BeginInvokeでAppendTextを呼ぶ。
	(SimulateTextBox.Print): 同上。
	(SimulateTextBox.PrintLog): 同上。
	(SimulateTextBox.Buy): 同上。
	(SimulateTextBox.Sell): 同上。

2007-08-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Print): 一行に圧縮。
	(SimulateTextBox.PrintLog): Printの実装が残っていたのを削除。
	
2007-08-14  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #8498][FRE #9442]に言及。

2007-08-14  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (Parabolic_draw): 指標を*で描画。[bug #10285]

2007-08-13  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/man/5/index.html: DrawString関数の説明を変更。[FRE #9442]
	* bin/Release/man/6/index.html: PrintLog関数の説明を追加。[FRE #8498]

2007-08-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/ChartBox.cs (ChartBox.ChartBox): 5引数のDrawString関数の追加。[FRE #9442]
	(ChartBox.DrawString): 4引数の場合は黒で、5引数の場合は指定された色で描画。[FRE #9442]
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.SimulateTextBox): PrintLog関数の追加。[FRE #8498]
	(SimulateTextBox.PrintLog): 新規。PrintLogの実装。[FRE #8498]
	* PtSim/MainForm.cs (MainForm.InitializeComponent): KeyPreviewをtrueに。
	(MainForm.MainForm_KeyDown): 新規。F5かControl+Rでファイル一覧を更新する。

2007-07-01  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: HLバンドの追加に言及。
	* bin/Release/chart/Trend Indicators/HLBand/HLBand(20).pt: 新規。20日HLバンド。
	* bin/Release/chart/Trend Indicators/HLBand/HLBand(40).pt: 新規。40日HLバンド。
	* bin/Release/lib/TIlib.pt (HLBand): 新規。HLバンドを描画するためのクラス。 
	* bin/Release/system/Channel Breakout.pt: 20日Channel Breakoutシステム。
	
2007-07-01  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/Controls/ChartBox.cs (ChartBox.FillRectangle): つぶれて高さが0にならないようにする。[bug #9132]
	(ChartBox.FillEllipse): 同上。
	
2007-07-01  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Controls/ChartBox.cs (ChartBox): 入れるべき場所に空白を入れただけ。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.CalcAndUpdateProgress): 残り1分を少し見せる。
	
2007-05-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Utils.cs (Utils.IsHoliday): 2008年以降の5月6日の振替休日を考慮。
	
2007-04-15  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Value.cs (Value.IsTrue): 単に!IsFalseに。
	(Value.IsFalse): 0.0もfalseに。[bug #10289]
	(Value.Equals): 数値はComparesToで同値か検査する。[bug #10284]
	(Value.CompareTo): Math.Signを利用する。
	* bin/Release/NEWS.txt: [bug #10284][bug #10289]に言及。

2007-04-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog): データの更新がなかったときのメッセージを変更。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.NumDays): 新規。データを更新した日数を返す。 
	
2007-03-30  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ComposeUrl): 無尽蔵の新しいデーター・サイトに対応。[bug #10199]
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.CalcAndUpdateProgress): 分を切り上げ。[FRE #10041]

2007-03-19  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #6286]を[FRE #10041]に差し替え。
	* bin/Release/man/ManChangeLog.txt: ChangeLog.txtにマージ。
	* bin/Release/man/6/index.html: Code関数とPrint関数の説明を追加。

2007-03-13  panacoran <panacoran@users.sourceforge.jp>

	[FRE #10041]
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdate): UpdateProgressの設定は冗長。
	(PriceUpdateDialog.UpdateProgress): 新規。メッセージと進捗を受け取り表示する。
	(PriceUpdateDialog.UpdateProgressReceiver): スレッドが違うのでBeginInvokeでUpdateProgressを呼ぶ。[bug #10092]
	* Protra.Lib/Update/PriceDataUpdator.cs (UpdateProgressReceiver): 引数をメッセージと進捗に変更。
	(PriceDataUpdator.UpdateProgressReceiver): 新規。進捗を更新するハンドラを登録する。
	(PriceDataUpdator.Update): 残り時間を計算するための情報を残す。
	(PriceDataUpdator.CalcAndUpdateProgress): 進捗と残り時間を計算して更新する。
	
2007-03-05  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.Read): 無尽蔵の同日同市場同銘柄のデータ重複に対応。[bug #10040]
	* Protra.Lib/Update/PriceDataStream.cs (PriceDataStream.DownloadFile): データのダウンロードが途中で失敗する場合に対応。
	(PriceDataStream.Read): 仮想メソッドにする。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceData.ToString): 新規。文字列表現を返す。

2007-02-21  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Protra.csproj: Protra.Libをプロジェクトで参照する。[bug #6471]
	* PtSim/PtSim.csproj: 同上。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog_Load): データソースが無尽蔵のときはデータの更新は1996年から。[bug #9521]
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ParseLine): 2004年9月27日より前の出来高も1/1000する。銘柄コードの変化に対応する。[bug #9943]
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 無尽蔵の同日同市場同銘柄のデータ重複への対応をやめる。[bug #9943]
	
2007-02-18  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/Db/Brand.cs (BrandTable.GetRecords(int)): Jasdaqが外れていた。[bug #9940]
	
2007-02-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Utils.cs (Utils.IsHoliday): 秋分の日と秋分の日の計算式を修正。[bug #9943]
	* Utils/ImportSplitData/ImportSplitData.csproj: Protra.Libの参照の仕方を元に戻す。[bug #6471]

2007-02-12  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ComposeUrl): 1996年まで受け入れる。[bug #9521]
	(MujinzouDataStream.ParseLine): 分割調整値を解釈するのをやめる。[bug #9521]
	* Utils/ImportSplitData/ImportSplitData.csproj: Protra.Libの参照の仕方を変える。[bug #6471]
	
2007-02-11  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/Db/Price.cs (PriceTable.WeeklyPriceList): 週足を生成するアルゴリズムを修正。[bug #9444][bug #9839]

2007-02-03  panacoran <panacoran@users.sourceforge.jp>

	[bug #9839]
	* Protra.Lib/Utils.cs (Utils): 新規。ユーティリティ関数を提供するクラス。
	* Protra.Lib/Db/Price.cs (PriceTable.WeeklyPriceList): 金曜日が休日でも修足を作成する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceUpdator.IsMarketOpen): Utilsへ移動。
	(PriceUpdator.Update): Utils.IsMarketOpenを利用。 

2007-01-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Brand.cs (Brand.MaxId): 本当に銘柄IDの最大値を返すように直した。[bug #9521]

2006-09-15  amadaya  <amadaya@users.sourceforge.jp>

	* bin/Release/man/index.html: 目次に「3.6銘柄コードを編集するには？」を追加しました。
	* bin/Release/man/3/index.html: 「銘柄コードを編集するには？」項目を新規作成、それに伴い下記イメージを追加しました。
	* bin/Release/man/3/img/editdialog.jpg: 新規。
	* bin/Release/man/3/img/listadd.jpg: 新規。
	* bin/Release/man/3/img/listadd_aft.jpg: 新規。
	* bin/Release/man/3/img/listdel.jpg: 新規。
	
2006-07-31  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: ImportSplitData.csprojを追加。
	* Protra.Lib/Db/Brand.cs: コメントに改行を挿入。
	* Protra.Lib/Db/Split.cs (SplitTable.Add): レコードを追加しなかったときにnullを返すように変更。 
	* Utils/ImportSplitData/ImportSplitData.csproj: 新規。
	* Utils/ImportSplitData/AssemblyInfo.cs: 新規。
	* Utils/ImportSplitData/Main.cs: 新規。OmegaChartのindex.txtから分割調整値を取り込む。
	
2006-07-29  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (EMAutil_next): valueをvalに改名。[bug #8676]

2006-07-08  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Price.cs (Price.Adjust): 出来高を修正する。[bug #8640]

2006-06-03  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Dialogs/InputDateDialog.cs (InputDateDialog): 日付を設定可能に。
	* Protra/MainForm.cs (MainForm.menuItemPriceDelete_Click): ダイアログに最新の日付を設定する。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog_load): InputDataDialogの仕様変更に対応。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Simulate): 分割があったらログを削除して再実行する。[FRE #4255]
	* Protra.Lib/Db/SystemLog.cs (SystemLog.Delete(int, int)): 新規。システムIDと銘柄IDを指定してログを削除する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 違和感があるので最初に1%進めるのをやめる。
	
2006-05-20  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): AddDaysの返値を代入。[bug #8390]
	
2006-04-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouAdjustDataStream.cs (MujinzouAdjustDataStream.ComposeUrl): 無尽蔵のURLの変更に対応。
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ComposeUrl): 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 変数名など見掛け上の変更。

2006-04-05  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 調整係数をダウンロードする際のIfModifiedSinceを前日に。調整係数のデータでBrandTableを更新するのをやめる。
	
2006-03-01  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouAdjustDataStream.cs (MujinzouAdjustDataStream.ComposeUrl): 2006年のURLに対応。[bug #8080]
	
2006-02-03  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (Yobine): 切り上げの際に割り切れたときにも+1していた。

2006-02-02  panacoran <panacoran@users.sourceforge.jp>
	
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ComposeUrl): 2006年のURLに対応。[bug #7961]
	
2006-02-02  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.MainForm): dailyChartFileとweeklyChartFileへの配列の割り当てをコンストラクタに移動。[bug #7827]
	(MainForm.EnvRead): 同上。
	(MainForm.menuItemOption_Click): dailyChartFileとweeklyChartFileをチャート数の変更に対応させる。[bug #7828]
	* bin/Release/NEWS.txt: [bug #7632]に言及。

2005-11-26  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (VR_next): 0除算を避ける。[bug #7632]
	
2005-11-26  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (MAutil_next): 値がnullのときは何もしない。
	(EMAutil_next): 同上。
	(Yobine): 最後にtickを掛けた値を返す。[bug #7573]
	
2005-11-13  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: [FRE #3739]に言及。TIlib関連はそれとわかるようにしてリストの最後に。
	
2005-11-13  panacoran <panacoran@users.sourceforge.jp>

	[FRE #3739]
	* Protra/MainForm.cs (MainForm.EnvRead): 週足のチャートの設定を読む。menuItemWeeklyChart.PerformClickを呼ぶのは設定を読んでから。
	(MainForm.Write): 現在の設定を取得してから、日足と週足それぞれのチャートの設定を書く。
	(MainForm.menuItemDailyChart_Click): 日足と週足で異なるチャートを使用する場合には、現在の設定を保存してプログラムを切り替える。
	(MainForm.menuItemDailyChart_Click): 同上。
	* Protra/Option.cs (Option.UseDifferentChart): 新規。日足と週足で異なるチャートを使用するか。
	(Option.Load): UseDifferentChartを読む。
	(Option.Save): UseDifferentChartを書く。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog.OptionDialog): チェックボックスの追加。
	* Protra/Dialogs/OptionDialog.resx: 同上。
	
2005-11-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Lang/Context.cs (Context.MoveNext): インクルードファイルが見つからないときのParseExceptionにContextTokenを渡す。[bug #7494]
	
2005-11-13  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/ConfigFile.cs: Protra.Lib/Config/ConfigFile.csより移動。xmlコメント追加。
	* Protra.Lib/Protra.Lib.csproj: ConfigFile.csの移動に対応。
	(ConfigFile.Read): ファイルが存在しないときに例外をスロー。
	* Protra/MainForm.cs (MainForm.EnvRead): 上記の変更に対応。
	(MainForm.EnvWrite): 設定ファイルを読んでいない場合は終了。
	* PtSim/MainForm.cs (MainForm.EnvRead): ConfigFile.Readの変更に対応。
	* Protra/Option.cs (Option.Load): 同上。
	
2005-10-29  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.EnvRead): ConfigFileを使用。例外処理を行う。
	(MainForm.EnvWrite): ConfigFileを使用。
	* PtSim/MainForm.cs (MainForm): 同上。
	* Protra/Option.cs (Options): 同上。
	* Protra.Lib/Protra.Lib.csproj: Config{Reder,Writer}.csを削除。
	* Protra.Lib/ConfigFile.cs (ConfigFile): 新規。設定ファイルを読み書きするクラス。
	* Protra.Lib/ConfigReader.cs: 削除。
	* Protra.Lib/ConfigWriter.cs: 削除。

2005-10-09  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/data/protra.mdb: 先日失敗していたuser.mdbに移したテーブルの復活。

2005-10-08  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/NEWS.txt: 分割調整への対応を追加。(TIlib)を削除。

2005-10-08  panacoran <panacoran@users.sourceforge.jp>

	* bin/Release/lib/TIlib.pt (Yobine(2)): 値を丸める際に、切り捨て、四捨五入、切り上げを指定可能に。
	(Yobine(1)): Yobine(2)を切り捨てで利用。
	(OBV_next): 初日に出来高がない場合に対処。[bug #7245]
	* bin/Release/NEWS.txt: YobineとOBV_nextに言及。Bugsをbugに。
	
2005-10-08  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ComposeUrl): eonetの使用をやめる。2000年のデータのURLを直す。[bug #6488]
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): データが存在しないときは処理すべき日数を減らす。
	* bin/Release/data/protra.mdb.back: 削除。

2005-10-08  panacoran <panacoran@users.sourceforge.jp>
	先日の変更の取り消し。
	* Protra.Lib/Db/Brand.cs (Brand): IComparableの実装を削除。
	* Protra.Lib/Db/BrandList.cs (BrandList.Conn): protra.mdbに戻す。
	* Protra.Lib/Db/BrandList.cs (BrandList_Brand.Conn): protra.mdbに戻す。
	* Protra.Lib/Db/BrandList.cs (BrandList_Brand.GetBrands): 直接銘柄レコードを取得する。
	* Protra.Lib/Db/System.cs (System.Conn): protra.mdbに戻す。
	* Protra.Lib/Db/SystemLog.cs (SystemLog.Conn): protra.mdbに戻す。
	* Protra.Lib/Db/protra.sql: user.mdbに移すテーブルの定義を復活。
	* bin/Release/data/protra.mdb: user.mdbに移るテーブルを復活。
	
2005-09-24  panacoran <panacoran@users.sourceforge.jp>

	ユーザ固有のデータをuser.mdbに
	* Protra.Lib/Db/Brand.cs (Brand): 比較可能にする。
	* Protra.Lib/Db/BrandList.cs (BrandList.Conn): user.mdbに接続。
	* Protra.Lib/Db/BrandList.cs (BrandList_Brand.Conn): user.mdbに接続。
	* Protra.Lib/Db/BrandList.cs (BrandList_Brand.GetBrands): 銘柄レコードの取得を分離。
	* Protra.Lib/Db/System.cs (System.Conn): user.mdbに接続。
	* Protra.Lib/Db/SystemLog.cs (SystemLog.Conn): user.mdbに接続。
	* Protra.Lib/Db/protra.sql: user.mdbに移るテーブルの定義を削除。
	* Protra.Lib/Db/user.sql: 新規。user.mdbのテーブルの定義。
	* bin/Release/data/protra.mdb: user.mdbに移るテーブルを削除。
	* bin/Release/data/user.mdb: 新規。ユーザ固有のデータを格納するテーブル。

2005-09-23  panacoran <panacoran@users.sourceforge.jp>

	ユーザ固有のデータをuser.mdbに分ける準備。
	* Protra.Lib/Global.cs (Global): PathDbを削除。 
	* Protra.Lib/Db/Connection.cs (Connection.Connection): データベース名の指定を可能に。データベース名に対応する接続をプール。
	* Protra.Lib/Db/Brand.cs (Brand.Conn): データベース名を指定。
	* Protra.Lib/Db/BrandList.cs (BrandList.Conn): 同上。
	* Protra.Lib/Db/Market.cs (Market.Conn): 同上。
	* Protra.Lib/Db/Price.cs (Price.Conn): 同上。
	* Protra.Lib/Db/Split.cs (Split.Conn): 同上。
	* Protra.Lib/Db/System.cs (System.Conn): 同上。
	* Protra.Lib/Db/SystemLog.cs (SystemLog.Conn): 同上。
	
2005-09-23  panacoran <panacoran@users.sourceforge.jp>
	
	* bin/Release/Readme.txt: 更新履歴をNEWS.txtへ。
	* bin/Release/NEWS.txt: 新規。更新履歴を記録する。
	
2005-09-23  panacoran <panacoran@users.sourceforge.jp>

	ユーザ固有のデータをuser.mdbに分ける準備。
	* Protra.Lib/Db/Connection.cs (Connection): 接続をオブジェクトにする。
	(Connection.Query): 通常のメソッドに。
	(Connection.QueryScalar): 同上。
	(Connection.Execute): 同上。
	(Connection.Close): 同上。
	* Protra.Lib/Db/Brand.cs (Brand.Name): 変更をBrandTableに委譲。
	(BrandTable): Connectionの変更に追随。
	(BrandTable.ChangeBrandName): 新規。
	* Protra.Lib/Db/BrandList.cs (BrandList.Name): 変更をBrandListTableに委譲。
	(BrandListTable): Connectionの変更に追随。
	(BrandListTable.ChangeBrandListName): 新規。
	(BrandList_BrandTable): Connectionの変更に追随。
	* Protra.Lib/Db/Market.cs (Market.Name): 変更をMarketTableに委譲。
	(MarketTable): Connectionの変更に追随。
	(MarketTable.ChangeMarketName): 新規。
	* Protra.Lib/Db/Price.cs (PriceTable): Connectionの変更に追随。
	* Protra.Lib/Db/Split.cs (SplitTable): 同上。
	* Protra.Lib/Db/System.cs (System): 同上。
	* Protra.Lib/Db/SystemLog.cs (SystemLog): 同上。
	
2005-09-23  panacoran <panacoran@users.sourceforge.jp>

	* BrandList.cs: 改行コードをCR+LFに。

2005-09-19  panacoran <panacoran@users.sourceforge.jp>

	[FRE #4538]
	* PtSim/MainForm.cs (MainForm): 履歴のListViewにコンテキストメニューを追加。
	(MainForm.copyHistory_Click): 選択されている項目をCSVにしてクリップボードに設定。
	MainForm.resx: コンテキストメニューの追加。

2005-09-11  panacoran <panacoran@users.sourceforge.jp>

	* lib/TIlib.pt (MAutil_dropped): 新規。MAutil内のN日前の値を取得する。
	(HighLow_new): 新規。IchimikuMedianを一般化。
	(HighLow_next): 同上。
	(Yobine): 新規。呼値に丸める。
	(DMI_next): MAutil_droppedを使用する。
	(SROC_next): 同上。
	(ACDI_one): 出来高のない日に0を返す。
	(MFI_next): 出来高のない日への対応を修正。
	(ATR_next): 終値の保存を忘れていた。
	(IchimokuMedian_new): HighLowを利用。
	(IchimokuMedian_next): 同上。
	(Ichimoku_new): 基準線の日数を明示的に保存。
	(Ichimoku_next): それを利用。
	* system/MA Cross.pt: 指数交差と逆指値の手本。

2005-09-11  panacoran <panacoran@users.sourceforge.jp>

	[bug #6609]
	* Protra/MainForm.cs (MainForm.EnvRead): 銘柄が存在しない場合に対応。
	* PtSim/MainForm.cs (MainForm.EnvRead): 銘柄リストが存在しない場合に対応。

2005-09-04  panacoran <panacoran@users.sourceforge.jp>

	[bug #6047]
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdate): エラー処理を一般化。
	* Protra.Lib/Update/PriceDataStream.cs (PriceDataStreamException): 新規。データ処理中にエラーが生じたときに投げられる例外。
	(PriceDataStream.ComposeGlobPattern): 削除。
	(PriceDataStream.DownloadFile): エラーをPriceDataStreamExceptionで返す。
	(PriceDataStream.CleanUpTmpDir): 新規。テンポラリディレクトリを空にする。
	(PriceDataStream.ExtractFile): 展開されたファイルの名前が完全に狂っていても*で拾う。何も展開されていなければ例外を投げる。
	(PriceDataStream.Open): 上記変更に対応。
	* Protra.Lib/Update/KabukaJohoDataStream.cs (KabukaJohoDataStream): 同上。
	* Protra.Lib/Update/MujinzouAdjustDataStream.cs (MujinzouAdjustDataStream): 同上。
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream): 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 進捗の計算をいくらかユーザフレンドリに。同日同市場同銘柄のデータが並んでいる場合に対応。
	
2005-08-06  darai  <darai@users.sourceforge.jp>

	[bug #6466]
	* Protra.Lib/Lang/Value.cs (Value.operator /): 浮動少数の0除算でもRuntimeExceptionを投げるように変更。

2005-08-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Dialogs/InputDateDialog.cs (InputDataDialog.InitializeComponent): any_Clickの削除に対応。
	(InputDataDialog.any_Click): いらないので削除。
	* Protra.Lib/Dialogs/InputDateDialog.resx:  デザイナが触りやがった。
	
2005-08-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra/Dialogs/OptionDialog.cs (OptionDialog.comboBoxPriceDataSource_SelectedIndexChanged): 無尽蔵に関する説明を変更。
	* Protra.Lib/Db/Brand.cs (BrandTable.GetRecords(int)): 新規。指定された銘柄コードを持つレコードをすべて取得する。
	* Protra.Lib/Update/MujinzouAdjustDataStream.cs (MujinzouAdjustDataStream): コメントを直した。
	[FRE #6286]
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): ファイルを全部読んで数えたレコード数を元に更新状況を計算する。

2005-07-30  darai  <darai@users.sourceforge.jp>

	[FRE #4175]
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs (ArithmeticExpressionNode.Execute): 発生したRuntimeExceptionにContextTokenが設定されていない場合、このオブジェクトのContextTokenを設定する。
	* Protra.Lib/Lang/ArithmeticTermNode.cs (ArithmeticTermNode.Execute): 同上。
	* Protra.Lib/Lang/ComparisonNode.cs (ComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs (EquivalenceComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalExpressionNode.cs (LogicalExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalTermNode.cs (LogicalTermNode.Execute): 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs (SuffixedExpressionNode.Execute): 同上。

2005-07-30  darai  <darai@users.sourceforge.jp>

	[FRE #3997]
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox): Print関数を追加。
	(SimulateTextBox.Print): 新規。

2005-07-30  darai  <darai@users.sourceforge.jp>

	[FRE #4175]
	* Protra.Lib/Lang/ParseException.cs (ParseException(string)): 削除。
	(ParseException(string, ContextToken)): 新規。
	(ParseException.ContextToken): 新規。
	* Protra.Lib/Lang/RuntimeException.cs (RuntimeException(string)): 削除
	(RuntimeException(string, ContextToken)): 新規。
	(RuntimeException.ContextToken): 新規。
	* Protra.Lib/Lang/Context (Context): ParseExceptionの変更に対応。
	(Context.MoveNext): 同上。
	* Protra.Lib/Lang/InterpreterFacade.cs (InterpreterFacade): ParseExceptionの変更に対応。
	(InterpreterFacade.Excecute): RuntimeExceptionの変更に対応。
	* Protra.Lib/Lang/Node (Node.ContextToken): 新規。
	* Protra.Lib/Lang/ArithmeticExpressionNode.cs (ArithmeticExpressionNode.Parse): 先頭でContextTokenを保存。ParseExceptionの変更に対応。
	(ArithmeticExpressionNode.Execute): RuntimeExceptionの変更に対応。
	* Protra.Lib/Lang/ArithmeticTermNode.cs: (ArithmeticTermNode.Parse): 同上。
	(ArithmeticTermNode.Execute): 同上。
	* Protra.Lib/Lang/ArrayNode.cs (ArrayNode.Parse): 同上。
	(ArrayNode.Execute): 同上。
	* Protra.Lib/Lang/BreakStatementNode.cs (BreakStatementNode.Parse): 同上。
	* Protra.Lib/Lang/ComparisonNode.cs (ComparisonNode.Parse): 同上。
	(ComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/ContinueStatementNode.cs (ContinueStatementNode.Parse): 同上。
	* Protra.Lib/Lang/EmptyStatementNode.cs (EmptyStatementNode.Parse): 同上。
	* Protra.Lib/Lang/EquivalenceComparisonNode.cs (EquivalenceComparisonNode.Parse): 同上。
	(EquivalenceComparisonNode.Execute): 同上。
	* Protra.Lib/Lang/ExpressionNode.cs (ExpressionNode.Parse): 同上。
	(ExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/ExpressionStatementNode.cs (ExpressionStatementNode.Parse): 同上。
	* Protra.Lib/Lang/FunctionDefinitionNode.cs (FunctionDefinitionNode.Parse): 同上。
	(FunctionDefinitionNode.Execute): 同上。
	* Protra.Lib/Lang/FunctionNode.cs (FunctionNode.Parse): 同上。
	(FunctionNode.Execute): 同上。
	* Protra.Lib/Lang/IfStatementNode.cs (IfStatementNode.Parse): 同上。
	* Protra.Lib/Lang/LiteralNode.cs (LiteralNode.Parse): 同上。
	(LiteralNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalExpressionNode.cs (LogicalExpressionNode.Parse): 同上。
	(LogicalExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/LogicalTermNode.cs (LogicalTermNode.Parse): 同上。
	(LogicalTermNode.Execute): 同上。
	* Protra.Lib/Lang/PrefixedExpressionNode.cs (PrefixedExpressionNode.Parse): 同上。
	(PrefixedExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/PrimaryNode.cs (PrimaryNode.Parse): 同上。
	* Protra.Lib/Lang/ProgramNode.cs (ProgramNode.Parse): 同上。
	(ProgramNode.Execute): 同上。
	* Protra.Lib/Lang/ReturnStatementNode.cs (ReturnStatementNode.Parse): 同上。
	* Protra.Lib/Lang/StatementNode.cs (StatementNode.Parse): 同上。
	* Protra.Lib/Lang/SuffixedExpressionNode.cs (SuffixedExpressionNode.Parse): 同上。
	(SuffixedExpressionNode.Execute): 同上。
	* Protra.Lib/Lang/VariableNode.cs (VariableNode.Parse): 同上。
	(VariableNode.Execute): 同上。
	* Protra.Lib/Lang/WhileStatementNode.cs (WhileStatementNode.Parse): 同上。
	* Protra.Lib/Lang/Value.cs: (Value.Cast): RuntimeExceptionの変更に対応。	(Value.CompareTo): 同上。
	(Value.operator <): 同上。
	(Value.operator >): 同上。
	(Value.operator <=): 同上。
	(Value.operator >=): 同上。
	(Value.operator +): 同上。
	(Value.operator -): 同上。
	(Value.operator *): 同上。
	(Value.operator /): 同上。
	(Value.operator %): 同上。
	(Value.this[]): 同上。

2005-07-23  panacoran <panacoran@users.sourceforge.jp>

	[FRE #4255]
	* Protra.Lib/Protra.Lib.csproj: Db/Split.csとUpdate/MujinzouAdjustDataStream.csを追加。
	* Protra.Lib/Db/Price.cs (Price.Adjust): 新規。分割調整値を適用する。
	(PriceTable.PriceList): 分割調整値を適用する。
	* Protra.Lib/Db/protra.sql: Splitテーブルの作成。
	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ParseLine): 分割調整値を設定。
	* Protra.Lib/Update/PriceDataStream.cs (PriceDataStream.IfModifiedSince): 新規。HTTPのIf-Modified-Sinceに用いる日付を取得または設定する。
	(PriceDataStream.DownloadFile): IfModifiedSinceを設定する。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceData.Adjust): 新規。分割調整値。
	(PriceDataUpdator.Update): 価格データの分割調整値をデータベースに格納する。2004/09/24以降は無尽蔵の調整係数データを読んでデータベースに格納する。
	* bin/Release/data/protra.mdb: Splitテーブルを追加。
	
2005-07-23  panacoran <panacoran@users.sourceforge.jp>

	[FRE #6286]
	* Protra.Lib/Db/Brand.cs (BrandTable.GetRecord): 市場IDを先に。
	(BrandTable.MaxId): 新規。銘柄IDの最大値を取得する。
	(BrandTable.Add): 削除。
	(BrandTable.GetRecordOrCreate): 新規。レコードが存在しない場合に作成するGetRecord。
	* Protra/MainForm.cs (MainForm.buttonSearch_Click): BrandTable.GetRecordの変更に対応。
	* Protra/Controls/BrandTreeView.cs (BrandTreeView.Initialize): 同上。
	(BrandTreeView.SelectedBrand): 同上。
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.UpdateProgressReceiver): 日付も表示。
	(PriceUpdateDialog.buttonStop_Click): 処理の中断はPriceDataUpdatorで完結。
	* Protra.Lib/Update/PriceDataUpdator.cs: UpdateProgressReceiverに日付を追加。
	(PriceDataUpdator.IsMarketOpen): 新規。市場が開いてるかを調べる。
	(PriceDataUpdator.Update): 更新状況をより詳細に伝える。中断時の後始末を行う。
	* Protra.Lib/Db/Connection.cs (IRecord.ToObject): XMLコメントを追加。
	
2005-07-23  panacoran <panacoran@users.sourceforge.jp>

	[FRE #6281]
	* Protra.Lib/Protra.Lib.csproj: Dialogs/InputDateDialog.{cs,resx}を追加

2005-07-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Price.cs: 改行をCR+LFに戻す。

2005-07-03  panacoran <panaroran@users.sourceforge.jp>

	[FRE #6281]
	* Protra/Protra.csproj: Dialogs/InputPriceUpdateSpanDialog.*の削除。
	* Protra/MainForm.cs (MainForm.InitializeComponent): 全株価データから「全」を削除。
	(MainForm.menuItemPriceDelete_Click): 指定した日付以降の株価データだけを削除。
	* Protra.Lib/Db/Price.cs (PriceTable.Delete): 指定した日付から日付以降に。 

2005-07-03  panacoran <panaroran@users.sourceforge.jp>

	[FRE #6281]
	* Protra/Dialogs/PriceUpdateDialog.cs (PriceUpdateDialog.PriceUpdateDialog_Load): データが存在しないときに更新を開始する日付を指定させる。
	* Protra/Dialogs/InputPriceUpdateSpanDialog.{cs,resx}: 削除。
	* Protra.Lib/Dialogs/InputDateDialog.cs (InputDateDialog): 新規。日付を指定するダイアログ。
	* Protra.Lib/Dialogs/InputDateDialog.resx: 新規。InputDataDialogのリソース。

2005-07-01  panacoran <panaroran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataStream.cs: redirectをnot foundと同様に扱う。
	* Protra.Lib/Update/MujinzouDataStream.cs: 保存サイトの選択方法を正確に実装。

2005-06-18  panacoran <panacoran@users.sourceforge.jp>

	* NAnt.build: コマンドラインでconfigurationを指定可能に。

2005-06-14  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.menuItemPriceUpdate_Click): プロキシの設定をUpdatorに渡す。
	
2005-06-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ParseLine): CSV形式からマザーズが13。CSV形式から2004/10/28まで大証2部に21が振られているのを22に直す。

2005-06-11  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Price.cs (PriceTable.WeeklyPriceList): PriceTable.PriceListを用いるようにするついでに書き直し。
	* Protra.Lib/Update/PriceDataStream.cs: 中断時の後始末を完全にする。
	(PriceDataStream.UrlInfo): 構造体からクラスに。
	(PriceDataStrem): targetDateを削除。archivedFileに書庫ファイルのパス名を保持する。
	(PriceDataStrem.TargetDate): 削除。
	(PriceDataStream.~PriceDataStream): 削除。
	(PriceDataStream.ComposeUrl): 日付を取る引数を追加。
	(PriceDataStream.DownloadFile): nullを引数に取れるようにする。後始末をfainallyで行う。
	(PriceDataStream.ComposeGlobPattern): 日付を引数に追加。
	(PriceDataStream.ExtractFile): 書庫ファイルのパス名を取る引数を削除。引数でもらったglob patternを使う。dataFileにデータファイルのパス名を設定。
	(PriceDataStream.Open): 一連の変更に対応。
	(PriceDataStream.Close): 書庫ファイルの削除に対応。
	* Protra.Lib/Update/KabukaJohoDataStream.cs (KabukaJohoDataStream.ComposeUrl): 日付を取る引数を追加。失敗時にnullを返す。
	(KabukaJohoDataStream.ComposeGlobPattern): 日付を取る引数を追加。
	* Protra.Lib/Update/MujinzouDataStream.cs: 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator): beginDateを削除。処理中の日付を保持するinProgressを追加。
	(PriceDataUpdator.Update): 後始末をfinallyで行う。
	(PriceDataUpdator.Abort): inProgressを利用する。

2005-06-09  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Brand.cs (BrandTable): 市場IDの実行時の追加はありえないので、byMarketIdを配列に。
	(BrandTable.ByMarketId): 上記の変更に対応。
	(BrandTable.GetRecord(int)): 同上。起こりえない例外処理を削除。
	(BrandTable.GetRecords(int, MarketId): 同上。
	(BrandTable.GetRecords(MarketId)): 上記の変更に対応。より簡潔に処理を書き直し。
	(BrandTable.GetRecords(MarketId, int, int)): 同上。
	(BrandTable.GetRecords(MarketId, string)): 同上。文字列の比較で大文字小文字、全角半角を無視する。[FRE #6141]
	(BrandTable.Add): 上記の変更に対応。
	* Protra.Lib/Db/Market.cs (MarketId): 最大値をあらわすMaxを追加。
	(MarketTable): 市場IDの実行時の追加はありえないので、byIdを配列に。
	(MarketTable.ById): 上記の変更に対応。
	(MarketTable.GetRecord):  同上。起こりえない例外処理を削除。
	(MarketTable.GetAllRecords): 上記の変更に対応。
	(MarketTable.Add): 削除。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.EditBrandListContentDialog): StringBuilderを復活。
	(EditBrandListContentDialog.buttonCodeRange_Click): 同上。
	
2005-06-09  panacoran <panacoran@users.sourceforge.jp>

	* NAnt.build: 新規。NAntのビルドファイル。

2005-06-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): 最後は必ず更新状況を100%にする。

2005-06-06  panacoran <panacoran@users.sourceforge.jp>

	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.EditBrandListContentDialog): MarketIdをintにキャストし忘れてた。StringBuilderを使わないようにする。
	(EditBrandListContentDialog.buttonCodeRange_Click): 同上。

2005-06-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ParseLine): 古いデータではJASDAQが16、CSV形式以降のデータではヘラクレスが24。
	
2005-06-06  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/MujinzouDataStream.cs (MujinzouDataStream.ParseLine): CSV形式の出来高の値を1/1000する。

2005-06-04  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Update/PriceDataStream.cs (PriceDataStream.DownloadFile): ProtoclErrorのときにはWebExceptionを投げない。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator.Update): ファイルのダウンロードの失敗を検査。
	
2005-06-03  panacoran <panacoran@users.sourceforge.jp>
	
	DataStreamをPriceDataに特化させてPriceDataStreamに改名。
	* Protra.Lib/Protra.Lib.csproj: DataStreamをPriceDataStreamに改名。
	* Protra.Lib/Update/DataStream.cs: PriceDataStream.csに改名。
	* Protra.Lib/Update/PriceDataStream.cs: 名前の置換。
	(PriceDataStream.ParseLine): 返値の型をParseDateに特化。
	(PriceDataStream.Read): 返値の型をParseDateに特化。
	* Protra.Lib/Update/KabukaJohoDataStream.cs: 上の変更に対応。
	* Protra.Lib/Update/MujinzouDataStream.cs: 同上。
	* Protra.Lib/Update/PriceDataUpdator.cs: 名前の置換。
	(PriceDataUpdator.Update): 不要なキャストを削除。
	
2005-06-02  panacoran <panacoran@users.sourceforge.jp>

	昨日の不始末の始末。
	* Protra/Dialogs/InputPriceUploadSpanDialog.cs: InputPriceUpdateSpanDialog.csに改名。
	* Protra/Dialogs/InputPriceUploadSpanDialog.resx: InputPriceUpdateSpanDialog.resxに改名。 
	* Protra/Dialogs/InputPriceUpdateSpanDialog.cs: UploadをUpdateに置換。
	* Protra/Dialogs/PriceUploadDialog.cs: PriceUpdateDialog.csに改名。
	* Protra/Dialogs/PriceUploadDialog.resx: PriceUpdateDialog.resxに改名。
	* Protra/Dialogs/PriceUpdateDialog.cs: UploadをUpdateに置換。
	(PriceUpdateDialog): PriceDataUpdatorに対応。
	* Protra.Lib/Db/Connection.cs (Connection.Execute): 例外のスローを制御可能に。
	* Protra.Lib/Dialogs/ApplicationError.cs: 著作権表示の追加。
	* Protra.Lib/Update/DataStream.cs (DataStrem.Close): ダウンロードに失敗した場合は後始末しない。
	* Protra.Lib/Update/PriceDataUpdator.cs (PriceDataUpdator): 中断の責任を負う。
	
2005-06-01  panacoran <panacoran@users.sourceforge.jp>

	UploadをUpdateに名称変更の上、関連するクラスを書き直した。
	MarketId列挙型を積極的に利用するようにした。
	* Protra/MainForm.cs: UploadをUpdateに置換。
	(MainForm.menuItemPriceUpdate_Click): 関連クラスの書き直しに対応。
	(MainForm.buttonSearch_Click): MarketIdを利用。
	* Protra/Option.cs (PriceDataSource): Protra.Lib/Updateへ移動。
	* Protra/Protra.csproj: `別のプロセスが使用中です'を避けるために、直接Protra.Lib.dllを参照する。UploadをUpdateに置換。
	* Protra/Control/BrandTreeView.cs (BrandTreeView): MaketIdを利用。 
	* Protra/Dialogs/OptionDialog.cs: PriceDataSourceの移動に対応。
	* Protra.Lib/Protra.Lib.csproj: DLLの出力先をReleaseとDebugで統一。Uploading以下のファイルを削除し、Update以下のファイルを追加。
	* Protra.Lib/Db/Brand.cs (Brand)(BrandTable): MarketIdを利用。
	* Protra.Lib/Db/Market.cs (Market)(MarketTable): 同上。
	* Protra.Lib/Db/Connection.cs (Connection.ShowOleDbError): メッセージを追加可能に。
	(Connection.Conn): ShowOleDbErrorに接続先に渡す。
	(Connection.Query): ShowOleDbErrorに実行したSQLを渡す。
	(Connection.QueryScalar)(Connection.Execute): 同上。
	* Protra.Lib/Dialogs/ApplicationError.cs (ApplicationError.ApplicationError): TopMostをやめる。
	* Protra.Lib/Uploading: 削除。
	* Protra.Lib/Update/DataStream.cs (ProxyInfo): 新規。プロキシに関するデータを保持する構造体。
	(DataStream): 新規。ファイルをダウンロードしてデータを読み込む処理を部分的に実装した抽象クラス。
	* KabukaJohoDataStream.cs (KabukaJohoDataStream): 新規。株価情報からデータを取得するためのDataStreamの具象クラス。
	* MujinzouDataStream.cs (MujinzouDataStream): 新規。無尽蔵からデータを取得するためのDataStreamの具象クラス。[bug #6047]に対応。
	* PriceDataUpdator.cs (PriceDataSource): Protra/Option.csから移動。
	(PriceData): 新規。株価データをあらわす構造体。
	(PriceDataUpdator): 新規。株価情報を更新するクラス。
	* PtSim/PtSim.csproj: `別のプロセスが使用中です'を避けるために、直接Protra.Lib.dllを参照する。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog): MarketIdを利用。 

2005-05-21  panacoran <panacoran@users.sourceforge.jp>

	[bug #4082]
	* Protra.Lib/Controls/SimulateTextBox.cs: DllImportのためにInteropService名前空間を使用する。
	(SimulateTextBox.SimulateTextBox): デザイナが変更するプロパティの操作を削除。
	(SimulateTextBox.SendMessage): 新規。SendMessage APIを実行する。
	(SimulateTextBox.SendMessage): 新規。文字列を引数に取るSendMessage APIを実行する。
	(SimulateTextBox.AppendText): 新規。TextBoxに文字列を32kB以上追加できるAppendText。
	PtSim/MainForm.cs (MainForm.MainForm): MaxLengthプロパティに無制限を意味する0を指定する。

2005-05-15  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/Connection.cs (Connection.ShowOldDbError): メッセージを表示し、アプリケーションを終了させる。
	(Connection.Conn): 接続状態を確認する。
	(Connection.Query): ShowOleDbErrorの仕様変更にともなう変更。
	(Connection.QueryScalar): 同上。
	(Connection.Execute): 同上。
	(Connection.Close): 新規。データベースの接続を閉じる。
	* Protra.Lib/Dialogs/ApplicationError.cs (ApplicationError): 新規。意図しないエラーの発生を知らせるダイアログ。
	* Protra.Lib/Dialogs/ApplicationError.resx: ApplicationErrorのリソース。

2004-05-28  darai  <darai@users.sourceforge.jp>

* Protra.Lib/Uploading/StockPrice/MujinzouPriceUploader.cs (MujinzouPriceUploader.Upload): 無尽蔵データ退避に対応。[bug #4328]

2004-05-10  panacoran <panacoran@users.sourceforge.jp>

	* Protra.Lib/Db/BrandList.cs (BrandList.Delete): リストを削除する前に内容を削除。[bug #4302]

2004-04-29  panacoran <panacoran@users.sourceforge.jp>

	* Protra/MainForm.cs (MainForm.menuItemOption_Click): ChartBoxコントロールのMonthIntervalを設定。[bug #3737]
	
2004-04-29  panacoran <panacoran@users.sourceforge.jp>

	Merged from panacoran_reeng.
	各テーブルを処理するクラスの再構成。
	* Protra.Lib/Protra.Lib.csproj: ファイル構成の変更。
	* Protra.Lib/Db/Connection.cs: 新規。
	(Connection): データベースと接続するsingleton。
	(IRecord): レコードをオブジェクトに変換するメソッドを定義するインターフェイス。
	* Protra.Lib/Db/Brand.cs: 新規。
	(Brand): Brandテーブルのレコードを表すクラス。
	(BrandTable): Brandテーブルを操作するクラス。
	* Protra.Lib/Db/BrandList.cs: 新規。
	(BrandList): BrandListテーブルのレコードを表すクラス。
	(BrandListTable): BrandListテーブルを操作するクラス。
	* Protra.Lib/Db/Market.cs: 新規。
	(MarketId): 市場IDを表す列挙形。
	(Market): Marketテーブルのレコードを表すクラス。
	(MarketTable): Marketテーブルを操作するクラス。
	* Protra.Lib/Db/Price.cs: 新規。
	(Price): Priceテーブルのレコードを表すクラス。
	(PriceTable): Priceテーブルを操作するクラス。
	* Protra.Lib/Db/System.cs: 新規。
	(TradingSystem): Systemテーブルのレコードを表すクラス。
	(SystemTable): Systemテーブルを操作するクラス。
	Protra.Lib/Db/SystemLog.cs: 新規。
	(Order): 注文の種類を表す列挙型。
	(SystemLog): SystemLogテーブルのレコードを表すクラス。
	(SystemLogTable): SystemLogテーブルを操作するクラス。
	* Protra.Lib/Db/protra.sql: Protra.Lib/DB/Protraから移動
	* Protra.Lib/Db/Protra/protra.sql: 削除
	* Protra.Lib/Db/DbConnection.cs: 削除。
	* Protra.Lib/Db/Protra/Brand.cs: 削除。
	* Protra.Lib/Db/Protra/BrandList.cs: 削除。
	* Protra.Lib/Db/Protra/Market.cs: 削除。
	* Protra.Lib/Db/Protra/Price.cs: 削除。
	* Protra.Lib/Db/Protra/ProtraBase.cs: 削除。
	* Protra.Lib/Db/Protra/System.cs: 削除。
	* Protra.Lib/Db/Protra/SystemLog.cs: 削除。

	各テーブルを処理するクラスの再構成に対応させる。
	* Protra/FavoriteBrandItem.cs: 名前空間の変更に対応。
	* Protra/MainForm.cs: 同上
	(MainForm.Dispose): 不要なDB接続のDisposeを削除。
	(MainForm.EnvRead): Brandテーブルに関する変更。
	(MainForm.SetSelectedBrand): 同上。
	(MainForm.buttonSearch_Click): 同上。
	(MainForm.ComboBoxMarket): Marketテーブルに関する変更。
	(MainForm.menuItemPriceDelete_Click): 同上。Brandテーブルの削除をやめる。[bug #4162]
	* Protra/Controls/BrandTreeView.cs: 名前空間の変更に対応。
	(BrandTreeView.Initialize): Maket、Brandの各テーブルに関する変更。
	(BrandTreeView.OnBeforeExpand): 同上。
	(BrandTable.SelectedBrand):  同上。
	* Protra/Dialogs/PriceUploadDialog.cs: 名前空間の変更に対応。
	(PriceUploadDialog.UploadProgressReceiver): Priceテーブルに関する変更。
	(PriceUploadDialog.buttonStop_Click): 同上。後始末の前にスレッドの終了を待つ。
	* Protra.Lib/Controls/ChartBox.cs: 名前空間の変更に対応。
	* Protra.Lib/Controls/SimulateTextBox.cs: 同上。
	(SimulateTextBox.InitializeComponent): SystemLogテーブルに関する変更
	(SimulateTextBox.Buy): 同上。
	(SimulateTextBox.Sell): 同上。
	Protra.Lib/Uploading/Uploader.cs: 名前空間の変更に対応。
	Protra.Lib/Uploading/StockPrice/Uploader.cs: 同上。
	Protra.Lib/Uploading/StockPrice/KabukaJohoPriceUploader.cs: 同上。
	(KabukaJohoPriceUploader.Upload): Brand、Priceの各テーブルに関する変更。
	Protra.Lib/Uploading/StockPrice/MujinzouPriceUploader.cs: 名前空間の変更に対応。
	(MujinzouPriceUploader.Upload): Brand、Priceの各テーブルに関する変更
	PtSim/MainForm.cs: 名前空間の変更に対応。
	(MainForm.Dispose): 不要なDB接続のDisposeを削除。
	(MainForm.EnvRead): BrandListテーブルに関する変更。
	(MainForm.Execute): Priceテーブルに関する変更。
	(MainForm.Performance): Price、SystemLogの各テーブルに関する変更。
	(MainForm.GetSelectedSystem): Systemテーブルに関する変更。
	(MainForm.GetSelectedBrands): BrandListテーブルに関する変更。
	(MainForm.menuItemBrandListEdit_Click): 同上。
	(MainForm.buttonHistory_Click): SystemLogテーブルに関する変更。
	PtSim/Dialogs/EditBrandListContentDialog.cs: 名前空間の変更に対応。
	(EditBrandListContentDialog.EditBrandListContentDialog): Marketテーブルに関する変更。
	(EditBrandListContentDialog.buttonOk_Click): Brand、BrandListの各テーブルに関する変更。
	(EditBrandListContentDialog.buttonCodeRange_Click): Market、Brandの各テーブルに関する変更。
	PtSim/Dialogs/EditBrandListDialog.cs: 名前空間の変更に対応。
	(EditBrandListDialog.InitializeComponent): BrandListテーブルに関する変更。
	(EditBrandListDialog.buttonDelete_Click): 同上。
	
2004-03-03  darai  <darai@users.sourceforge.jp>

	[FRE #4011]
	* PtSim/MainForm.cs (MainForm): 東証全銘柄のラジオボタンを削除。
	(MainForm.EnvRead): 対象銘柄のラジオボタンのチェックに関するコードを削除。
	(MainForm.EnvWrite): 同上。
	(MainForm.GetSelectedBrands): 同上。
	(MainForm.Execute): 同上。
	(MainForm.Performance): 同上。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): 同上。
	* PtSim/MainForm.resx: 東証全銘柄のラジオボタンを削除。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog): コード範囲の入力フォームを追加。
	(EditBrandListContentDialog.EditBrandListContentDialog): 市場コンボボックス初期化コードを追加。
	(EditBrandListContentDialog.buttonCodeRange_Click): 追加。コード範囲から銘柄リストを入力。
	* PtSim/Dialogs/EditBrandListContentDialog.resx: コード範囲の入力フォームを追加。

2004-02-27  darai  <darai@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.Performance): 東証全銘柄を選択すると対象銘柄名が表示されないバグを修正。

2004-02-27  mishiguro  <mishiguro@users.sourceforge.jp>

	* Protra.Lib/Controls/ChartBox.cs (ChartBox.Code): 追加。銘柄コードを取得します。
	(ChartBox.ChartBox): Code関数をインタプリタに登録。
	* Protra.Lib/Controls/SimulateTextBox.cs (SimulateTextBox.Code): 追加。銘柄コードを取得します。
	(SimulateTextBox.ChartBox): Code関数をインタプリタに登録。

2004-02-25  darai  <darai@users.sourceforge.jp>

	* PtSim/MainForm.cs (MainForm.Execute): コントロールのEnabledの制御の不備を修正。
	(MainForm.Performance): 同上。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): 同上。

2004-02-24  darai  <darai@users.sourceforge.jp>

	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog.buttonOk_Click): 銘柄リスト名編集に対応。
	* PtSim/Dialogs/EditBrandListDialog.cs (EditBrandListDialog.buttonEdit_Click): 銘柄リスト名編集に対応。
	* PtSim/MainForm.cs (MainForm): 対象銘柄として東証全銘柄を追加。
	(MainForm.GetSelectedBrands): 追加。選択されている対象銘柄のリストを取得します。
	(MainForm.Execute): GetSelectedBrandsを使用するように。コントロールのEnableの制御でシステムの選択状況も考慮。
	(MainForm.Performance): 同上。
	(MainForm.buttonHistory_Click): GetSelectedBrandsを使用するように。
	(MainForm.EnvRead): 対象銘柄選択を読み込むように。
	(MainForm.EnvWrite): 対象銘柄選択を書き込むように。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): コントロールのEnabledの制御でスレッドも考慮。
	* PtSim/MainForm.resx: 対象銘柄として東証全銘柄を追加。

2004-02-23  darai  <darai@users.sourceforge.jp>

	* system/LDS2.pt: BB_MA→BBに。
	* system/RSI SYSTEM.pt: 新規投稿。 -- M.Ishiguro
	* Protra.Lib/Db/Protra/protra.sql: テーブル構成を変更。
	(BrandList): 追加テーブル。銘柄リスト。
	(BrandList_Brand): 追加テーブル。銘柄リストと銘柄を結ぶ。
	* Protra.Lib/Db/Protra/Brand.cs: セミコロンが重複している箇所を修正。
	(Brand.Brand): BrandList.BrandListで使用するためにpublicに。
	(Brand.BrandList): ArrayListを使用しないように。
	(Brand.MarketId): 追加。MarketIdを取得します。
	* Protra.Lib/Db/Protra/BrandList.cs (BrandList): 新規。BrandListテーブルのレコードを表すクラスです。
	* Protra.Lib/Db/Protra/Market.cs (Market.MarketList): ArrayListを使用しないように。
	* Protra.Lib/Db/Protra/Price.cs (Price.PriceList): ArrayListを使用しないように。
	(Price.BrandId): 追加。BrandIdを取得します。
	* Protra.Lib/Db/Protra/System.cs: セミコロンが重複している箇所を修正。
	(TradingSystem.SystemList): ArrayListを使用しないように。
	* Protra.Lib/Db/Protra/SystemLog.cs (SystemLog.SystemLogList): ArrayListを使用しないように。
	(SystemLog.SystemId): 追加。SystemIdを取得します。
	(SystemLog.BrandId): 追加。BrandIdを取得します。
	* data/protra.mdb: テーブル構成を変更。
	* data/protra.mdb.bak: 同上。
	* PtSim/MainForm.cs (MainForm): 市場・コード範囲選択部分削除。銘柄リストメニュー追加。
	(MainForm.MainForm_Load): 市場コンボボックス初期化削除。銘柄リストコンボボックス初期化追加。
	(MainForm.EnvRead): 市場・コード範囲の読み込み部分を削除。
	(MainForm.EnvWrite): 市場・コード範囲の書き込み部分を削除。
	(MainForm.Execute): 銘柄リスト対応。
	(MainForm.Performance): 同上。
	(MainForm.buttonHistory_Click): 同上。
	(MainForm.menuItemBrandListEdit_Click): 追加。銘柄リスト編集ダイアログ起動。
	(MainForm.GetSelectedSystem): 選択されているシステムを取得します。
	(MainForm.menuItemLogDelete_Click): GetSelectedSystemを利用するように。
	(MainForm.buttonExecute_Click): 選択されたシステムのチェックをはずす。
	(MainForm.buttonPerformance_Click): 同上。
	(MainForm.radioButtonDaily_CheckedChanged): 削除。
	(MainForm.radioButtonWeekly_CheckedChanged): 削除。
	(MainForm.comboBoxBrandList_SelectedIndexChanged): 追加。各メニュー・ボタンのEnabledプロパティを選択状態によって制御。
	(MainForm.ptFileTreeView_AfterSelect): comboBoxBrandList_SelectedIndexChangedを呼び出すように。
	* PtSim/MainForm.resx: 市場・コード範囲選択部分削除。銘柄リストメニュー追加。
	* PtSim/Dialogs/EditBrandListContentDialog.cs (EditBrandListContentDialog): 新規。銘柄リストの内容を編集するためのダイアログです。
	* PtSim/Dialogs/EditBrandListDialog.cs (EditBrandListDialog): 新規。銘柄リストを編集するためのダイアログです。
	(BrandListItem): 新規。銘柄リストを保持するアイテムです。
	* bin/Protra.Lib.dll: 削除。

2004-02-11  panacoran <panacoran@users.sourceforge.jp>

	[FRE #3657]
	* Protra/MainForm.resx: Visual Studio .Net 2003形式へ。
	* Protra/MainForm.cs (MainForm.InitializeComponent): オプション(O)の後ろに...を追加。
	(MainForm.SetSelectedBrand): データのそろっていない週足の描画の指示。
	(MainForm.menuItemOption_Click): 同上。
	* Protra/Option.cs (Option): オプションDrawLastWeekを追加。
	(Option.Load): 同上。
	(Option.Save): 同上。
	* Protra/Dialogs/OptionDialog.cs (OptionDialog): チェックボックスを追加。
	(OptionDialog.InitializeComponent): 同上。
	(OptionDialog.buttonOk_Click): 同上。
	* Protra/Dialogs/OptionDialog.resx: 同上。Visual Studio .Net 2003形式へ。
	* Protra.Lib/Db/Protra/Price.cs (Price.Price()): 追加。既定のコンストラクタ。
	(Price.WeekPriceList(int, bool)): 最終週の扱い方を示す引数を追加。DateDiffに頼らずに週足を計算。
	(Price.WeekPriceList(int)): 追加。互換性のため。

2004-01-12  panacoran <panacoran@users.sourceforge.jp>

	* lib/TIlib.pt: Volatility Indicatorsの区分を作りBBを移動。
	(ATR): 新設。Average True Rangeを計算するクラス。
	(Ichimoku_new): [bug #3656] 遅行スパンが26日に固定されていたのを修正。
	(Ichimoku_next): 同上。
	
2004-01-12  panacoran <panacoran@users.sourceforge.jp>

	* Protra.sln: Visual Studio .Net 2003形式へ変換。
	* Protra/Protra.csproj: 同上。Protra.Libの参照先をデフォルトに戻し、ローカルコピーを有効に。
	* PtSim/PtSim.csproj: 同上。
	* Protra.Lib/Protra.Lib.csproj: 形式の変換と、Protra.Libの出力先をテンポラリディレクトリに変更。

2003-12-02  panacoran <panacoran@users.sourceforge.jp>

	* lib/TIlib.pt: _をクラスとメソッドを区切るためだけに用いるように命名規則を統一。
	(MAutil): 移動平均から外れた最後の値をobj[5]に保持。
	(MA_drawEnvelope): 追加 Envelopeの描画メソッド。
	(MA_envelope): 追加 Envelopeを計算するメソッド。
	(Envelope_MA_draw, Envelope_MA_envelope): 削除。
	(BB): BB_MAから改名。EMAのBBがあると思い込んでいた。
	(EMA): obj[2]とobj[3]をMAと互換に。
	(MACD): signalの計算方法をSMAからEMAに変更。
	(MACD_draw): ヒストグラムの描画を分離。
	(MACD_drawHistogram): 追加 ヒストグラムを描画するメソッド。
	(DMI): ADXRを計算。
	(DMI_draw(4)): ADXRの描画を追加。
	(DMI_adxr): ADXRを返すメソッドを追加。
	(Parabolic): Wilderの解説に忠実に再実装。
	(Parabolic_new): acceleration factorと最大値を指定可能に。
	(Parabolic_short): longの値を返していた。
	(Stoch_d, Stoch_k): 改名。メソッド名を小文字で始める命名規則に従う。
	(Stoch_sd): Stoch_slowDから改名。自分でも頻繁に間違えるため。
	(RSI_next): 0.0による除算を防ぐ。
	(ROC_next): 分母を過去の価格に。
	(SROC): 追加。Smoothed ROCを計算するクラス。
	(ACDI): 追加。Accumulation Distributionを計算するクラス。
	(CHO): Chaikin Oscillatorを計算するクラス。
	(VR_next): 指標がゼロになる場合も計算。
	(MFI_next): データがない場合を正しく検査 0.0による除算を防ぐ。
	(Ichimoku_new): 転換、基準、スパンの日数を指定可能に。
	(Crossover): 追加。指標の交差を調べるクラス。
	(Reversal): 追加。指標の反転を調べるクラス。
	* chart/Momentum Indicators/ROC/*: 変数名からパラメータを削除。
	* chart/Trend Indicators/%Difference/*: 同上。
	* chart/Trend Indicators/Bollinger Bands/BB(20).pt: MA(20).ptから改名。
	* chart/Trend Indicators/Envelopes/*: MA_drawEnvelopeを使用。
	* chart/Trend Indicators/MACD/*: MACDヒストグラムを分離。
	* chart/Trend Indicators/MACD Histogram/*: 追加 MACSヒストグラム。
	* chart/Trend Indicators/Parabolic SAR/Parabolic SAR.pt: Parabolicクラスの変更に追随。
	* chart/Trend Indicators/Smoothed ROC/Smoothed ROC(13-21).pt: 追加。13日EMAの21日ROCによるSmoothed ROC。
	* chart/Volume Indicators/Accumulation Distribution/Accumulation Distribution.pt: 追加。
	* chart/Volume Indicators/Chaikin Oscillator/Chaikin Oscillator(3-10).pt: 追加。短期を3日、長期を10日とするChaikin Oscillator。
	* chart/Volume Indicators/Moving Average/EMA(13-26).pt: 追加。13週、26週の出来高EMA。
	* chart/Volume Indicators/Moving Average/EMA(5-25-75).pt: 追加。5日、25日、75日の出来高EMA。
	* chart/Volume Indicators/Moving Average/MA(13-26).pt: 追加。13週、26週の出来高SMA。
	* chart/Volume Indicators/Moving Average/MA(5-25-75).pt: 追加。5日、25日、75日の出来高SMA。
	* chart/Volume Indicators/Volume MA/{EMA({13,25}),MA({13,25})}.pt: Volume MAという名前が意味不明なので削除。

Local Variables:
mode: change-log
End:
